﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Length" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Length and Monetary Format Validations for CGLS</title>


<rule context="rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')]">

<!--        
            IF [CGLS108] <> NULL AND [CGLS108] <> NUMBER(U,4,3)
                 RETURN VALIDATION ERROR
            ENDIF

            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction            
        -->
<let name="This.ContextId" value="@contextRef" />


<assert  id="VR.ATO.CGLS.404232" diagnostics="DVR.ATO.CGLS.404232" test="count($TRFR.ContextIds[. = $This.ContextId]) = 0 or matches( string(number(./xbrli:numerator) div number(./xbrli:denominator)),'^[0-9]{1}(\.[0-9]{0,3})?$')"></assert>
</rule>

<rule context="rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')]">

<!--
        IF [CGLS113] <> NULL AND [CGLS113] <> NUMBER (U,4,3) 
             RETURN VALIDATION MESSAGE
        ENDIF

        [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction
        -->
<let name="This.ContextId" value="@contextRef" />


<assert  id="VR.ATO.CGLS.404226" diagnostics="DVR.ATO.CGLS.404226" test="count($TRFR.ContextIds[. = $This.ContextId]) = 0 or matches( string(number(./xbrli:numerator) div number(./xbrli:denominator)),'^[0-9]{1}(\.[0-9]{0,3})?$')"></assert>
</rule>

<rule context="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS49] <> NULL AND [CGLS49] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS49] = CGLS:$RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount
        -->

<assert  id="VR.ATO.CGLS.404084" diagnostics="DVR.ATO.CGLS.404084" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>

</rule>

<rule context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS32] <> NULL AND [CGLS32] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS32] = CGLS:$RP.GRP:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.CGLS.404070" diagnostics="DVR.ATO.CGLS.404070" test="not(@contextRef = $RP.GRP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
    
<!--
            IF [CGLS33] <> NULL AND [CGLS33] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS33] = CGLS:$RP.TRFD:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.CGLS.404071" diagnostics="DVR.ATO.CGLS.404071" test="not(@contextRef = $RP.TRFD.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS34] <> NULL AND [CGLS34] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS34] = CGLS:$RP.TOT:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.CGLS.404072" diagnostics="DVR.ATO.CGLS.404072" test="not(@contextRef = $RP.TOT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
        IF [CGLS118] <> NULL AND [CGLS118] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
        ENDIF


        [CGLS118] = CGLS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount
        -->

<assert  id="VR.ATO.CGLS.404205" diagnostics="DVR.ATO.CGLS.404205" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.14:Tax.Losses.Uplift.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
        IF [CGLS104] <> NULL AND [CGLS104] <> MONETARY(U,11,0) 
            RETURN VALIDATION MESSAGE
        ENDIF


        [CGLS104] = CGLS:RP:rvctc3.02.14:Tax.Losses.Uplift.Amount
    -->

    <assert  id="VR.ATO.CGLS.404206" diagnostics="DVR.ATO.CGLS.404206" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--This rule covers all three vr rules as the element is same and the only difference is the context value -->
<!--
            IF [CGLS23] <> NULL AND [CGLS23] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS23] = CGLS:$RP.COTP:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

    <assert  id="VR.ATO.CGLS.404063" diagnostics="DVR.ATO.CGLS.404063" test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>

<!--
            IF [CGLS24] <> NULL AND [CGLS24] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS24] = CGLS:$RP.COTF:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

    <assert  id="VR.ATO.CGLS.404064" diagnostics="DVR.ATO.CGLS.404064" test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>

        <!--
            IF [CGLS25] <> NULL AND [CGLS25] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS25] = CGLS:$RP.COTT:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

    <assert  id="VR.ATO.CGLS.404065" diagnostics="DVR.ATO.CGLS.404065" test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
        
</rule>

<rule context="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS20] <> NULL AND [CGLS20] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS20] = CGLS:$RP.COTP:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
        -->

<assert  id="VR.ATO.CGLS.404060" diagnostics="DVR.ATO.CGLS.404060" test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS21] <> NULL AND [CGLS21] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS21] = CGLS:$RP.COTF:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
        -->

    <assert  id="VR.ATO.CGLS.404061" diagnostics="DVR.ATO.CGLS.404061" test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS22] <> NULL AND [CGLS22] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS22] = CGLS:$RP.COTT:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
        -->

    <assert  id="VR.ATO.CGLS.404062" diagnostics="DVR.ATO.CGLS.404062" test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS114] <> NULL AND [CGLS114] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS114] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Amount            
        -->
    <let name="This.ContextId" value="@contextRef" />



    <assert  id="VR.ATO.CGLS.404229" diagnostics="DVR.ATO.CGLS.404229" test="@i:nil='true' or @i:nil='1' or count($TRFR.ContextIds[. = $This.ContextId]) = 0 or matches(.,'^[0-9]{1,11}$')"></assert>


</rule>

<rule context="rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS116] <> NULL AND [CGLS116] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS116] = CGLS:RP:rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount
        -->

<assert  id="VR.ATO.CGLS.404203" diagnostics="DVR.ATO.CGLS.404203" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.15:Capital.Losses.AppliedNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> NULL AND rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

<assert  id="VR.ATO.CGLS.404210" diagnostics="DVR.ATO.CGLS.404210" test="matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS83] <> NULL AND [CGLS83] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS83] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount
        -->

<assert  id="VR.ATO.CGLS.404124" diagnostics="DVR.ATO.CGLS.404124" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS48] <> NULL AND [CGLS48] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS48] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount
        -->

<assert  id="VR.ATO.CGLS.404083" diagnostics="DVR.ATO.CGLS.404083" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS70] <> NULL AND [CGLS70] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS70] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount
        -->

<assert  id="VR.ATO.CGLS.404090" diagnostics="DVR.ATO.CGLS.404090" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS93] <> NULL AND [CGLS93] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS93] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->

<assert  id="VR.ATO.CGLS.404110" diagnostics="DVR.ATO.CGLS.404110" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS117] <> NULL AND [CGLS117] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS117] = CGLS:RP:rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount            
        -->

<assert  id="VR.ATO.CGLS.404204" diagnostics="DVR.ATO.CGLS.404204" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS17] <> NULL AND [CGLS17] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS17] = CGLS:$RP.GRP:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.CGLS.404057" diagnostics="DVR.ATO.CGLS.404057" test="not(@contextRef = $RP.GRP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS18] <> NULL AND [CGLS18] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS18] = CGLS:$RP.TRFD:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.CGLS.404058" diagnostics="DVR.ATO.CGLS.404058" test="not(@contextRef = $RP.TRFD.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS19] <> NULL AND [CGLS19] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS19] = CGLS:$RP.TOT:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.CGLS.404059" diagnostics="DVR.ATO.CGLS.404059" test="not(@contextRef = $RP.TOT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS82] <> NULL AND [CGLS82] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS82] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ControlledForeignCompany.Amount
        -->

<assert  id="VR.ATO.CGLS.404100" diagnostics="DVR.ATO.CGLS.404100" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS69] <> NULL AND [CGLS69] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS69] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ControlledForeignCompanyDeducted.Amount
        -->

<assert  id="VR.ATO.CGLS.404089" diagnostics="DVR.ATO.CGLS.404089" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS88] <> NULL AND [CGLS88] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS88] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount
        -->

<assert  id="VR.ATO.CGLS.404105" diagnostics="DVR.ATO.CGLS.404105" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS89] <> NULL AND [CGLS89] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS89] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ExemptIncomeNet.Amount
        -->

<assert  id="VR.ATO.CGLS.404106" diagnostics="DVR.ATO.CGLS.404106" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS86] <> NULL AND [CGLS86] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS86] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ForgivenDebtNet.Amount
        -->

<assert  id="VR.ATO.CGLS.404103" diagnostics="DVR.ATO.CGLS.404103" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS90] <> NULL AND [CGLS90] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS90] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.Forgone.Amount
        -->

<assert  id="VR.ATO.CGLS.404107" diagnostics="DVR.ATO.CGLS.404107" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS87] <> NULL AND [CGLS87] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS87] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Incurred.Amount
        -->

<assert  id="VR.ATO.CGLS.404104" diagnostics="DVR.ATO.CGLS.404104" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS91] <> NULL AND [CGLS91] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS91] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Total.Amount
        -->

<assert  id="VR.ATO.CGLS.404108" diagnostics="DVR.ATO.CGLS.404108" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS8] <> NULL AND [CGLS8] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS8] = CGLS:RP.COTP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

<assert  id="VR.ATO.CGLS.404050" diagnostics="DVR.ATO.CGLS.404050" test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS9] <> NULL AND [CGLS9] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS9] = CGLS:$RP.COTF:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

<assert  id="VR.ATO.CGLS.404051" diagnostics="DVR.ATO.CGLS.404051" test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS10] <> NULL AND [CGLS10] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS10] = CGLS:$RP.COTT:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

<assert  id="VR.ATO.CGLS.404052" diagnostics="DVR.ATO.CGLS.404052" test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS5] <> NULL AND [CGLS5] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS5] = CGLS:$RP.COTP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
        -->

<assert  id="VR.ATO.CGLS.404047" diagnostics="DVR.ATO.CGLS.404047" test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS6] <> NULL AND [CGLS6] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS6] = CGLS:$RP.COTF:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
        -->

<assert  id="VR.ATO.CGLS.404048" diagnostics="DVR.ATO.CGLS.404048" test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS7] <> NULL AND [CGLS7] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS7] = CGLS:$RP.COTT:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
        -->

<assert  id="VR.ATO.CGLS.404049" diagnostics="DVR.ATO.CGLS.404049" test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS85] <> NULL AND [CGLS85] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS85] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount
        -->

<assert  id="VR.ATO.CGLS.404102" diagnostics="DVR.ATO.CGLS.404102" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS38] <> NULL AND [CGLS38] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS38] = CGLS:$JE:rvctc3.xx.xx:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount
        -->
<let name="This.ContextId" value="@contextRef" />


<assert  id="VR.ATO.CGLS.404073" diagnostics="DVR.ATO.CGLS.404073" test="@i:nil='true' or @i:nil='1' or count($JE.ContextIds[. = $This.ContextId]) = 0 or matches(.,'^[0-9]{1,11}$')"></assert>
    
    
</rule>

<rule context="rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS39] <> NULL AND [CGLS39] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS39] = CGLS:$RP.Y0:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

<assert  id="VR.ATO.CGLS.404074" diagnostics="DVR.ATO.CGLS.404074" test="not(@contextRef = $RP.Y0.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS40] <> NULL AND [CGLS40] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS40] = CGLS:$RP.Y0-1:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

<assert  id="VR.ATO.CGLS.404075" diagnostics="DVR.ATO.CGLS.404075" test="not(@contextRef = $RP.Y0-1.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS41] <> NULL AND [CGLS41] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS41] = CGLS:$RP.Y0-2:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

<assert  id="VR.ATO.CGLS.404076" diagnostics="DVR.ATO.CGLS.404076" test="not(@contextRef = $RP.Y0-2.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS42] <> NULL AND [CGLS42] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS42] = CGLS:$RP.Y0-3:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

<assert  id="VR.ATO.CGLS.404077" diagnostics="DVR.ATO.CGLS.404077" test="not(@contextRef = $RP.Y0-3.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
<!--
            IF [CGLS43] <> NULL AND [CGLS43] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS43] = CGLS:$RP.Y0-4+:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

<assert  id="VR.ATO.CGLS.404078" diagnostics="DVR.ATO.CGLS.404078" test="not(@contextRef = $RP.Y0-4P.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS92] <> NULL AND [CGLS92] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS92] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.TransferredOut.Amount
        -->

<assert  id="VR.ATO.CGLS.404109" diagnostics="DVR.ATO.CGLS.404109" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS109] <> NULL AND [CGLS109] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS109] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount            
        -->
<!--<let name="This.ContextId" value="@contextRef" />


<assert  id="VR.ATO.CGLS.404224" diagnostics="DVR.ATO.CGLS.404224" test="@i:nil='true' or @i:nil='1' or count($TRFR.ContextIds[. = $This.ContextId]) = 0 or matches(.,'^[0-9]{1,11}$')"></assert>-->
    <assert  id="VR.ATO.CGLS.404224" diagnostics="DVR.ATO.CGLS.404224" test="not(@contextRef = $TRFR.ContextIds and not(matches(.,'^[0-9]{1,11}$')))"></assert>

</rule>
    

<rule context="rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS94] <> NULL AND [CGLS94] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS94] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount
        -->

<assert  id="VR.ATO.CGLS.404123" diagnostics="DVR.ATO.CGLS.404123" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.Utilised.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
            IF [CGLS103] <> NULL AND [CGLS103] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS103] = CGLS:RP:rvctc3.02.00:Tax.Losses.Utilised.Amount
        -->

    <assert  id="VR.ATO.CGLS.404151" diagnostics="DVR.ATO.CGLS.404151" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
    
  </rule>

<rule context="rvctc3.02.15:Tax.Losses.Deducted.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
            IF rvctc.xx.xx:Tax.Losses.Deducted.Amount <> NULL AND rvctc.xx.xx:Tax.Losses.Deducted.Amount <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF            
         -->

      <assert  id="VR.ATO.CGLS.404208" diagnostics="DVR.ATO.CGLS.404208" test="not(not(matches(.,'^[0-9]{1,11}$')))"></assert>

  </rule>

<!--<rule context="rvctc3.02.14:Tax.Losses.Uplift.Amount[not(@i:nil='true' or @i:nil='1')]">

--><!-- 
            IF [CGLS104] <> NULL AND [CGLS104] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS104] = CGLS:RP:rvctc3.02.14:Tax.Losses.Uplift.Amount
        --><!--

<assert  id="VR.ATO.CGLS.404152" diagnostics="DVR.ATO.CGLS.404152" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>-->

<rule context="rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CGLS115] <> NULL AND [CGLS115] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS115] = CGLS:RP:rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount
        -->

<assert  id="VR.ATO.CGLS.404202" diagnostics="DVR.ATO.CGLS.404202" test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"></assert>
</rule>

<rule context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" test="upper-case(.) = 'MN'"></assert>
</rule>
</pattern>