<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ref="http://www.xbrl.org/2006/ref"
                xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
                xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:rvctc3.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.04.data"
                xmlns:rvctc3.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data"
                xmlns:rvctc3.02.15="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.15.data"
                xmlns:rvctc3.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.14.data"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data"
                xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data"
                xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"
                xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data"
                xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data"
                xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"
                xmlns:cgls.0004.prv="http://sbr.gov.au/rprt/ato/cgls/cgls.0004.private.02.00.module"
                xmlns:cgls.0004.lodge.request.02.00="http://sbr.gov.au/rprt/ato/cgls/cgls.0004.lodge.request.02.01.report"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M44"/>
         <xsl:apply-templates select="/" mode="M46"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL Context Id variables that are applicable accross all of the CGLS services.-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]                     ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="TRFR.Contexts"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Transferor$')]                     ]"/>
   <xsl:variable name="TRFR.ContextIds" select="$TRFR.Contexts/@id"/>
   <xsl:variable name="JE.Contexts"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:JoiningEntity$')]                     ]"/>
   <xsl:variable name="JE.ContextIds" select="$JE.Contexts/@id"/>
   <xsl:variable name="RP.COTP.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTPassed$')]) = 1]                     ]"/>
   <xsl:variable name="RP.COTP.ContextId" select="$RP.COTP.Context/@id"/>
   <xsl:variable name="RP.COTF.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTFailedSBTPassed$')]) = 1]                     ]"/>
   <xsl:variable name="RP.COTF.ContextId" select="$RP.COTF.Context/@id"/>
   <xsl:variable name="RP.COTT.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTTrust$')]) = 1]                     ]"/>
   <xsl:variable name="RP.COTT.ContextId" select="$RP.COTT.Context/@id"/>
   <xsl:variable name="RP.GRP.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and matches(.,'^LossGenSource\.\d\d\.\d\d:Group$')]) = 1]                     ]"/>
   <xsl:variable name="RP.GRP.ContextId" select="$RP.GRP.Context/@id"/>
   <xsl:variable name="RP.TRFD.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and matches(.,'^LossGenSource\.\d\d\.\d\d:Transferred$')]) = 1]                     ]"/>
   <xsl:variable name="RP.TRFD.ContextId" select="$RP.TRFD.Context/@id"/>
   <xsl:variable name="RP.TOT.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and matches(.,'^LossGenSource\.\d\d\.\d\d:Total$')]) = 1]                     ]"/>
   <xsl:variable name="RP.TOT.ContextId" select="$RP.TOT.Context/@id"/>
   <xsl:variable name="RP.Y0.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0.ContextId" select="$RP.Y0.Context/@id"/>
   <xsl:variable name="RP.Y0-1.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id"/>
   <xsl:variable name="RP.Y0-2.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-2.ContextId" select="$RP.Y0-2.Context/@id"/>
   <xsl:variable name="RP.Y0-3.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-3.ContextId" select="$RP.Y0-3.Context/@id"/>
   <xsl:variable name="RP.Y0-4P.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4Plus$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-4P.ContextId" select="$RP.Y0-4P.Context/@id"/>
   <xsl:variable name="RP.INTI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:InterestIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.INTI.ContextId" select="$RP.INTI.Context/@id"/>
   <xsl:variable name="RP.PASSI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:ModifiedPassiveIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.PASSI.ContextId" select="$RP.PASSI.Context/@id"/>
   <xsl:variable name="RP.OFFI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:OffshoreBankingIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.OFFI.ContextId" select="$RP.OFFI.Context/@id"/>
   <xsl:variable name="RP.ALLI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:AllOtherForeignSourceIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.ALLI.ContextId" select="$RP.ALLI.Context/@id"/>
   <xsl:variable name="RP.Identifier.TFN"
                 select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                     and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                     and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]/                     ../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']"/>
   <xsl:template match="text()" priority="-1" mode="M44"/>
   <xsl:template match="@*|node()" priority="-2" mode="M44">
      <xsl:apply-templates select="*" mode="M44"/>
   </xsl:template>

   <!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M46">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                          (sum(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                           &gt; 0                           or                           sum(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                           &gt; 0                           or                           sum(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                           &gt; 0                           or                           sum(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                           &gt; 0)                          and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                 = 0                                                             or                                 sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                 = 0                          )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                 = 0                                                             or                              sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                              = 0                           )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                 = 0                                                             or                              sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                              = 0                          )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                 = 0                                                             or                                  sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                              = 0                          )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                 = 0                                                             or                              sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                              = 0                          )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404000</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                             round(xs:decimal(100 * sum(                        rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|                          rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])))                          !=                             round(xs:decimal(100 * sum(                             rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')])))                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404207</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.Deducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                   sum(rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                            &gt; 0                         and                         (                           count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')])                            = 0                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404214</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.Deducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')])                         &gt; 0                             and                            (                                 count(rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                                = 0                                                            or                                sum(rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                = 0                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404215</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.Deducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                            round(xs:decimal(100 * sum(                            rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1')])))                            &gt;                            round(xs:decimal(100 * sum(                            rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])))                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404216</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.Deducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                            count(rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                            &gt; 0                            and                            (                                round(xs:decimal(100 * sum(                                rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                &gt;                                round(xs:decimal(100 * sum(                                rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')])))                            )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404211</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.Deducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             (                             count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1') and sum(.) &gt; 0 ]) &gt; 0                              or                              count(rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1') and sum(.) &gt; 0 ]) &gt; 0                              )                             and                             count(rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId ])                             = 0                                                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404222</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                             rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             count($TRFR.ContextIds) = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404223</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                             round(xs:decimal(100 * sum(                    rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|                          rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])))                          !=                             round(xs:decimal(100 * sum(                             rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')])))                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404010</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             &gt; 0                             and                             (                                round(xs:decimal(100 * sum(                                rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                &gt;                                round(xs:decimal(100 * sum(                                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')])))                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404012</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             (rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             and                             (                                round(xs:decimal(100 * sum(                                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')])))                                !=                                round(xs:decimal(100 * sum(                                                               rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404013</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                             round(xs:decimal(100 * sum(                    rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|                          rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])))                          !=                             round(xs:decimal(100 * sum(                             rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')])))                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404209</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                          not                          (                            sum(rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                            &gt; 0                            and                            (                               count(rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')])                               = 0                            )                             )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404217</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                          not                          (                            count(rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')])                            &gt; 0                            and                            (                                count(rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                                = 0                                                            or                                sum(rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])                                = 0                            )                             )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404218</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                            round(xs:decimal(100 * sum(                            rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1')  and string-length(normalize-space(.)) &gt; 0])))                            &gt;                            round(xs:decimal(100 * sum(                            rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])))                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404219</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             &gt; 0                             and                             (                                round(xs:decimal(100 * sum(                                rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])))                                &gt;                                round(xs:decimal(100 * sum(                                rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])))                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404213</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                             round(xs:decimal(100 * sum(                    rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]|                          rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])))                          !=                             round(xs:decimal(100 * sum(                             rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])))                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404019</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             &gt; 0                             and                             (                                round(xs:decimal(100 * sum(                                rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])))                                &gt;                                round(xs:decimal(100 * sum(                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])))                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404021</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                      not                      (                             rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                             and                             count($JE.ContextIds) = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404022</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                             and                             (count($JE.ContextIds) &gt; 0                              or                              count(rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0)                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404023</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             (rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             )                             and                             (                                round(xs:decimal(100 * sum(                                rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                )))                                &gt;                                round(xs:decimal(100 * sum(                                rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                )))                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404145</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             (rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             )                             and                             (                                round(xs:decimal(100 * sum(                                rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                )))                                !=                                (                                    round(xs:decimal(100 * sum(                                    rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                    )))                                    -                                    round(xs:decimal(100 * sum(                                    rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                    )))                                      +                                    round(xs:decimal(100 * sum(                                    rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                         )))                                    -                                    round(xs:decimal(100 * sum(                                    rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                    )))                                           )                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404146</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M46"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[                         not(@i:nil='true' or @i:nil='1')                          and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                         xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                          xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                         and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                         and matches(.,'^RprtPyType\.\d\d\.\d\d:Transferor$')]                         ]"
                 priority="1003"
                 mode="M46">
      <xsl:variable name="This.TRFR.ContextId" select="./@id"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                         sum(../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')])                         &gt;                         sum(../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')])                         or                         sum(../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')])                         &gt;                         sum(../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')])                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(                             ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                             and                             count(                             ../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404037</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(                             ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                             and                             count(                             ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) &gt; 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404220</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(                             ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) &gt; 0                             and                        count(../rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])                          = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404225</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(                             ../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                             and                             count(../rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])                             &gt; 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404227</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             count(                             ../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) &gt; 0                             and                             count(../rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])                             = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404230</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.15:Capital.Losses.TransferredApplied.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M46"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[                         not(@i:nil='true' or @i:nil='1')                          and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                         xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                          xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                         and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                         and matches(.,'^RprtPyType\.\d\d\.\d\d:JoiningEntity$')]                         ]"
                 priority="1002"
                 mode="M46">
      <xsl:variable name="This.JE.ContextId" select="./@id"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         count(                         ../rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[                         not(@i:nil='true' or @i:nil='1') and @contextRef = $This.JE.ContextId]                         ) &gt; 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404057</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M46"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M46">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             (sum(./xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div                              sum(./xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))                              = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404221</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M46"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M46">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             (sum(./xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div                              sum(./xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))                              = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404228</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M46"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M46"/>
   <xsl:template match="@*|node()" priority="-2" mode="M46">
      <xsl:apply-templates select="*" mode="M46"/>
   </xsl:template>
</xsl:stylesheet>
