<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ref="http://www.xbrl.org/2006/ref"
                xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
                xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:rvctc3.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.04.data"
                xmlns:rvctc3.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data"
                xmlns:rvctc3.02.15="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.15.data"
                xmlns:rvctc3.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.14.data"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data"
                xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data"
                xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"
                xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data"
                xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data"
                xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"
                xmlns:cgls.0004.prv="http://sbr.gov.au/rprt/ato/cgls/cgls.0004.private.02.00.module"
                xmlns:cgls.0004.lodge.request.02.00="http://sbr.gov.au/rprt/ato/cgls/cgls.0004.lodge.request.02.01.report"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M43"/>
         <xsl:apply-templates select="/" mode="M44"/>
         <xsl:apply-templates select="/" mode="M45"/>
         <xsl:apply-templates select="/" mode="M48"/>
         <xsl:apply-templates select="/" mode="M49"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN AbstractsAbstracts Validations-->
<xsl:template match="text()" priority="-1" mode="M43"/>
   <xsl:template match="@*|node()" priority="-2" mode="M43">
      <xsl:apply-templates select="*" mode="M43"/>
   </xsl:template>

   <!--
                PATTERN VariablesXBRL Context Id variables that are applicable accross all of the CGLS services.-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]                     ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="TRFR.Contexts"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Transferor$')]                     ]"/>
   <xsl:variable name="TRFR.ContextIds" select="$TRFR.Contexts/@id"/>
   <xsl:variable name="JE.Contexts"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:JoiningEntity$')]                     ]"/>
   <xsl:variable name="JE.ContextIds" select="$JE.Contexts/@id"/>
   <xsl:variable name="RP.COTP.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTPassed$')]) = 1]                     ]"/>
   <xsl:variable name="RP.COTP.ContextId" select="$RP.COTP.Context/@id"/>
   <xsl:variable name="RP.COTF.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTFailedSBTPassed$')]) = 1]                     ]"/>
   <xsl:variable name="RP.COTF.ContextId" select="$RP.COTF.Context/@id"/>
   <xsl:variable name="RP.COTT.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTTrust$')]) = 1]                     ]"/>
   <xsl:variable name="RP.COTT.ContextId" select="$RP.COTT.Context/@id"/>
   <xsl:variable name="RP.GRP.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and matches(.,'^LossGenSource\.\d\d\.\d\d:Group$')]) = 1]                     ]"/>
   <xsl:variable name="RP.GRP.ContextId" select="$RP.GRP.Context/@id"/>
   <xsl:variable name="RP.TRFD.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and matches(.,'^LossGenSource\.\d\d\.\d\d:Transferred$')]) = 1]                     ]"/>
   <xsl:variable name="RP.TRFD.ContextId" select="$RP.TRFD.Context/@id"/>
   <xsl:variable name="RP.TOT.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and matches(.,'^LossGenSource\.\d\d\.\d\d:Total$')]) = 1]                     ]"/>
   <xsl:variable name="RP.TOT.ContextId" select="$RP.TOT.Context/@id"/>
   <xsl:variable name="RP.Y0.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0.ContextId" select="$RP.Y0.Context/@id"/>
   <xsl:variable name="RP.Y0-1.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id"/>
   <xsl:variable name="RP.Y0-2.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-2.ContextId" select="$RP.Y0-2.Context/@id"/>
   <xsl:variable name="RP.Y0-3.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-3.ContextId" select="$RP.Y0-3.Context/@id"/>
   <xsl:variable name="RP.Y0-4P.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4Plus$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-4P.ContextId" select="$RP.Y0-4P.Context/@id"/>
   <xsl:variable name="RP.INTI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:InterestIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.INTI.ContextId" select="$RP.INTI.Context/@id"/>
   <xsl:variable name="RP.PASSI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:ModifiedPassiveIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.PASSI.ContextId" select="$RP.PASSI.Context/@id"/>
   <xsl:variable name="RP.OFFI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:OffshoreBankingIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.OFFI.ContextId" select="$RP.OFFI.Context/@id"/>
   <xsl:variable name="RP.ALLI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:AllOtherForeignSourceIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.ALLI.ContextId" select="$RP.ALLI.Context/@id"/>
   <xsl:variable name="RP.Identifier.TFN"
                 select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                     and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                     and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]/                     ../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']"/>
   <xsl:template match="text()" priority="-1" mode="M44"/>
   <xsl:template match="@*|node()" priority="-2" mode="M44">
      <xsl:apply-templates select="*" mode="M44"/>
   </xsl:template>

   <!--
                PATTERN ContextRule validations for contexts that are applicable accross all of the CGLS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1005"
                 mode="M45">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.ContextId]) = 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count($JE.ContextIds) &lt;= 4"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404039</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count($TRFR.ContextIds) &lt;= 12"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404038</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.COTT.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.COTP.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.COTF.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.GRP.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.TRFD.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.TOT.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.Y0.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.Y0-1.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.Y0-2.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.Y0-3.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:context[@id=$RP.Y0-4P.ContextId]) &lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.200007</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction) &lt;= 6"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404200</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction ) &lt;= 6"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404201</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M45">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:entity/xbrli:identifier[not(lower-case(@scheme)='http://www.ato.gov.au/tfn')]) = 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001021</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$')                      and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTPassed$'))                     and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTFailedSBTPassed$'))                     and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTTrust$'))]) = 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404032</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[matches(@dimension,'^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$')                          and not(matches(.,'^LossGenSource\.\d\d\.\d\d:Group$'))                         and not(matches(.,'^LossGenSource\.\d\d\.\d\d:Transferred$'))                         and not(matches(.,'^LossGenSource\.\d\d\.\d\d:Total$'))]) = 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404033</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember                     [                                not(@i:nil='true' or @i:nil='1')                             and matches(@dimension,'^RelPrdDrtn\.\d\d\.\d\d:RelativePeriodDurationDimension$')                     ]"
                 priority="1003"
                 mode="M45">
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:context/xbrli:entity[./xbrli:segment/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and contains(., 'Transferor')]]"
                 priority="1002"
                 mode="M45">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] =                          preceding::xbrli:entity[./xbrli:segment/xbrldi:explicitMember[contains(., 'Transferor')]]/xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404053</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             string-length(normalize-space(                             xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0                             and                             not(function:ValidateTFN(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']))                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.428016</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:context/xbrli:entity[./xbrli:segment/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and contains(., 'ReportingParty')]]"
                 priority="1001"
                 mode="M45">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001023</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:context/xbrli:entity[not(@i:nil='true' or @i:nil='1') and ./xbrli:segment/xbrldi:explicitMember[contains(., 'JoiningEntity')]]"
                 priority="1000"
                 mode="M45">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] =                          preceding::xbrli:entity[./xbrli:segment/xbrldi:explicitMember[contains(., 'JoiningEntity')]]/xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404054</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                         not                         (                             string-length(normalize-space(                             xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0                             and                             not(function:ValidateTFN(xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']))                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.428016</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M45"/>
   <xsl:template match="@*|node()" priority="-2" mode="M45">
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>

   <!--
                PATTERN LengthLength and Monetary Format Validations for CGLS-->


	<!--
            RULE -->
<xsl:template match="rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')]"
                 priority="1036"
                 mode="M48">
      <xsl:variable name="This.ContextId" select="@contextRef"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count($TRFR.ContextIds[. = $This.ContextId]) = 0 or matches( string(number(./xbrli:numerator) div number(./xbrli:denominator)),'^[0-9]{1}(\.[0-9]{0,3})?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404046</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')]"
                 priority="1035"
                 mode="M48">
      <xsl:variable name="This.ContextId" select="@contextRef"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count($TRFR.ContextIds[. = $This.ContextId]) = 0 or matches( string(number(./xbrli:numerator) div number(./xbrli:denominator)),'^[0-9]{1}(\.[0-9]{0,3})?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CGLS.404046</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1034"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1033"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.GRP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.TRFD.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.TOT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1032"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.14:Tax.Losses.Uplift.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1031"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1030"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1029"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1028"
                 mode="M48">
      <xsl:variable name="This.ContextId" select="@contextRef"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or count($TRFR.ContextIds[. = $This.ContextId]) = 0 or matches(.,'^[0-9]{1,11}$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1027"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.AppliedNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1026"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="matches(.,'^[0-9]{1,11}$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1025"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1024"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1023"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1022"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1021"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1020"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.GRP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.TRFD.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.TOT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1019"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1018"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1017"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1016"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1015"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1014"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1013"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1012"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1011"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1010"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTF.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.COTT.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1009"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1008"
                 mode="M48">
      <xsl:variable name="This.ContextId" select="@contextRef"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or count($JE.ContextIds[. = $This.ContextId]) = 0 or matches(.,'^[0-9]{1,11}$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1007"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.Y0.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.Y0-1.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.Y0-2.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.Y0-3.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.Y0-4P.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1006"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1005"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $TRFR.ContextIds and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.Utilised.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1003"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Tax.Losses.Utilised.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Tax.Losses.Deducted.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1002"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(@contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$')))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400011</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M48">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="upper-case(.) = 'MN'"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410049</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M48"/>
   <xsl:template match="@*|node()" priority="-2" mode="M48">
      <xsl:apply-templates select="*" mode="M48"/>
   </xsl:template>

   <!--
                PATTERN DataTypesDataType Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]"
                 priority="1061"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or (matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.[1]))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001008</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]"
                 priority="1060"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or (matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.[1]))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001008</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]"
                 priority="1059"
                 mode="M49">
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]"
                 priority="1058"
                 mode="M49">
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1057"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1056"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1055"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1054"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1053"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1052"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1051"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1050"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.AllOtherForeignSourceIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1049"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.AssessableForeignSourceIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1048"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.AttributabletoForeignNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1047"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1046"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1045"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1044"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1043"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignSourceConvertibleLosses.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1042"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1041"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1040"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1039"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ChoiceToReduceConvertibleForeignLossesToStartingTotalThreshold.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1038"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1037"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1036"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1035"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ConvertibleForeignLosses.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1034"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ConvertibleForeignLossesIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1033"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1032"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1031"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForeignLossComponentOfTaxLossTransferredFromJoiningEntities.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1030"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForeignSourceIncomeStartingTotal.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1029"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1028"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1027"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1026"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1025"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1024"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1023"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1022"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.AppliedNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1021"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1020"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1019"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1018"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1017"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1016"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1015"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.14:Tax.Losses.Uplift.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1014"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1013"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1012"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1011"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1010"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.Utilised.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1009"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1008"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.15:Tax.Losses.Deducted.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1007"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1006"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[not(@i:nil='true' or @i:nil='1')]"
                 priority="1005"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001010</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001010</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:context[not(@i:nil='true' or @i:nil='1')]/@id"
                 priority="1003"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[A-Za-z_][A-Za-z0-9._-]*$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001012</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1002"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&#34;])*$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001017</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9])*$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001017</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M49">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{11}$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001017</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M49"/>
   <xsl:template match="@*|node()" priority="-2" mode="M49">
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>
</xsl:stylesheet>
