﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormIDS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to IDS.</title>

<!-- IDS Context Variable -->
<let name="IDS.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0002/ids.0002.lodge.request.02.00.report.xsd']]" />
<!-- RP.IDS Context -->
<let name="RP.IDS.Context" value="$IDS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
         ]" />
<!-- RP.IDS Context Id -->
<let name="RP.IDS.ContextId" value="$RP.IDS.Context/@id" />
<!-- RP.CFCLC Context -->
<let name="RP.CFCLC.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
          ]" />
<!-- RP.CFCLC Context Id -->
<let name="RP.CFCLC.IDS.ContextId" value="$RP.CFCLC.IDS.Context/@id" />
<!-- RP.CFCSP Context -->
<let name="RP.CFCSP.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:SpecifiedCountry$')]) = 1]
         ]" />
<!-- RP.CFCSP Context Id -->
<let name="RP.CFCSP.IDS.ContextId" value="$RP.CFCSP.IDS.Context/@id" />
<!-- RP.CFCUC Context -->
<let name="RP.CFCUC.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
         ]" />
<!-- RP.CFCUC Context Id -->
<let name="RP.CFCUC.IDS.ContextId" value="$RP.CFCUC.IDS.Context/@id" />
<!-- RP.Royalties.IDS Context -->
<let name="RP.Royalties.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Royalties$')]) = 1]
         ]" />
<!-- RP.Royalties.IDS Context Id -->
<let name="RP.Royalties.IDS.ContextId" value="$RP.Royalties.IDS.Context/@id" />
<!-- RP.TangibleRevenue.IDS Context -->
<let name="RP.TangibleRevenue.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:TangibleRevenue$')]) = 1]
         ]" />
<!-- RP.TangibleRevenue.IDS Context Id -->
<let name="RP.TangibleRevenue.IDS.ContextId" value="$RP.TangibleRevenue.IDS.Context/@id" />
<!-- RP.OtherInterest.IDS Context -->
<let name="RP.OtherInterest.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInterest$')]) = 1]
         ]" />
<!-- RP.OtherInterest.IDS Context Id -->
<let name="RP.OtherInterest.IDS.ContextId" value="$RP.OtherInterest.IDS.Context/@id" />
<!-- RP.RentLease.IDS Context -->
<let name="RP.RentLease.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RentLease$')]) = 1]
         ]" />
<!-- RP.RentLease.IDS Context Id -->
<let name="RP.RentLease.IDS.ContextId" value="$RP.RentLease.IDS.Context/@id" />


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0002/ids.0002.lodge.request.02.00.report.xsd']]">
        <!--
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000.IDS" 
                test="not(
                    xbrli:context[@id=$RP.IDS.ContextId]/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')])"/>
        <!-- 
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->
    <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001.IDS" 
             test="not(
                        xbrli:context[@id=$RP.IDS.ContextId]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                      )"/>
        <!--
            IF (RP:entity.identifier.TFN 
                <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.IDS"
             test="not(
                        xbrli:context[@id=$RP.IDS.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                    )"/>
</rule>
    
</pattern>