﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Field Patterns Validations that are applicable accross all of the CTR services.</title>


<rule context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR336] <> NULL AND [CTR336] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR336] = bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount
        -->

<assert  id="VR.ATO.CTR.430032" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef=$RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                        )"></assert>
</rule>

<rule context="bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> NULL) AND
            (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438018" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                    not(matches(.,'^[0-9]{1,11}$'))
                    )"></assert>
</rule>

<rule context="bafpr1.02.13:Income.ExemptNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (bafpr1.xx.xx:Income.ExemptNet.Amount) <> NULL AND (bafpr1.xx.xx:Income.ExemptNet.Amount) <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.430037" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc1.02.00:IncomeTax.Liability.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (rvctc1.xx.xx:IncomeTax.Liability.Amount) <> NULL AND (rvctc1.xx.xx:IncomeTax.Liability.Amount) <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.430038" diagnostics="DVR.ATO.MONEY.U.13.2" test="matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR354] <> NULL AND [CTR354] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR354] = bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount
        -->

<assert  id="VR.ATO.CTR.430042" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>


<rule context="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [CTR360] <> NULL AND [CTR360] <> MONETARY(S,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR360] = CTR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount
        -->

<assert  id="VR.ATO.CTR.430057" diagnostics="DVR.ATO.MONEY.S.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR300] <> NULL AND [CTR300] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR300] = gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount
        -->

<assert  id="VR.ATO.CTR.429831" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF LENGTH([CTR295]) > 32
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR295] = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text 
                        IN TUPLE(fininstacc1.02.00:FinancialInstitutionAccount)
        -->

<assert  id="VR.ATO.CTR.429834" diagnostics="DVR.ATO.CTR.429834" test="not(
                            @contextRef = $RP.ContextId and (string-length(normalize-space(.)) &gt; 32)
                     )"></assert>
</rule>

<rule context="rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR326] <> NULL AND [CTR326] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR326] = rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->

<assert  id="VR.ATO.CTR.429835" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR317] <> NULL AND [CTR317] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR317] = rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429836" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
</rule>

<rule context="rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR325] <> NULL AND [CTR325] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR325] = rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429837" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
</rule>

<rule context="rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR316] <> NULL AND [CTR316] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR316] = rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
        -->

<assert  id="VR.ATO.CTR.429838" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
</rule>

<rule context="rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR324] <> NULL AND [CTR324] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR324] = rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429839" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
</rule>

<rule context="rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR323] <> NULL AND [CTR323] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR323] = rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount
        -->

<assert  id="VR.ATO.CTR.429840" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
</rule>

<rule context="rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR322] <> NULL AND [CTR322] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR322] = rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429841" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
</rule>

<rule context="rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR327] <> NULL AND [CTR327] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR327] = rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        -->

<assert  id="VR.ATO.CTR.429842" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"></assert>
</rule>

<rule context="rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR321] <> NULL AND [CTR321] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR321] = rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount
        -->

<assert  id="VR.ATO.CTR.429843" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR320] <> NULL AND [CTR320] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR320] = rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount
        -->

<assert  id="VR.ATO.CTR.429844" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.04:Income.GainsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR310] <> NULL AND [CTR310] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR310] = CTR:RP.TOFA:bafpr1.02.04:Income.GainsTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429845" diagnostics="DVR.ATO.MONEY.U.11.0" test="@contextRef != $RP.TOFA.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.LossesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR311] <> NULL AND [CTR311] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR311] = CTR:RP.TOFA:bafpr1.02.04:Expense.LossesTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429846" diagnostics="DVR.ATO.MONEY.U.11.0" test="@contextRef != $RP.TOFA.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier <> NULLORBLANK) AND (ACNALGORITHM(pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428021" diagnostics="DVR.ATO.GEN.428021" test="@contextRef != $RP.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or function:ValidateACN(.)"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) and (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
    -->

<assert  id="VR.ATO.GEN.428040" diagnostics="DVR.ATO.GEN.428040.0" 
         test="@contextRef != $RP.ContextId 
                or @i:nil='true' or @i:nil='1' 
                or string-length(normalize-space(.)) = 0 
                or function:ValidateABN(.)"/>
</rule>

<rule context="pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR2] <> "2014"
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR2] = CTR:RP:pyin.02.00:Report.TargetFinancial.Year
          -->

<assert  id="VR.ATO.CTR.428192" diagnostics="DVR.ATO.CTR.428192" test="not(
                            number(.)!= 2014
                        )"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

<!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247" test="function:ValidateTAN(.)"></assert>
</rule>

<rule context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR299] <> NULL AND [CTR299] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR299] = IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount
        -->

<assert  id="VR.ATO.CTR.429849" diagnostics="DVR.ATO.CTR.429849" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="bafpo7.02.02:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> NULL) 
            AND (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438014" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                            not(matches(.,'^[0-9]{1,11}$'))
                        )"></assert>
</rule>

<rule context="bafpr3.02.11:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount">

<!--
            IF (bafpr3.xx.xx:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> NULL) 
            AND (bafpr3.xx.xx:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438015" diagnostics="DVR.ATO.GEN.438015" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr3.02.11:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount">

<!--
            IF (bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> NULL) 
            AND (bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438016" diagnostics="DVR.ATO.GEN.438016" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (rvctc3.xx.xx:Tax.Losses.Total.Amount) <> NULL AND (rvctc3.xx.xx:Tax.Losses.Total.Amount) <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.430036" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR345] <> NULL AND [CTR345] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.430039" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
           IF [CTR346] <> NULL AND [CTR346] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR346] = bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount
        -->

<assert  id="VR.ATO.GEN.438012" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL) AND 
            (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438013" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                    )"></assert>
</rule>

<rule context="bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR290] <> NULL AND [CTR290] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR290] = CTR:RP.TOFA:bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount
        -->

<assert  id="VR.ATO.CTR.429850" diagnostics="DVR.ATO.CTR.429850" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([CTR217] <> NULL) AND ([CTR217] <> SET (1-999))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR217] = pyin.xx.xx:Report.CompletionHours.Number
        -->

<assert  id="VR.ATO.CTR.428078" diagnostics="DVR.ATO.CTR.428078" test="@i:nil='true' or @i:nil='1' or matches(.,'^([1-9]|[1-9][0-9]|[1-9][0-9][0-9])$')"></assert>
</rule>

<rule context="bafpr1.02.05:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR308] <> NULL AND [CTR308] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR308] = Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount  
        -->

<assert  id="VR.ATO.CTR.429848" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                           @contextRef=$RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))             
                        )"></assert>
</rule>

<rule context="bafpo1.02.00:Assets.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR129] <> NULL AND [CTR129] <> MONETARY(U,12,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR129] = CTR:RPI.Closing:bafpo1.02.00:Assets.CurrentTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429851" diagnostics="DVR.ATO.CTR.429851" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,12}$')"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
 
            IF lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount <> NULL AND lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.429852" diagnostics="DVR.ATO.CTR.429852" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF pyde.xx.xx:Address Details.Line 2.Text <> NULLORBLANK AND pyde.xx.xx:Address Details.Line 2.Text <> TEXT(38)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.429853" diagnostics="DVR.ATO.CTR.429853" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 39"></assert>
</rule>

<rule context="bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
        IF [CTR206] <> NULL AND [CTR206] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
        ENDIF 
 
        [CTR206] = CTR.RP:bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount
        -->

<assert  id="VR.ATO.CTR.429855" diagnostics="DVR.ATO.CTR.429855" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK AND pyde.xx.xx:AddressDetails.LocalityName.Text <> TEXT(60)
                RETURN VALIDATION MESSAGE
            ENDIF 
        -->

<assert  id="VR.ATO.CTR.429856" diagnostics="DVR.ATO.CTR.429856" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 61"></assert>
</rule>

<rule context="ctr.0005.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([CTR43] <> NULLORBLANK) AND ([CTR43] <> TEXT(76)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR43] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) IN TUPLE(ctr.0005.lodge.req.xx.xx::UltimateHoldingCompany)
        -->

<assert  id="VR.ATO.CTR.429858" diagnostics="DVR.ATO.CTR.429858" test="
                (
                  string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true'or @i:nil='1')]) &lt; 77
                  and
                  pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN' 
                  and
                  pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C'
                )
                or
                (
                  not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C')
                  or
                  not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN')
                )                
                "></assert>
</rule>

<rule context="ctr.0005.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR46] <> NULLORBLANK AND [CTR46] <> TEXT(76)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR46] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                    WHERE 
                    (
                    (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                    AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")
                    ) 
                    IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
        -->

<assert  id="VR.ATO.CTR.429859" diagnostics="DVR.ATO.CTR.429859" test="
                (
                  string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true'or @i:nil='1')]) &lt; 77
                  and
                  pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN' 
                  and
                  pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C'
                )
                or
                (
                  not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C')
                  or
                  not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN')
                )                
                "></assert>
</rule>

<rule context="pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR48] <> NULLORBLANK AND [CTR48] <> TEXT(108)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR48] = pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
        -->

<assert  id="VR.ATO.CTR.429860" diagnostics="DVR.ATO.CTR.429860" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 109"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount <> NULL AND lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.429862" diagnostics="DVR.ATO.CTR.429862" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR59] <> NULL AND [CTR59] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR59] = bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount
        -->

<assert  id="VR.ATO.CTR.429863" diagnostics="DVR.ATO.CTR.429863" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR60] <> NULL AND [CTR60] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR60] = bafpr1.02.02:Income.PartnershipDistributionGross.Amount
        -->

<assert  id="VR.ATO.CTR.429864" diagnostics="DVR.ATO.CTR.429864" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule context="ctr.0005.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR61] <> NULL AND [CTR61] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR61] = Income.TrustDistributionGross.Amount IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
        -->

<assert  id="VR.ATO.CTR.429865" diagnostics="DVR.ATO.CTR.429865" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR63] <> NULL AND [CTR63] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
            
            [CTR63] = bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
        -->

<assert  id="VR.ATO.CTR.429866" diagnostics="DVR.ATO.CTR.429866" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR64] <> NULL AND [CTR64] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR64] = bafpr2.02.02:Income.Interest.Gross.Amount
        -->

<assert  id="VR.ATO.CTR.429867" diagnostics="DVR.ATO.CTR.429867" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR65] <> NULL AND [CTR65] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 

            [CTR65] = bafpr1.02.02:Income.RentLeasingHiringGross.Amount
        -->

<assert  id="VR.ATO.CTR.429868" diagnostics="DVR.ATO.CTR.429868" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.05:Income.DividendsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR66] <> NULL AND [CTR66] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR66] = bafpr1.02.05:Income.DividendsTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429869" diagnostics="DVR.ATO.CTR.429869" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR67] <> NULL AND [CTR67] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR67] = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount
        -->

<assert  id="VR.ATO.CTR.429870" diagnostics="DVR.ATO.CTR.429870" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR68] <> NULL AND [CTR68] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR68] = gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->

<assert  id="VR.ATO.CTR.429871" diagnostics="DVR.ATO.CTR.429871" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR70] <> NULL AND [CTR70] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 

            [CTR70] = bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount
        -->

<assert  id="VR.ATO.CTR.429872" diagnostics="DVR.ATO.CTR.429872" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.OtherGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR71] <> NULL AND [CTR71] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR71] = CTR.RP.bafpr1.02.02:Income.OtherGross.Amount
        -->

<assert  id="VR.ATO.CTR.429873" diagnostics="DVR.ATO.CTR.429873" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR72] <> NULL AND [CTR72] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 

            [CTR72] = bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
        -->

<assert  id="VR.ATO.CTR.429874" diagnostics="DVR.ATO.CTR.429874" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.CostOfSales.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR73] <> NULL AND [CTR73] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR73] = bafpr2.02.00:Expense.Operating.CostOfSales.Amount
        -->

<assert  id="VR.ATO.CTR.429875" diagnostics="DVR.ATO.CTR.429875" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule context="lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR74] <> NULL AND [CTR74] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR74] = lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount
        -->

<assert  id="VR.ATO.CTR.429876" diagnostics="DVR.ATO.CTR.429876" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR75] <> NULL AND [CTR75] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	
        
            [CTR75] = emsup:SuperannuationContribution.EmployerContributions.Amount
        -->

<assert  id="VR.ATO.CTR.429877" diagnostics="DVR.ATO.CTR.429877" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.BadDebts.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR76] <> NULL AND [CTR76] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR76] = bafpr2.02.00:Expense.Operating.BadDebts.Amount
        -->

<assert  id="VR.ATO.CTR.429878" diagnostics="DVR.ATO.CTR.429878" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.Lease.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR77] <> NULL AND [CTR77] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [CTR77] = CTR:RP.JAUS:bafpr2:Expense.Operating.Lease.Amount
        -->

<assert  id="VR.ATO.CTR.429879" diagnostics="DVR.ATO.CTR.429879" test="@contextRef != $RP.JAUS.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR78] <> NULL AND [CTR78] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR78] = CTR:RP.JFOREIGN:bafpr2:Expense.Operating.Lease.Amount
        -->

<assert  id="VR.ATO.CTR.429880" diagnostics="DVR.ATO.CTR.429880" test="@contextRef != $RP.JFOREIGN.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.Rent.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR79] <> NULL AND [CTR79] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR79] = bafpr2.02.00:Expense.Operating.Rent.Amount
        -->

<assert  id="VR.ATO.CTR.429881" diagnostics="DVR.ATO.CTR.429881" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.02:Expense.Operating.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR80] <> NULL AND [CTR80] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR80] = CTR:RP.JAUS:bafpr2.02.02:Expense.Operating.Interest.Amount
        -->

<assert  id="VR.ATO.CTR.429882" diagnostics="DVR.ATO.CTR.429882" test="@contextRef != $RP.JAUS.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR81] <> NULL AND [CTR81] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.02:Expense.Operating.Interest.Amount
        -->

<assert  id="VR.ATO.CTR.429883" diagnostics="DVR.ATO.CTR.429883" test="@contextRef != $RP.JFOREIGN.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR82] <> NULL AND [CTR82] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

        
            [CTR82] = CTR:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429884" diagnostics="DVR.ATO.CTR.429884" test="@contextRef != $RP.JAUS.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR83] <> NULL AND [CTR83] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	


            [CTR83] = CTR:PR.JFOREIGN:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429885" diagnostics="DVR.ATO.CTR.429885" test="@contextRef != $RP.JFOREIGN.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR84] <> NULL AND [CTR84] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR84] = bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
        -->

<assert  id="VR.ATO.CTR.429886" diagnostics="DVR.ATO.CTR.429886" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.MotorVehicle.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR85] <> NULL AND [CTR85] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR85] = bafpr2.02.00:Expense.Operating.MotorVehicle.Amount
        -->

<assert  id="VR.ATO.CTR.429887" diagnostics="DVR.ATO.CTR.429887" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR86] <> NULL AND [CTR86] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR86] = bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount
        -->

<assert  id="VR.ATO.CTR.429888" diagnostics="DVR.ATO.CTR.429888" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR87] <> NULL AND [CTR87] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR87] = bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount
        -->

<assert  id="VR.ATO.CTR.429889" diagnostics="DVR.ATO.CTR.429889" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.00:Expense.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR88] <> NULL AND [CTR88] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR88] = bafpr1.02.00:Expense.Other.Amount
        -->

<assert  id="VR.ATO.CTR.429890" diagnostics="DVR.ATO.CTR.429890" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR91] <> NULL AND [CTR91] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR91] = bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.CTR.429891" diagnostics="DVR.ATO.CTR.429891" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR180] <> NULL AND [CTR180] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR180] = CTR:RP.CMPLY:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.CTR.429963" diagnostics="DVR.ATO.CTR.429963" test="@contextRef != $RP.CMPLY.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR181] <> NULL AND [CTR181] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR181] = CTR:RP.ORD:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.CTR.429964" diagnostics="DVR.ATO.CTR.429964" test="@contextRef != $RP.ORD.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR92] <> NULL AND [CTR92] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR92] = bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount
        -->

<assert  id="VR.ATO.CTR.429892" diagnostics="DVR.ATO.CTR.429892" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR93] <> NULL AND [CTR93] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR93] = rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
        -->

<assert  id="VR.ATO.CTR.429893" diagnostics="DVR.ATO.CTR.429893" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR94] <> NULL AND [CTR94] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR94] = rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        -->

<assert  id="VR.ATO.CTR.429894" diagnostics="DVR.ATO.CTR.429894" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.AssessableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR95] <> NULL AND [CTR95] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR95] = bafpr1.02.02:Income.AssessableOther.Amount
        -->

<assert  id="VR.ATO.CTR.429895" diagnostics="DVR.ATO.CTR.429895" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.NonDeductible.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR96] <> NULL AND [CTR96] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	
            
            [CTR96] = bafpr1.02.02:Expense.NonDeductible.Amount
        -->

<assert  id="VR.ATO.CTR.429896" diagnostics="DVR.ATO.CTR.429896" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR97] <> NULL AND [CTR97] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	
            
            [CTR97] = gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
        -->

<assert  id="VR.ATO.CTR.429897" diagnostics="DVR.ATO.CTR.429897" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR98] <> NULL AND [CTR98] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR98[ = bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429898" diagnostics="DVR.ATO.CTR.429898" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR100] <> NULL AND [CTR100] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR100] = bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429899" diagnostics="DVR.ATO.CTR.429899" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR101] <> NULL AND [CTR101] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR101] = bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429900" diagnostics="DVR.ATO.CTR.429900" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR102] <> NULL AND [CTR102] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR102] = bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429901" diagnostics="DVR.ATO.CTR.429901" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR103] <> NULL AND [CTR103] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR103] = bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429902" diagnostics="DVR.ATO.CTR.429902" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--

            IF [CTR104] <> NULL AND [CTR104] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR104] = CTR:RP:bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429903" diagnostics="DVR.ATO.CTR.429903" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR111] <> NULL AND [CTR111] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR111] = CTR:RP.Y0:gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount
        -->

<assert  id="VR.ATO.CTR.429908" diagnostics="DVR.ATO.CTR.429908" test="@contextRef != $RP.Y0.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR112] <> NULL AND [CTR112] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR112] = bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429909" diagnostics="DVR.ATO.CTR.429909" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [CTR113] <> NULL AND [CTR113] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR113] = gfagc:.02.00TaxConcession.OffshoreBankingUnitAdjustment.Amount
        -->

<assert  id="VR.ATO.CTR.429910" diagnostics="DVR.ATO.CTR.429910" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.Exempt.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR114] <> NULL AND [CTR114] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR114] = bafpr1.02.02:Income.Exempt.Amount
        -->

<assert  id="VR.ATO.CTR.429911" diagnostics="DVR.ATO.CTR.429911" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.NotincludedInAssessableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR115] <> NULL AND [CTR115] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR115] = bafpr1.02.02:Income.NotincludedInAssessableOther.Amount
        -->

<assert  id="VR.ATO.CTR.429912" diagnostics="DVR.ATO.CTR.429912" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR116] <> NULL AND [CTR116] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR116] = bafpr1.02.04:Expense.DeductibleOther.Amount
        -->

<assert  id="VR.ATO.CTR.429913" diagnostics="DVR.ATO.CTR.429913" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR256] <> NULL AND [CTR256] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR256] = bafpr1.02.04:Expense.DeductibleOther.Amount
        -->

<assert  id="VR.ATO.CTR.429998" diagnostics="DVR.ATO.CTR.429998" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR117] <> NULL AND [CTR117] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR117] = rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->

<assert  id="VR.ATO.CTR.429914" diagnostics="DVR.ATO.CTR.429914" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR118] <> NULL AND [CTR118] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR118] = rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount
        -->

<assert  id="VR.ATO.CTR.429915" diagnostics="DVR.ATO.CTR.429915" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR120] <> NULL AND [CTR120] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR120] = bafpr1.02.02:Income.Taxable.Amount
        -->

<assert  id="VR.ATO.CTR.429917" diagnostics="DVR.ATO.CTR.429917" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(normalize-space(.),'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo7.02.04:Assets.Inventories.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR123] <> NULL AND [CTR123] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR123] = bafpo7.02.04:Assets.Inventories.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429919" diagnostics="DVR.ATO.CTR.429919" test="@contextRef != $RPI.Opening.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR125] <> NULL AND [CTR125] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR125] = bafpo7:Assets.Inventories.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429921" diagnostics="DVR.ATO.CTR.429921" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR124] <> NULL AND [CTR124] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR124] = bafpr2:Expense.Purchases.AndOtherCosts.Amount
        -->

<assert  id="VR.ATO.CTR.429920" diagnostics="DVR.ATO.CTR.429920" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo1.02.13:Assets.TradeandReceivablesOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR128] <> NULL AND [CTR128] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR128] = bafpo1:Assets.TradeandReceivablesOther.Amount
        -->

<assert  id="VR.ATO.CTR.429922" diagnostics="DVR.ATO.CTR.429922" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo1.02.13:Assets.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR130] <> NULL AND [CTR130] <> MONETARY(U,12,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR130] = bafpo1:Assets.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429923" diagnostics="DVR.ATO.CTR.429923" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,12}$')"></assert>
</rule>

<rule context="bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR131] <> NULL AND [CTR131] <> MONETARY(U,12,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR131] = bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount
        -->

<assert  id="VR.ATO.CTR.429924" diagnostics="DVR.ATO.CTR.429924" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo1.02.00:Liabilities.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR132] <> NULL AND [CTR132] <> MONETARY(U,12,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            CTR132 = bafpo1.02.00:Liabilities.CurrentTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429925" diagnostics="DVR.ATO.CTR.429925" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,12}$')"></assert>
</rule>

<rule context="bafpo1.02.13:Liabilities.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR133] <> NULL AND [CTR133] <> MONETARY(U,12,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR133] = bafpo1.02.13:Liabilities.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429926" diagnostics="DVR.ATO.CTR.429926" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,12}$')"></assert>
</rule>

<rule context="bafpo1.02.02:Liabilities.DebtTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR134] <> NULL AND [CTR134] <> MONETARY(U,12,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR134] = bafpo1.02.02:Liabilities.DebtTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429927" diagnostics="DVR.ATO.CTR.429927" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,12}$')"></assert>
</rule>

<rule context="bafpo1.02.02:Liabilities.CommercialDebtForgiveness.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR135] <> NULL AND [CTR135] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR135] = bafpo1.02.02:Liabilities.CommercialDebtForgiveness.Amount
        -->

<assert  id="VR.ATO.CTR.429928" diagnostics="DVR.ATO.CTR.429928" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR137] <> NULL AND [CTR137] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	
            
            [CTR137] = bafpo2:Equity.Dividends.FrankedPaid.Amount
        -->

<assert  id="VR.ATO.CTR.429930" diagnostics="DVR.ATO.CTR.429930" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR138] <> NULL AND [CTR138] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR138] = bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount
        -->

<assert  id="VR.ATO.CTR.429931" diagnostics="DVR.ATO.CTR.429931" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR139] <> NULL AND [CTR139] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR139] = bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount
        -->

<assert  id="VR.ATO.CTR.429932" diagnostics="DVR.ATO.CTR.429932" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc2.02.01:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR142] <> NULL AND [CTR142] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR142] = rvctc2.02.01:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount
        -->

<assert  id="VR.ATO.CTR.429935" diagnostics="DVR.ATO.CTR.429935" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR145] <> NULL AND [CTR145] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR145] = bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount
        -->

<assert  id="VR.ATO.CTR.429937" diagnostics="DVR.ATO.CTR.429937" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR147] <> NULL AND [CTR147] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	
            
            [CTR147] = bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
        -->

<assert  id="VR.ATO.CTR.429938" diagnostics="DVR.ATO.CTR.429938" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR148] <> NULL AND [CTR148] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR148] = bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
        -->

<assert  id="VR.ATO.CTR.429939" diagnostics="DVR.ATO.CTR.429939" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR149] <> NULL AND [CTR149] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR149] = bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
        -->

<assert  id="VR.ATO.CTR.429940" diagnostics="DVR.ATO.CTR.429940" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR150] <> NULL AND [CTR150] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR150] = bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount
        -->

<assert  id="VR.ATO.CTR.429941" diagnostics="DVR.ATO.CTR.429941" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR151] <> NULL AND [CTR151] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR151] = lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429942" diagnostics="DVR.ATO.CTR.429942" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR153] <> NULL AND [CTR153] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR153] = lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount
        -->

<assert  id="VR.ATO.CTR.429943" diagnostics="DVR.ATO.CTR.429943" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr3.02.14:Income.InternationalDealings.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR154] <> NULL AND [CTR154] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR154] = bafpr3.02:Income.InternationalDealings.Net.Amount
        -->

<assert  id="VR.ATO.CTR.429944" diagnostics="DVR.ATO.CTR.429944" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR156] <> NULL AND [CTR156] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR156] = bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.CTR.429946" diagnostics="DVR.ATO.CTR.429946" test="@contextRef != $RP.CFCLC.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR157] <> NULL AND [CTR157] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR157] = bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.CTR.429947" diagnostics="DVR.ATO.CTR.429947" test="@contextRef != $RP.CFC404.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR158] <> NULL AND [CTR158] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR158] = bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.CTR.429948" diagnostics="DVR.ATO.CTR.429948" test="@contextRef != $RP.CFCUC.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR159] <> NULL AND [CTR159] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            [CTR159] = rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        -->

<assert  id="VR.ATO.CTR.429949" diagnostics="DVR.ATO.CTR.429949" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR175] <> NULL AND [CTR175] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR175] = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429960" diagnostics="DVR.ATO.CTR.429960" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR176] <> NULL AND [CTR176] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR176] = rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.CTR.429961" diagnostics="DVR.ATO.CTR.429961" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr3.02.02:Income.Insurance.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR179] <> NULL AND [CTR179] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR179] = bafpr3.02.02:Income.Insurance.Taxable.Amount
        -->

<assert  id="VR.ATO.CTR.429962" diagnostics="DVR.ATO.CTR.429962" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [CTR182] <> NULL AND [CTR182] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR182] = CTR:RP.CMPLY:bafpr3.02.02:Income.Insurance.Taxable.Amount
        -->

<assert  id="VR.ATO.CTR.429965" diagnostics="DVR.ATO.CTR.429965" test="@contextRef != $RP.CMPLY.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR183] <> NULL AND [CTR183] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR183] = bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount
        -->

<assert  id="VR.ATO.CTR.429966" diagnostics="DVR.ATO.CTR.429966" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR184] <> NULL AND [CTR184] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR184] = bafpr1.02.02:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount
        -->

<assert  id="VR.ATO.CTR.429967" diagnostics="DVR.ATO.CTR.429967" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR185] <> NULL AND [CTR185] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR185] = bafpr1.02.02:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount
        -->

<assert  id="VR.ATO.CTR.429968" diagnostics="DVR.ATO.CTR.429968" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR190] <> NULL AND [CTR190] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR190] = bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount
        -->

<assert  id="VR.ATO.CTR.429973" diagnostics="DVR.ATO.CTR.429973" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR199] <> NULL AND [CTR199] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR199] = rvctc1.02.01:IncomeTax.TaxableGross.Amount
        -->

<assert  id="VR.ATO.CTR.429975" diagnostics="DVR.ATO.CTR.429975" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR201] <> NULL AND [CTR200] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR201] = bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount
        -->

<assert  id="VR.ATO.CTR.429977" diagnostics="DVR.ATO.CTR.429977" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR202] <> NULL AND [CTR202] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            CTR202 = CTR:RP.Y0-1:gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount
        -->

<assert  id="VR.ATO.CTR.429978" diagnostics="DVR.ATO.CTR.429978" test="@contextRef != $RP.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="rvctc1.02.01:IncomeTax.Payable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR203] <> NULL AND [CTR203] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR203] = rvctc1.02.01:IncomeTax.Payable.Amount
        -->

<assert  id="VR.ATO.CTR.429979" diagnostics="DVR.ATO.CTR.429979" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR204] <> NULL AND [CTR204] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 

            [CTR204] = rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount
        -->

<assert  id="VR.ATO.CTR.429980" diagnostics="DVR.ATO.CTR.429980" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR205] <> NULL AND [CTR205] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR205] = rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429981" diagnostics="DVR.ATO.CTR.429981" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount <> NULL AND rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.429982" diagnostics="DVR.ATO.CTR.429982" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR209] <> NULL AND [CTR209] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
      
            CTR209 = rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount
        -->

<assert  id="VR.ATO.CTR.429984" diagnostics="DVR.ATO.CTR.429984" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR210] <> NULL AND [CTR210] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR210] = gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
        -->

<assert  id="VR.ATO.CTR.429985" diagnostics="DVR.ATO.CTR.429985" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [CTR211] <> NULL AND [CTR211] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR211] = rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
        -->

<assert  id="VR.ATO.CTR.429986" diagnostics="DVR.ATO.CTR.429986" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.TaxAgentClientReference.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR213] <> NULLORBLANK AND [CTR213] <> TEXT(12)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR213] = CTR:INT:pyid.02.00:Identifiers.TaxAgentClientReference.Text
        -->

<assert  id="VR.ATO.CTR.429987" diagnostics="DVR.ATO.CTR.429987" test="@contextRef != $INT.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 13"></assert>
</rule>

<rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR214] <> NULLORBLANK AND [CTR214] <> TEXT(200)
                RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR214} = CTR:INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") 
                IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName)
        -->

<assert  id="VR.ATO.CTR.429988" diagnostics="DVR.ATO.CTR.429988" 
         test="string-length(pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') 
         and upper-case(../pyde.02.05:PersonUnstructuredName.Usage.Code)='CONTACT']) &lt; 201"></assert>
</rule>

<rule context="bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR99] <> NULL AND [CTR99] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR99] = bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount
        -->

<assert  id="VR.ATO.CTR.429989" diagnostics="DVR.ATO.CTR.429989" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR246] <> NULL AND [CTR246] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR246] = gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        -->

<assert  id="VR.ATO.CTR.429991" diagnostics="DVR.ATO.CTR.429991" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR247] <> NULL AND [CTR247] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
      
            [CTR247] = bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount
        -->

<assert  id="VR.ATO.CTR.429992" diagnostics="DVR.ATO.CTR.429992" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR248] <> NULL AND [CTR248] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR248] = bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
        -->

<assert  id="VR.ATO.CTR.429993" diagnostics="DVR.ATO.CTR.429993" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR249] <> NULL AND [CTR249] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR249] = bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount
        -->

<assert  id="VR.ATO.CTR.429994" diagnostics="DVR.ATO.CTR.429994" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.04:Income.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR252] <> NULL AND [CTR252] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF 
 
            CTR252 = bafpr1.02.04:Income.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429995" diagnostics="DVR.ATO.CTR.429995" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.16:Expense.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR254] <> NULL AND [CTR254] <> MONETARY(U,11,0)
                    RETURN VALIDATION MESSAGE
            ENDIF 
 
            [CTR254] = CTR:RP.TOFA:bafpr1.02.16:Expense.Total.Amount
        -->

<assert  id="VR.ATO.CTR.429996" diagnostics="DVR.ATO.CTR.429996" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.04:Income.OtherTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
          IF [CTR255] <> NULL AND [CTR255] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
          ENDIF 
 
          [CTR255] = CTR:RP.TOFA:bafpr1.02.04:Income.OtherTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429997" diagnostics="DVR.ATO.CTR.429997" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR260] <> NULL AND [CTR260] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR260] = CTR:RP.TOFA:bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount
        -->

<assert  id="VR.ATO.CTR.429999" diagnostics="DVR.ATO.CTR.429999" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR309] <> NULL AND [CTR309] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR309] = IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
        -->

<assert  id="VR.ATO.CTR.429847" diagnostics="DVR.ATO.CTR.429847" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR318] <> NULL AND [CTR318] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR318] = rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount
        -->

<assert  id="VR.ATO.CTR.429833" diagnostics="DVR.ATO.CTR.429833" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK AND 
            (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012001-999999) OR LENGTH(pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number) <> 6)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.432035" diagnostics="DVR.ATO.GEN.432035" test="not (   
                            pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not((@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId  and (string-length(normalize-space(.)) = 0)) and not(matches(.,'^(01200[1-9]|0120[1-9][0-9]|012[1-9][0-9]{2}|01[3-9][0-9]{3}|0[2-9][0-9]{4}|[1-9][0-9]{5})$'))]
                        )"></assert>
</rule>

<rule context="bafpr1.02.12:Expense.DeductionsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--  
            IF (bafpr1.xx.xx:Expense.DeductionsTotal.Amount <> NULL ) AND 
               (bafpr1.xx.xx:Expense.DeductionsTotal.Amount <> MONETARY(U,11,0))
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.430035" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount <> NULL) AND (gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount  <> MONETARY(U,13,2))
               RETURN VALIDATION MESSAGE
            ENDIF            
        -->

<assert  id="VR.ATO.CTR.430026" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                        )    
                    "></assert>
</rule>

<rule context="bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR338] <> NULL AND [CTR338] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR338] = bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount
        -->

<assert  id="VR.ATO.CTR.430034" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                         @contextRef = $RP.ContextId
                         and 
                         not(matches(.,'^[0-9]{1,11}$'))
                         )
                    "></assert>
</rule>

<rule context="bafot.02.12:Miscellaneous.CurrencyTranslation.Rate[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [CTR121] <> NULL AND [CTR121] <> NUMERIC(U,13,5)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR121] = CTR:RP.Closing(Instant):bafot.02.12:Miscellaneous.CurrencyTranslation.Rate
        -->

<assert  id="VR.ATO.CTR.430022" diagnostics="DVR.ATO.CTR.430022" test="not(
                         @contextRef = $RPI.Closing.ContextId
                         and 
                         not(matches(.,'^[0-9]{1,8}(\.[0-9]{0,5})?$'))
                         )
                    "></assert>
</rule>

<rule context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [CTR337] <> NULL AND [CTR337] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR337] = bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount        
        -->

<assert  id="VR.ATO.CTR.430033" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                         @contextRef = $RP.ContextId
                         and 
                         not(matches(.,'^[0-9]{1,11}$'))
                         )
                    "></assert>
</rule>
</pattern>