﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/fitr/fitr_0002/fitr.0002.lodge.request.02.00.report.xsd']]">

<!-- 
          Rule ID: VR.ATO.FITR.434092
          
          IF ([FITR78] > 0 OR [FITR79] > 0 OR [FITR80] > 0) AND (COUNT(SCHEDULE = "S25A") = 0)
            RETURN VALIDATION MESSAGE
          END IF
           
          [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
          [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
          [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.FITR.434092" diagnostics="DVR.ATO.FITR.434092" subject="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount" test="not(
                        count($S25A.Context) = 0
                        and (
                              sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 0
                              or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 0
                              or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 0
                             ) 
                        )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434090
            
            IF (([FITR78] = 0 OR [FITR78] = NULL) AND ([FITR79] = 0 OR [FITR79] = NULL) AND ([FITR80] = 0 OR [FITR80] = NULL)) AND (COUNT(SCHEDULE = "S25A") = 1) AND ([S25A62] > 0 OR [S25A63] > 0 OR [S25A64] > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
                    
            [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->

<assert  id="VR.ATO.FITR.434090" diagnostics="DVR.ATO.FITR.434090" test="not(
                          ( sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCLC.FITR.ContextId])=0
                            and sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFC404.FITR.ContextId])=0 
                            and sum( bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCUC.FITR.ContextId])=0 
                           )
                          and 
                             count($S25A.Context) = 1
                          and
                           ( sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.All.S25A.ContextId]) &gt;0
                             or sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]) &gt;0
                             or  sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]) &gt;0
                            )
                       )"></assert>
<!-- Rule ID: VR.ATO.FITR.434093
      IF ([FITR78] > 0 OR [FITR79] > 0 OR [FITR80] > 0) AND ((COUNT(SCHEDULE = "S25A") = 1) AND ([S25A53] = 0 OR [S25A53] = NULL) AND ([S25A55] = 0 OR [S25A55] = NULL) AND ([S25A57] = 0 OR [S25A57] = NULL) AND ([S25A54] = 0 OR [S25A54] = NULL) AND ([S25A56] = 0 OR [S25A56] = NULL) AND ([S25A58] = 0 OR [S25A58] = NULL))
      RETURN VALIDATION MESSAGE
      ENDIF^^
      [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
      [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
      [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
      [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count-->

<assert  id="VR.ATO.FITR.434093" diagnostics="DVR.ATO.FITR.434093" test="not(
                         ( sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCLC.FITR.ContextId])&gt;0
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFC404.FITR.ContextId])&gt;0 
                            or sum( bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCUC.FITR.ContextId])&gt;0
                          )
                          and 
                          (
                             count($S25A.Context) = 1
                            and sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and  sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                       )"></assert>
<!--Rule ID: VR.ATO.FITR.434093
      IF ([FITR78] > 0 OR [FITR79] > 0 OR [FITR80] > 0) AND ((COUNT(SCHEDULE = "S25A") = 1) AND ([S25A62] = 0 OR [S25A62] = NULL) AND ([S25A63] = 0 OR [S25A63] = NULL) AND ([S25A64] = 0 OR [S25A64] = NULL))
      RETURN VALIDATION MESSAGE
      ENDIF^^
      [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
      [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
      [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
      [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
      [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
      [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
      
       $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.All.S25A.ContextId] 
       $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]
       $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]
      -->

<assert  id="VR.ATO.FITR.434094" diagnostics="DVR.ATO.FITR.434094" test="not(
                         ( sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCLC.FITR.ContextId])&gt;0
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFC404.FITR.ContextId])&gt;0 
                            or sum( bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCUC.FITR.ContextId])&gt;0
                          )
                          and 
                          (
                             count($S25A.Context) = 1
                             and sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.All.S25A.ContextId] ) = 0
                             and  sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]) = 0
                             and  sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]) = 0
                           )
                       )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434010
        
        IF (COUNT(SCHEDULE = ""TCS"") = 1) AND [FITR7] = NULLORBLANK 
           RETURN VALIDATION MESSAGE
        ENDIF
        [FITR7] = FITR:RP:Identifiers.AustralianBusinessNumber.Identifier
    -->

<assert  id="VR.ATO.FITR.434010" diagnostics="DVR.ATO.FITR.434010" test="not(
                      count($TCS.Context) &gt; 0
                      and
                      not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                  )"></assert>
<!--
            IF ([FITR91] = TRUE OR [FITR92] = TRUE) AND  (COUNT(SCHEDULE = "S25A") = 0)  
                RETURN VALIDATION MESSAGE
            ENDIF 
            [FITR91] = FITR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [FITR92] = FITR:RP:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        -->

<assert  id="VR.ATO.FITR.434108" diagnostics="DVR.ATO.FITR.434108" test="not(
                        count($S25A.Context) = 0
                        and (
                              (rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1'])
                             or (rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1'])
                             ) 
                        )"></assert>
<!--        
            IF([FITR91] = FALSE) AND (COUNT(SCHEDULE ="S25A") = 1) AND 
              (((ANY OCCURRENCE OF([S25A5])) <> NULLORBLANK) OR ([S25A6] > 0) OR ([S25A7] <> NULLORBLANK) OR ([S25A8] <> NULLORBLANK) OR ([S25A9] <> NULLORBLANK) OR 
              ([S25A10] > 0) OR ([S25A11] > 0) OR ([S25A12] > 0) OR ([S25A13] > 0) OR 
              ([S25A14] > 0) OR ([S25A15] > 0) OR ([S25A16] > 0) OR ([S25A17] > 0)OR ([S25A18] > 0)OR ([S25A19] > 0)OR ([S25A20] > 0) OR ([S25A21] > 0) OR
              ([S25A22] > 0) OR ([S25A23] > 0) OR ([S25A24] > 0) OR ([S25A25] > 0) OR  ([S25A26] > 0) OR  ([S25A27] > 0) OR  ([S25A28] > 0) OR  ([S25A29] > 0) OR  
              ([S25A30] > 0) OR ([S25A31] > 0) OR ([S25A32] > 0) OR  ([S25A33] > 0) OR  ([S25A34] > 0) OR  ([S25A35] > 0) OR   
              ([S25A36] > 0) OR ([S25A37] > 0)OR ([S25A38] > 0) OR ([S25A39] > 0) OR ([S25A40] > 0) OR  ([S25A41] > 0) OR 
              ([S25A42] <> NULL) OR  ([S25A43] <> NULL) OR ([S25A44] <> NULLORBLANK) OR ([S25A45] <> NULLORBLANK) OR 
              (ANY OCCURRENCE OF([S25A46]) <> NULLORBLANK) OR ([S25A47] <> NULLORBLANK) OR 
              ([S25A48] <> NULL) OR ((ANY OCCURRENCE OF ([S25A49])) <> NULLORBLANK) OR ([S25A50] <> NULLORBLANK) OR 
              ([S25A51] <> NULL) OR ([S25A52] > 0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR91] = FITR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [S25A5] = S25A:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A6] = S25A:RP:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A7] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "1") 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )            
            [S25A8] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "2") 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )            
            [S25A9] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = '3') 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )            
            [S25A10] = S25A:RP:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:Expense.Royalties.Amount
            [S25A15] = S25A:RP:Income.Royalties.Amount
            [S25A16] = S25A:RP:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:Expense.Insurance.Amount
            [S25A31] = S25A:RP:Income.Insurance.Amount
            [S25A32] = S25A:RP:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A47] = S25A:RP:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A48] = S25A:RP:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
            [S25A50] = S25A:RP:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:Miscellaneous.NumberofRelatedParties.Count
        -->

<assert  id="VR.ATO.FITR.434107" diagnostics="DVR.ATO.FITR.434107" test="not(                          
                          not(rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
                                [@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') 
                                 and upper-case(.)='TRUE' or .='1'])
                          and count($S25A.Context) = 1
                          and (                          
                               count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                        /pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
                                        [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') 
                                         and string-length(normalize-space(.)) != 0])
	                           &gt; 0
                            or sum($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                        /bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount
                                        [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
	                           &gt; 0                               
                            or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                    /s25a.0002.lodge.request.02.00:ForeignLocations
                                    /pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                                    [../pyin.02.00:Report.ItemOrder.Number='1' and @contextRef = $RP.S25A.ContextId 
                                     and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
                            or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                    /s25a.0002.lodge.request.02.00:ForeignLocations
                                    /pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                                    [../pyin.02.00:Report.ItemOrder.Number='2' and @contextRef = $RP.S25A.ContextId 
                                     and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
                            or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                    /s25a.0002.lodge.request.02.00:ForeignLocations
                                    /pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                                    [../pyin.02.00:Report.ItemOrder.Number='3' and @contextRef = $RP.S25A.ContextId 
                                     and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.Royalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0 
                            or count($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.Insurance.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                             
                               &gt; 0
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0    
	                        or  count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0   
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
                            or count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
	                        or count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
                            or count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
	                        or count($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
	                        or count($S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and number(.) &gt; 0])
	                           &gt; 0                        
                          )                              
                        )"></assert>
<!-- 
            IF [FITR92] = FALSE AND (COUNT(SCHEDULE = "S25A") = 1) 
                AND (
                        [S25A53] > 0 OR 
                        [S25A54] > 0 OR 
                        [S25A55] > 0 OR 
                        [S25A56] > 0 OR 
                        [S25A57] > 0 OR 
                        [S25A58] > 0 OR 
                        [S25A59] > 0 OR 
                        [S25A60] > 0 OR 
                        [S25A61] > 0 OR 
                        [S25A62] > 0 OR 
                        [S25A63] > 0 OR 
                        [S25A64] > 0 OR 
                        [S25A65] > 0 OR 
                        [S25A66]  > 0 OR 
                        [S25A67]  > 0 OR  
                        [S25A68]  > 0 OR  
                        [S25A69]  > 0 OR  
                        [S25A70]  > 0 OR 
                        [S25A71]  > 0 OR 
                        [S25A72]  > 0 OR  
                        [S25A73] > 0 OR  
                        [S25A76] <> NULL OR 
                        [S25A77] <> NULL OR 
                        [S25A78] <> NULL OR 
                        [S25A79] <> NULL OR 
                        [S25A80] <> NULL OR 
                        [S25A81] <> NULL OR 
                        [S25A82] <> NULL OR 
                        [S25A83] <> NULL OR 
                        [S25A84] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR92] = FITR:RP:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404AndUnlisted:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:bafpr1.xx.xx:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A76] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:bafot.xx.xx:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:bafot.xx.xx:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:bafot.xx.xx:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->

<assert  id="VR.ATO.FITR.434118" diagnostics="DVR.ATO.FITR.434118" test="not
                (
                (rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='FALSE' or .='0'])
                and
                (count ($S25A.Context) = 1)
                and
                (
                sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                or 
                sum($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                or
                $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')] 
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                ))"></assert>
<!--
            IF [FITR91] = TRUE AND (COUNT(SCHEDULE = "S25A") = 1) AND 
            (COUNT TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity) = 0) AND 
            [S25A10] = NULL AND [S25A11] = NULL AND [S25A12] = NULL AND [S25A13] = NULL AND [S25A14] = NULL AND 
            [S25A15] = NULL AND [S25A16] = NULL AND [S25A17] = NULL AND [S25A18] = NULL AND [S25A19] = NULL AND 
            [S25A20] = NULL AND [S25A21] = NULL AND [S25A22] = NULL AND [S25A23] = NULL AND [S25A24] = NULL AND 
            [S25A25] = NULL AND [S25A26] = NULL AND [S25A27] = NULL AND [S25A28] = NULL AND [S25A29] = NULL AND 
            [S25A30] = NULL AND [S25A31] = NULL AND [S25A32] = NULL AND [S25A33] = NULL AND [S25A34] = NULL AND 
            [S25A35] = NULL AND [S25A36] = NULL AND [S25A37] = NULL AND [S25A38] = NULL AND [S25A39] = NULL AND 
            [S25A40] = NULL AND [S25A41] = NULL AND [S25A42] = NULL AND [S25A43] = NULL AND [S25A44] = NULLORBLANK AND 
            [S25A45] = NULLORBLANK AND [S25A46] = NULLORBLANK AND [S25A47] = NULLORBLANK AND [S25A48] = NULL AND 
            [S25A49] = NULL AND [S25A50] = NULLORBLANK AND [S25A51] = NULL AND [S25A52] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR91] = FITR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [S25A10] = S25A:RP:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:Expense.Royalties.Amount
            [S25A15] = S25A:RP:Income.Royalties.Amount
            [S25A16] = S25A:RP:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:Expense.Insurance.Amount
            [S25A31] = S25A:RP:Income.Insurance.Amount
            [S25A32] = S25A:RP:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A47] = S25A:RP:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A48] = S25A:RP:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
            [S25A50] = S25A:RP:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:Miscellaneous.NumberofRelatedParties.Count      
        -->

<assert  id="VR.ATO.FITR.434109" diagnostics="DVR.ATO.FITR.434109" test="not(
                        rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil = 'true' and @i:nil = '1') and(upper-case(.) = 'TRUE' or . = '1')]
                        and count($S25A.Context) = 1
                        and count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity) = 0 
                        and not($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
	                    and not($S25A.Context/bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])                        
                        and not($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
<!--
            IF [FITR92] = TRUE AND (COUNT(SCHEDULE = "S25A") = 1) 
                AND (
                        [S25A53] = NULL AND 
                        [S25A54] = NULL AND 
                        [S25A55] = NULL AND 
                        [S25A56] = NULL AND 
                        [S25A57] = NULL AND 
                        [S25A58] = NULL AND 
                        [S25A59] = NULL AND 
                        [S25A60] = NULL AND 
                        [S25A61] = NULL AND 
                        [S25A62] = NULL AND 
                        [S25A63] = NULL AND 
                        [S25A64] = NULL AND 
                        [S25A65] = NULL AND 
                        [S25A66] = NULL AND 
                        [S25A67] = NULL AND 
                        [S25A68] = NULL AND 
                        [S25A69] = NULL AND 
                        [S25A70] = NULL AND 
                        [S25A71] = NULL AND 
                        [S25A72] = NULL AND 
                        [S25A73] = NULL AND 
                        [S25A76] = NULL AND 
                        [S25A77] = NULL AND 
                        [S25A78] = NULL AND 
                        [S25A79] = NULL AND 
                        [S25A80] = NULL AND 
                        [S25A81] = NULL AND 
                        [S25A82] = NULL AND 
                        [S25A83] = NULL AND 
                        [S25A84] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR92] = FITR:RP:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404AndUnlisted:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:bafpr1.xx.xx:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A76] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:bafot.xx.xx:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:bafot.xx.xx:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:bafot.xx.xx:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->

<assert  id="VR.ATO.FITR.434117" diagnostics="DVR.ATO.FITR.434117" test="
            not(
              rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1']
              and (count ($S25A.Context) = 1)
              and (
                    not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
                  [@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
                  [@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
              ))"></assert>
<!--
            IF (COUNT(SCHEDULE = "S25A") = 1) AND [FITR92] = FALSE AND ([S25A62] > 0 OR [S25A63] > 0 OR [S25A64] > 0) 
            RETURN VALIDATION MESSAGE
            ENDIF
            [FITR92] = FITR:RP:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [S25A62] = S25A:RP.All:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->

<assert  id="VR.ATO.FITR.434113" diagnostics="DVR.ATO.FITR.434113" test="not(
                count ($S25A.Context) = 1
                and
                (rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='FALSE' or .='0'])
                and
                (
                  $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                  or 
                  $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                  or 
                  $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                )                
                )"></assert>
</rule>
</pattern>