<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data"
                xmlns:bafot.02.04="http://sbr.gov.au/icls/baf/bafot/bafot.02.04.data"
                xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"
                xmlns:bafpo1.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.04.data"
                xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data"
                xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data"
                xmlns:bafpr1.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:bafpr1.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data"
                xmlns:bafpr1.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data"
                xmlns:bafpr2.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data"
                xmlns:bafpr2.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.09.data"
                xmlns:bafpr2.02.10="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.10.data"
                xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data"
                xmlns:bafpr3.02.03="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.03.data"
                xmlns:bafpr3.02.08="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.08.data"
                xmlns:emsup.02.00="http://sbr.gov.au/icls/em/emsup/emsup.02.00.data"
                xmlns:emsup.02.01="http://sbr.gov.au/icls/em/emsup/emsup.02.01.data"
                xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data"
                xmlns:emsup.02.05="http://sbr.gov.au/icls/em/emsup/emsup.02.05.data"
                xmlns:gfagc.02.00="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data"
                xmlns:gfagc.02.01="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data"
                xmlns:gfagc.02.04="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data"
                xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data"
                xmlns:lrla.02.05="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data"
                xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data"
                xmlns:pyin.02.01="http://sbr.gov.au/icls/py/pyin/pyin.02.01.data"
                xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data"
                xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data"
                xmlns:pyin.02.08="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data"
                xmlns:rvctc1.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data"
                xmlns:rvctc1.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data"
                xmlns:rvctc1.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data"
                xmlns:rvctc1.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.04.data"
                xmlns:rvctc1.02.07="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.07.data"
                xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data"
                xmlns:rvctc2.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.02.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc2.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.03.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:rvctc3.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data"
                xmlns:rvctc4.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data"
                xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"
                xmlns:rvctc4.02.05="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.05.data"
                xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:email1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module"
                xmlns:fitr.0003.lodge.req.02.00="http://sbr.gov.au/rprt/ato/fitr/fitr.0003.lodge.request.02.00.report"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module"
                xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:fininstacc1.02.00="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module"
                xmlns:rvctc2.02.06="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.06.data"
                xmlns:rvctc3.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data"
                xmlns:rvctc1.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.11.data"
                xmlns:bafpr1.02.13="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data"
                xmlns:bafpo1.02.10="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.10.data"
                xmlns:bafpr1.02.15="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.15.data"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M84"/>
         <xsl:apply-templates select="/" mode="M85"/>
         <xsl:apply-templates select="/" mode="M90"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ContextVariablesXBRL Context ID Variables-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="INT.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/>
   <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]             ]"/>
   <xsl:variable name="RP.JFOREIGN.ContextId" select="$RP.JFOREIGN.Context/@id"/>
   <xsl:variable name="RP.JAUS.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]             ]"/>
   <xsl:variable name="RP.JAUS.ContextId" select="$RP.JAUS.Context/@id"/>
   <xsl:variable name="RP.CFCLC.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]             ]"/>
   <xsl:variable name="RP.CFCLC.ContextId" select="$RP.CFCLC.Context/@id"/>
   <xsl:variable name="RP.CFC404.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]             ]"/>
   <xsl:variable name="RP.CFC404.ContextId" select="$RP.CFC404.Context/@id"/>
   <xsl:variable name="RP.CFCUC.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]             ]"/>
   <xsl:variable name="RP.CFCUC.ContextId" select="$RP.CFCUC.Context/@id"/>
   <xsl:variable name="RP.TOFA.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]             ]"/>
   <xsl:variable name="RP.TOFA.ContextId" select="$RP.TOFA.Context/@id"/>
   <xsl:variable name="RPI.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]               and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RPI.Closing.ContextId" select="$RPI.Closing.Context/@id"/>
   <xsl:variable name="RP.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]               and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])            ]"/>
   <xsl:variable name="RP.Closing.ContextId" select="$RP.Closing.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M84"/>
   <xsl:template match="@*|node()" priority="-2" mode="M84">
      <xsl:apply-templates select="*" mode="M84"/>
   </xsl:template>

   <!--
                PATTERN ElementVariablesXBRL Element Variables-->
<xsl:variable name="FITR1"
                 select="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR10"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR11"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR12"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR13"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR14"
                 select="xbrli:xbrl/pyde.02.03:Party.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR15"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR16"
                 select="xbrli:xbrl/emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR17"
                 select="xbrli:xbrl/pyde.02.00:OrganisationControl.RegisteredMembers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR18"
                 select="xbrli:xbrl/pyde.02.00:OrganisationDetails.Establishment.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR19"
                 select="xbrli:xbrl/pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR20"
                 select="xbrli:xbrl/pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR21"
                 select="xbrli:xbrl/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR23"
                 select="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR24"
                 select="xbrli:xbrl/bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR25"
                 select="xbrli:xbrl/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR26"
                 select="xbrli:xbrl/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR27"
                 select="xbrli:xbrl/bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR28"
                 select="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR29"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR30"
                 select="xbrli:xbrl/bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR31"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR32"
                 select="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR33"
                 select="xbrli:xbrl/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR34"
                 select="xbrli:xbrl/bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR35"
                 select="xbrli:xbrl/bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR36"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR37"
                 select="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR38"
                 select="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR39"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR40"
                 select="xbrli:xbrl/bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR41"
                 select="xbrli:xbrl/emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR42"
                 select="xbrli:xbrl/emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR43"
                 select="xbrli:xbrl/emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR44"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR45"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR46"
                 select="xbrli:xbrl/emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR47"
                 select="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR48"
                 select="xbrli:xbrl/bafpr1.02.05:Income.Other.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR49"
                 select="xbrli:xbrl/bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR50"
                 select="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR52"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR53"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR54"
                 select="xbrli:xbrl/lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR55"
                 select="xbrli:xbrl/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR56"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR57"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR58"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR59"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Investment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR61"
                 select="xbrli:xbrl/bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR62"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR63"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR64"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR65"
                 select="xbrli:xbrl/bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR66"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR67"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR68"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR69"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR70"
                 select="xbrli:xbrl/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR71"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR72"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR73"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR74"
                 select="xbrli:xbrl/rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR75"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR76"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR77"
                 select="xbrli:xbrl/rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR78"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR79"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR80"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR83"
                 select="xbrli:xbrl/bafpo1.02.10:Equity.NetAssetsCalculated.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR84"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR85"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR86"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR87"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR88"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.MarketValueTransfer.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR89"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Superannuation.MarketValueTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR90"
                 select="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR91"
                 select="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR92"
                 select="xbrli:xbrl/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR93"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR94"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR96"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR97"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR98"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR103"
                 select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR108"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR118"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR119"
                 select="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR131"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR132"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR133"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR134"
                 select="xbrli:xbrl/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR135"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR136"
                 select="xbrli:xbrl/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR137"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR141"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR143"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR153"
                 select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$INT.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR156"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR158"
                 select="xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR159"
                 select="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$INT.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR161"
                 select="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$RP.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR164"
                 select="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$INT.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR175"
                 select="xbrli:xbrl/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR181"
                 select="xbrli:xbrl/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR182"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR183"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR184"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR185"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR186"
                 select="xbrli:xbrl/bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR187"
                 select="xbrli:xbrl/bafpr1.02.09:Income.ForeignExchangeLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR188"
                 select="xbrli:xbrl/bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR189"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR190"
                 select="xbrli:xbrl/bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR199"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR200"
                 select="xbrli:xbrl/gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR201"
                 select="xbrli:xbrl/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR202"
                 select="xbrli:xbrl/bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR203"
                 select="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR204"
                 select="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR205"
                 select="xbrli:xbrl/rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:template match="text()" priority="-1" mode="M85"/>
   <xsl:template match="@*|node()" priority="-2" mode="M85">
      <xsl:apply-templates select="*" mode="M85"/>
   </xsl:template>

   <!--
                PATTERN MandatoriesMandatory Field Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M90">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Report.TargetFinancial.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.03:Party.Type.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:OrganisationDetails.Establishment.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationDetails.Establishment.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.05:OrganisationDetails.OperationCease.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:CapitalGainsTax.Event.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.02:Income.Taxable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emsup.02.00:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.00:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.TaxableGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count(                             address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]                                 /pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')                                      and string-length(normalize-space(.)) != 0                                     and (../pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'POS'])                                     and (../pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C'])]                         ) != 1                                                )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.428023</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count(                             orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')                                      and pyde.02.00:OrganisationNameDetails.OrganisationalName.Text                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                              and string-length(normalize-space(.)) != 0]                                     and pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                             and upper-case(.) = 'MN']                                     and pyde.02.00:OrganisationNameDetails.Currency.Code                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                              and upper-case(.) = 'C']                                 ]                              ) != 1                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434146</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          count(                             prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]                                 /pyde.02.00:PersonNameDetails.FamilyName.Text                                 [                                             @contextRef = $RP.ContextId                                      and not(@i:nil='true' or @i:nil='1')                                      and string-length(normalize-space(.)) != 0                                                                                                          and (../pyde.02.00:PersonNameDetails.PersonNameType.Code                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'LGL'])                                     and (../pyde.02.00:PersonNameDetails.Currency.Code                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)  = 'C'])                                     and (../pyde.02.05:PersonNameDetails.Usage.Code                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)  = 'CONTACT'])                                                                           ]                                                          ) = 0                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          count(                             phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]                                 /pyde.02.00:ElectronicContact.Telephone.Minimal.Number                                 [                                        @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                   and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code                                       [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '03'                                 ]                             ) = 0                          )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.Payable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="$FITR185"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="$FITR182"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438036</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="$FITR181"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438037</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="$FITR43"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438038</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M90"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails"
                 priority="1000"
                 mode="M90">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                   count(pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                   or                                 pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId] != 'POS'                   or                    count(pyde.02.01:AddressDetails.Usage.Code) = 0                   or                   pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId] != 'C'                   or                   count(pyde.02.00:AddressDetails.Currency.Code) = 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                   count(pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                   or                                 pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId] != 'POS'                   or                    count(pyde.02.01:AddressDetails.Usage.Code) = 0                   or                   pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId] != 'C'                   or                   count(pyde.02.00:AddressDetails.Currency.Code) = 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Postcode.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M90"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M90"/>
   <xsl:template match="@*|node()" priority="-2" mode="M90">
      <xsl:apply-templates select="*" mode="M90"/>
   </xsl:template>
</xsl:stylesheet>
