<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ref="http://www.xbrl.org/2006/ref"
                xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
                xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:dtyp="http://sbr.gov.au/fdtn/sbr.02.00.dtyp"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:rvctc3.02.15="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.15.data"
                xmlns:rvctc3.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.04.data"
                xmlns:rvctc3.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.14.data"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:RprtPyType.02.00="http://sbr.gov.au/dims/RprtPyType.02.00.dims"
                xmlns:PrdType.02.00="http://sbr.gov.au/dims/PrdType.02.00.dims"
                xmlns:AssblFrgnIncClass.02.00="http://sbr.gov.au/dims/AssblFrgnIncClass.02.00.dims"
                xmlns:RelPrdDrtn.02.04="http://sbr.gov.au/dims/RelPrdDrtn.02.04.dims"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data"
                xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"
                xmlns:ls.0004.lodge.request.02.00="http://sbr.gov.au/rprt/ato/ls/ls.0004.lodge.request.02.01.report"
                xmlns:ls.0004.private.02.00="http://sbr.gov.au/rprt/ato/ls/ls.0004.private.02.00.module"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M45"/>
         <xsl:apply-templates select="/" mode="M46"/>
         <xsl:apply-templates select="/" mode="M49"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ContextVariablesXBRL variables that are applicable accross all of the LOS Schedual.-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]                     ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="RP.INTI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:InterestIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.INTI.ContextId" select="$RP.INTI.Context/@id"/>
   <xsl:variable name="RP.PASSI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:ModifiedPassiveIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.PASSI.ContextId" select="$RP.PASSI.Context/@id"/>
   <xsl:variable name="RP.OFFI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:OffshoreBankingIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.OFFI.ContextId" select="$RP.OFFI.Context/@id"/>
   <xsl:variable name="RP.ALLI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and matches(.,'^AssblFrgnIncClass\.\d\d\.\d\d:AllOtherForeignSourceIncome$')]) = 1]                     ]"/>
   <xsl:variable name="RP.ALLI.ContextId" select="$RP.ALLI.Context/@id"/>
   <xsl:variable name="RP.Y0.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0.ContextId" select="$RP.Y0.Context/@id"/>
   <xsl:variable name="RP.Y0-1.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id"/>
   <xsl:variable name="RP.Y0-2.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-2.ContextId" select="$RP.Y0-2.Context/@id"/>
   <xsl:variable name="RP.Y0-3.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-3.ContextId" select="$RP.Y0-3.Context/@id"/>
   <xsl:variable name="RP.Y0-4.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-4.ContextId" select="$RP.Y0-4.Context/@id"/>
   <xsl:variable name="RP.Y0-5P.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus5Plus$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-5P.ContextId" select="$RP.Y0-5P.Context/@id"/>
   <xsl:variable name="RP.ALL.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:All$')]) = 1]                     ]"/>
   <xsl:variable name="RP.ALL.ContextId" select="$RP.ALL.Context/@id"/>
   <xsl:variable name="RP.Y0-10SAP2.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus10SAP2$')]) = 1]                     ]"/>
   <xsl:variable name="RP.Y0-10SAP2.ContextId" select="$RP.Y0-10SAP2.Context/@id"/>
   <xsl:variable name="RP.Identifier.TFN"
                 select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                     and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                     and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]/                     ../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']"/>
   <xsl:template match="text()" priority="-1" mode="M45"/>
   <xsl:template match="@*|node()" priority="-2" mode="M45">
      <xsl:apply-templates select="*" mode="M45"/>
   </xsl:template>

   <!--
                PATTERN ElementVariablesXBRL element variables that are applicable accross the LOS service.-->
<xsl:variable name="LS10"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS11"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS12"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS13"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS14"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS15"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS16"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS17"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS18"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS19"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS20"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS21"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS22"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS23"
                 select="xbrli:xbrl/rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS24"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CurrentYearLossProvisionsApply.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS25"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS26"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS27"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS28"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS29"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS30"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS44"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS45"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS49"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS50"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS51"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS52"
                 select="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS53"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS62"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS63"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS64"
                 select="xbrli:xbrl/rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS65"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS67"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS68"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS69"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS70"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS71"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS72"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS73"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS74"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS76"
                 select="xbrli:xbrl/rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="LS79"
                 select="xbrli:xbrl/rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:template match="text()" priority="-1" mode="M46"/>
   <xsl:template match="@*|node()" priority="-2" mode="M46">
      <xsl:apply-templates select="*" mode="M46"/>
   </xsl:template>

   <!--
                PATTERN MandatoriesMandatories Validations-->
<xsl:template match="text()" priority="-1" mode="M49"/>
   <xsl:template match="@*|node()" priority="-2" mode="M49">
      <xsl:apply-templates select="*" mode="M49"/>
   </xsl:template>
</xsl:stylesheet>
