﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>PTR Cross Form Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ptr/ptr_0003/ptr.0003.lodge.request.02.00.report.xsd']]">

<!--
            IF (bafpr3.xx.xx:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator = TRUE)
            AND (COUNT(SCHEDULE = "IDS") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="RP.PTR.TFN" value="$RP.PTR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]" />

<!--
            IF (rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator = TRUE) AND (COUNT(SCHEDULE = "IDS") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438002" diagnostics="DVR.ATO.GEN.438002.PTR" test="not(
                        bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and count($IDS.Context) = 0
                    )"></assert>
        <!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) AND (SUM(ALL OCCURRENCES OF([RSPT28]))) <> [PTR78] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT28] = RSPT:RP:Expense.RealEstateProperty.LoanInterest.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.GEN.438003" diagnostics="DVR.ATO.GEN.438003.PTR" 
                test="not(
                        rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and count($IDS.Context) = 0
                    )"/>
        <!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) AND SUM(ALL OCCURRENCES OF([RSPT39])) <> ([PTR77] - [PTR78] - [PTR79] - [PTR80])
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT39] = RSPT:RP:Income.RealEstateProperty.RentalNet.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.PTR.430086" diagnostics="DVR.ATO.PTR.430086" 
                test="not(
                            (
                                round(xs:decimal(100 * (sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                                !=
                                round(xs:decimal(100 * (sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                            )
                     )"/>
        <!--
            IF (PTR:RP:pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND 
               (COUNT(SCHEDULE = "IEE") > 0) AND 
               (ANY OCCURRENCE OF ([IEE116] = "R") AND 
               ([IEE82] <> PTR:RP:pyin.xx.xx:Report.TargetFinancial.Year))
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
        <assert id="VR.ATO.PTR.430084" diagnostics="DVR.ATO.PTR.430084" 
                test="not(
                            count($RSPT.Context) &gt; 0
                            and
                            sum ( 
                            $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')] )
                            !=
                            (
                            sum ( 
                            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            -
                            sum ( 
                            bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            -
                            sum ( 
                            bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            -
                            sum ( 
                            rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )                            
                        )"/>
        <!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) 
            AND ([PTR77] = NULL AND ([PTR78] = 0 OR [PTR78] = NULL) 
            AND ([PTR79] = 0 OR [PTR79] = NULL) 
            AND ([PTR80] = 0 OR [PTR80] = NULL)
            )
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount            	
        -->
        <assert id="VR.ATO.PTR.430176" diagnostics="DVR.ATO.PTR.430176" 
                test="not(
                            count(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and count($IEE.Context) &gt; 0
                            and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code
                                [@contextRef = $RP.IEE.ContextId  and not(@i:nil='true' or @i:nil='1') and . = 'R']) &gt; 0
                            and $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                != pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
<!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) 
            AND (SUM(ALL OCCURRENCES OF([RSPT18] + [RSPT19])) <> [PTR77])
            RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT18] = RSPT:RP:Income.RealEstateProperty.Rental.Amount
            [RSPT19] = RSPT:RP:Income.RealEstateProperty.RentalRelatedOther.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
        -->

<assert  id="VR.ATO.PTR.430082" diagnostics="DVR.ATO.PTR.430082" test="not(
                        count($RSPT.Context) &gt; 0
                        and not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
                                [@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and sum(bafpr1.02.05:Expense.Interest.Amount
                                [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0 
                        and sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
                                [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
                                    [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                      )"></assert>
<!--
            IF (COUNT(SCHEDULE = "IEE") > 0) AND RP:entity.identifier.TFN = (ANY OCCURRENCE OF([IEE50]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
            IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
        -->
        <assert id="VR.ATO.PTR.430083" diagnostics="DVR.ATO.PTR.430083" 
                test="not(
                            count($RSPT.Context) &gt; 0
                            and 
                                (
                                    round(100 * xs:decimal(sum(
                                    $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )))
                                !=
                                round(100 * xs:decimal(sum(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                                )))
                        )"/>

<assert  id="VR.ATO.GEN.430008" diagnostics="DVR.ATO.GEN.430008" test="not(                    
                        count($IEE.Context) &gt; 0
                        and
                        count($IEE.Context/iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier
                            [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.PTR.TFN]) &gt; 0
                      )"></assert>
<!--  
            IF [PTR35] + [PTR36] > 0 AND (COUNT(SCHEDULE = "NIPSS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->

<assert  id="VR.ATO.PTR.430019" diagnostics="DVR.ATO.PTR.430019" test="not(
                        sum(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                        &gt; 0 
                        and
                        count($NIPSS.Context) = 0
                      )"></assert>
<!--  
            IF SUM([NIPSS9]) <> [PTR35] + [PTR36] 
                RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.PTR.430020" diagnostics="DVR.ATO.PTR.430020" 
                test="not( count($NIPSS.Context) &gt; 0
                       and ( 
                            round(xs:decimal(
                                sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ) * 100))
                          !=
                            round(xs:decimal(
                            sum(
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                             ) * 100))
                          )
                      )"/>
<!--
            IF [PTR26] = NULL AND (COUNT(SCHEDULE = ""IEE"") > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR26] = PTR:RP:Elections.InterposedEntityElectionStatus.Year
        -->

<assert  id="VR.ATO.PTR.430178" diagnostics="DVR.ATO.PTR.430178" test="not(not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.PTR.ContextId])
                      and count($IEE.Context) &gt; 0)"></assert>
<!--
            IF ([PTR27] = "R") AND (COUNT(SCHEDULE = "IEE") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR27] = PTR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->

<assert  id="VR.ATO.PTR.430180" diagnostics="DVR.ATO.PTR.430180" test="not(
                        count($IEE.Context) = 0
                        and rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef = $RP.PTR.ContextId  and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='R')]
                     )"></assert>
<!--
            IF ([PTR63] > 0) AND ((COUNT(SCHEDULE = "NIPSS") = 0) OR (SUM([NIPSS28]) <> [PTR63]))
               RETURN VALIDATION ERROR
            ENDIF
            
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
            IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
            IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->
        <assert id="VR.ATO.PTR.430183" diagnostics="DVR.ATO.PTR.430183" 
                test="not(
                        rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                        and
                        (
                            count($NIPSS.Context) = 0
                            or
                            (
                                round(xs:decimal(
                                    sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']
                                    ) * 100))
                                !=
                                round(xs:decimal(
                                    sum(
                                        rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    ) * 100))
                            )    
                        )       
                      )"/>
        <!-- 
            IF (COUNT(SCHEDULE = "NIPPS") > 0) AND [PTR38] <> SUM([NIPSS4])  
                RETURN VALIDATION MESSAGE
            ENDIF
            [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [PTR38] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
        -->
        <assert id="VR.ATO.PTR.430025" diagnostics="DVR.ATO.PTR.430025" 
                test="not( count($NIPSS.Context) &gt; 0
                         and (
                               round(xs:decimal(
                                   sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                  ) * 100))
                             !=
                            round(xs:decimal(
                                 sum(
                                lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ) * 100))
                            )
                      )"/>
        <!--
            IF (COUNT(SCHEDULE = "RSPT") > 0) AND (SUM(ALL OCCURRENCES OF([RSPT34]))) <> [PTR79]
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT34] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
        -->
        <assert id="VR.ATO.PTR.430088" diagnostics="DVR.ATO.PTR.430088" 
                test="not(
                          count($RSPT.Context) &gt; 0
                          and 
                          round(xs:decimal(100 * sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          !=
                          round(xs:decimal(100 * sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                    )"/>
        <!--
            IF ([PTR77] <> NULL OR [PTR78] > 0 OR [PTR79] > 0 OR [PTR80] > 0) AND (COUNT(SCHEDULE = "RSPT") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.PTR.430081" diagnostics="DVR.ATO.PTR.430081" 
                test="not(                  
                           (bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                &gt; 0
                            or sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                &gt; 0
                            or sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &gt; 0)
                           and (count($RSPT.Context) = 0)
                      )"/>
<!--
            IF  (COUNT(SCHEDULE = "RSPT") > 0) AND (SUM(ALL OCCURRENCES OF([RSPT20] + [RSPT21] + 
                                                    [RSPT22] + [RSPT23] + [RSPT24] + [RSPT25] + 
                                                    [RSPT26] + [RSPT27] + [RSPT29] + [RSPT30] + 
                                                    [RSPT31] + [RSPT32] + [RSPT33] + [RSPT35] + 
                                                    [RSPT36] + [RSPT37] + [RSPT38])) <> [PTR80])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT20] = RSPT:RP:Expense.RealEstateProperty.Marketing.Amount
            [RSPT21] = RSPT:RP:Expense.RealEstateProperty.BodyCorporate.Amount
            [RSPT22] = RSPT:RP:Expense.RealEstateProperty.Borrowing.Amount
            [RSPT23] = RSPT:RP:Expense.RealEstateProperty.Cleaning.Amount
            [RSPT24] = RSPT:RP:Expense.RealEstateProperty.CouncilRates.Amount
            [RSPT25] = RSPT:RP:Expense.DepreciationandAmortisation.Amount
            [RSPT26] = RSPT:RP:Expense.RealEstateProperty.Gardening.Amount
            [RSPT27] = RSPT:RP:Expense.RealEstateProperty.Insurance.Amount
            [RSPT29] = RSPT:RP:Expense.LandTax.Amount
            [RSPT30] = RSPT:RP:Expense.RealEstateProperty.LegalFees.Amount
            [RSPT31] = RSPT:RP:Expense.RealEstateProperty.PestControl.Amount
            [RSPT32] = RSPT:RP:Expense.RealEstateProperty.AgentFeesCommission.Amount
            [RSPT33] = RSPT:RP:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
            [RSPT35] = RSPT:RP:Expense.RealEstateProperty.OfficeSupplies.Amount
            [RSPT36] = RSPT:RP:Expense.Travel.Amount
            [RSPT37] = RSPT:RP:Expense.RealEstateProperty.Water.Amount
            [RSPT38] = RSPT:RP:Expense.RealEstateProperty.Sundry.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.PTR.430090" diagnostics="DVR.ATO.PTR.430090" 
                test="not(
                          count($RSPT.Context) &gt; 0
                          and 
                          round(xs:decimal(100 * (sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +
                                       sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                      )
                          ))       
                          !=
                          round(xs:decimal(100 * sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                     )"/>
        <!--
            IF ([PTR98] > 0 OR [PTR99] > 0 OR [PTR100] > 0) AND (([PTR98] + [PTR99] + [PTR100]) < ([IDS191] + [IDS192] + [IDS193]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [PTR98] = PTR:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount       
        -->
        <assert id="VR.ATO.PTR.430998" diagnostics="DVR.ATO.PTR.430998" 
                test="not( 
                           (
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0 
                            or 
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFC404.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0 
                            or 
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCUC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                            ) 
                            and
                            (
                                round(xs:decimal(100 * sum(
                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFC404.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCUC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )))
                                &lt;
                                round(xs:decimal(100 * sum(
                            
                                        $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |$IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |$IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )))
                            )
                      )"/>
        <!--
            IF ([PTR98] > 0) AND ([IDS188] > [PTR98])
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS188] = IDS:RP.CFCLC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
            [PTR98] = PTR:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        -->
        <assert id="VR.ATO.PTR.430999" diagnostics="DVR.ATO.PTR.430999" 
                test="not(
                        number(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;  0
                        and
                        (
                            number($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 
                            number(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>
<!-- 
            IF ([PTR138] > 0) AND ([PTR138] < [IDS22])
                RETURN VALIDATION MESSAGE
            ENDIF 
            
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [PTR138] = PTR:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount            
        -->

<assert  id="VR.ATO.PTR.430996" diagnostics="DVR.ATO.PTR.430996" test="not(
                        number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;  0
                        and
                        (
                            number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &lt; 
                            number($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"></assert>
<!--
            IF ([PTR138] = 0 OR [PTR138] = NULL) AND ([IDS22] > 0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
            [PTR138] = PTR:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount        
       -->

<assert  id="VR.ATO.PTR.430995" diagnostics="DVR.ATO.PTR.430995"
         test="not(
                        
                        sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           
                        and                       
                        sum($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                      
                    )"></assert>
<!--
            IF ([PTR104] = NULL) AND ([IDS219] > 0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS219] = IDS:RP:bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount
            [PTR104] = PTR:RP.JFOREIGN:bafpr1.02.04:Income.Other.Amount
        -->

  <assert  id="VR.ATO.PTR.431003" diagnostics="DVR.ATO.PTR.431003"
             test="not( 
                        not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and                    
                        $IDS.Context/bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) > 0]
                    )"></assert>

  <!--
            
            IF (RP:rvctc1.xx.xx:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator = NULL) 
            AND (COUNT(SCHEDULE = ""IDS"") = 1)  AND ([IDS177] = TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS177] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator

        -->

  <assert  id="VR.ATO.GEN.438040" diagnostics="DVR.ATO.GEN.438040" test="not( 
                            not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            count($IDS.Context) = 1
                            and
                            $IDS.Context/rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[@contextRef= $RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        )"></assert>
<!--
            IF [PTR109] = FALSE AND [IDS9] = TRUE
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
            [PTR109] = PTR:RP:rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
        -->

<assert  id="VR.ATO.PTR.431001" diagnostics="DVR.ATO.PTR.431001" test="not(
                           rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                           and
                           $IDS.Context/rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                         )"></assert>
<!--
            IF ([PTR98] > 0 OR [PTR99] > 0 OR [PTR100] > 0) AND ([IDS185] = NULL AND [IDS186] = NULL AND [IDS187] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [IDS185] = IDS:RP.CFCLC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS186] = IDS:RP.CFCSP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS187] = IDS:RP.CFCUC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [PTR98] = PTR:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.PTR.431000" diagnostics="DVR.ATO.PTR.431000" test="not( 
                        (
                            sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFC404.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCUC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                        and
                        (
                            not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCSP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCUC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        ))"></assert>
<!--
            IF ([PTR52] = NULL OR [PTR52] = 0 ) AND (ANY OCCURRENCE OF([PTR96] = NULL OR [PTR96] = 0)) AND ([PTR137] = NULL OR [PTR137] = 0 ) AND ([IDS207] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [IDS207] = IDS:RP:rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount
            [PTR52] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.InterestTotal.Amount
            [PTR96] = PTR:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Amount IN TUPLE(ptr.0003.lodge.req.02.00:OtherDeductions)
            [PTR137] = PTR:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount        
        -->

<assert  id="VR.ATO.PTR.431002" diagnostics="DVR.ATO.PTR.431002" test="not(
                            (
                                number(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                or
                                not(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                            and 
                            (
                                sum(ptr.0003.lodge.req.02.00:OtherDeductions/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
                                or
                                not(ptr.0003.lodge.req.02.00:OtherDeductions/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                            and 
                            (
                                number(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
                                or
                                not(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                            and 
                            number($IDS.Context/rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          )"></assert>
<!--
            IF ([PTR137] > 0) AND (COUNT(SCHEDULE = ""IDS"") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR137] = PTR:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
        -->

<assert  id="VR.ATO.PTR.431014" diagnostics="DVR.ATO.PTR.431014" test="not(
                        sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        count($IDS.Context) = 0
                        )"></assert>
<!--
            IF ([PTR138] > 0) AND (COUNT(SCHEDULE = ""IDS"") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR138] = PTR:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
        -->

<assert  id="VR.ATO.PTR.431015" diagnostics="DVR.ATO.PTR.431015" test="not(
                        sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        count($IDS.Context) = 0
                        )"></assert>
<!-- 
        IF (RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator = TRUE) AND (COUNT(SCHEDULE = "IDS") = 0)
          RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.438017" diagnostics="DVR.ATO.GEN.438017.PTR" test="not(
                        bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and
                        count($IDS.Context) = 0
                        )"></assert>
<!-- 
            IF (rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator = FALSE) AND (COUNT(SCHEDULE = "IDS") = 1)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<!--<assert  id="VR.ATO.GEN.438005" diagnostics="DVR.ATO.GEN.438005.PTR" test="not(
                            rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                            and 
                            count($IDS.Context) = 1
                        )"></assert>-->
<!-- 
        IF
            ([PTR102] = FALSE AND [PTR108] = FALSE AND [PTR277] = FALSE) AND (([PTR137] = NULL OR [PTR137] = 0) AND ([PTR138] = NULL OR [PTR138] = 0)) AND (COUNT (Schedule = “IDS”) = 1)
            RETURN VALIDATION MESSAGE
            ENDIF

            [PTR102] = PTR:RP.JFOREIGN:bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
            [PTR108] = PTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [PTR137] = PTR:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
            [PTR138] = PTR:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
            [PTR277] = PTR:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        
        -->

<assert  id="VR.ATO.PTR.4310445" diagnostics="DVR.ATO.PTR.4310445" test="not(
                            (bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')] 
                             and 
                             rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]  
                             and 
                             bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                             ) 
                             and 
                             (
                                (not(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or sum( bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0) 
                                 and 
                                (not(bafpr1.02.04:Expense.Royalties.Amount[@contextRef =$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or sum( bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0)
                              )                  
                            and 
                            (count($IDS.Context) = 1)
                        )"></assert>
</rule>
</pattern>