﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/smsfar/smsfar_0004/smsfar.0004.lodge.request.02.00.report.xsd']]">

  <!--
            IF [SMSFAR33] > 10000 AND  (COUNT(SCHEDULE = "CGTS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
        -->
  <assert id="VR.ATO.SMSFAR.436038" diagnostics="DVR.ATO.SMSFAR.436038"
          test="not(    
                        sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                          &gt; 10000
                        and (count($CGT.Context) = 0)                
                      )"/>

<!--
            IF [SMSFAR42] > 0 AND  AND (COUNT(SCHEDULE = "NIPSS") = 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
<let name="RP.SMSFAR.TFN" value="$RP.SMSFAR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]" />

    <!--
        IF (COUNT(SCHEDULE = "NIPSS") = 1) AND (SUM(ALL OCCURRENCES OF([NIPSS9]))) <> [SMSFAR42]
            RETURN VALIDATION MESSAGE
        ENDIF
            
        [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
    -->
    <assert id="VR.ATO.SMSFAR.436051" diagnostics="DVR.ATO.SMSFAR.436051" 
            test="not(count($NIPSS.Context) = 0 
                    and
                    round(xs:decimal(100 * sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                    &gt; 0
                  )"/>
    <!--            
        IF (COUNT(SCHEDULE = "NIPSS") = 1) AND [SMSFAR42] > 0 AND (([SMSFAR80] + 1) < (SUM(ALL OCCURRENCES OF([NIPSS28])))) 
            RETURN VALIDATION MESSAGE
        ENDIF
            
        [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        [SMSFAR80] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
        [NIPSS28]  = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                        WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
                        IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) 
                        IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
    -->
    <assert id="VR.ATO.SMSFAR.436052" diagnostics="DVR.ATO.SMSFAR.436052" 
            test="not(
                        count($NIPSS.Context) = 1
                        and
                        round(xs:decimal(100 * sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                            [@contextRef = $RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(xs:decimal(100 * sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount 
                            [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                     )"/>
    <!-- 
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND (SUM(ALL OCCURRENCES OF([NIPSS3]))) > ([SMSFAR79] + 1)  
                RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS3] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                        WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") 
                        IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) 
                        IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [SMSFAR79] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
    -->
    <assert id="VR.ATO.SMSFAR.436053" diagnostics="DVR.ATO.SMSFAR.436053" 
            test="not(
                        count($NIPSS.Context) = 1
                        and 
                        round(xs:decimal(100 * sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; 0
                        and
                        (
                          round(xs:decimal(100 * (1 + sum(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                          &lt;
                          round(xs:decimal(100 * sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                                            [
                                                @contextRef=$RP.NIPSS.ContextId 
                                                and not(@i:nil='true' or @i:nil='1') 
                                                and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'DNOABN']
                                            ])))
                        )
                      )"/>
    <!--
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND (SUM(ALL OCCURRENCES OF([NIPSS4])) > [SMSFAR53])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount            
    -->
    <assert id="VR.ATO.SMSFAR.436118" diagnostics="DVR.ATO.SMSFAR.436118" 
            test="not(
                        count($NIPSS.Context) = 1
                        and
                        round(xs:decimal(100 * sum(
                          $NIPSS.Context
                            /nipss.0001.lodge.req.02.00:Payer
                            /nipss.0001.lodge.req.02.00:PAYGWithholding
                            /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                            [ @contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')
                              and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code
                                     [@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')
                                      and upper-case(.[1]) = 'DFRW']
                            ])))
                        &gt;
                        round(xs:decimal(100 * (1 + sum(
                          rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
                            [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                      )"/>
    <!-- 
        IF (COUNT(SCHEDULE = "IEE") > 0) AND RP:entity.identifier.TFN = (ANY OCCURRENCE OF([IEE50]))
            RETURN VALIDATION MESSAGE
        ENDIF
            
        [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier 
        IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)        
    -->
    <assert id="VR.ATO.SMSFAR.436072" diagnostics="DVR.ATO.SMSFAR.436072" 
            test="not(
                        count($NIPSS.Context) = 1
                        and 
                        round(xs:decimal(100 * (sum(
                          $NIPSS.Context
                            /nipss.0001.lodge.req.02.00:Payer
                            /lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
                              [@contextRef = $RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                        &gt;
                        round(xs:decimal(100 * (sum(
                          bafpr1.02.04:Income.Other.Amount
                            [@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                      )"/>

    <assert id="VR.ATO.SMSFAR.436010" diagnostics="DVR.ATO.SMSFAR.436010" 
            test="not(
                        count($IEE.Context) &gt; 0
                        and
                        count($IEE.Context/iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]
                          /pyid.02.00:Identifiers.TaxFileNumber.Identifier
                            [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.SMSFAR.TFN]) &gt; 0
                      )"/>
    <!--
            IF [SMSFAR164] = NULL and COUNT(SCHEDULE = "IEE") > 0
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR164] = SMSFAR:RP:Elections.InterposedEntityElectionStatus.Year
    -->
    <assert id="VR.ATO.SMSFAR.436196" diagnostics="DVR.ATO.SMSFAR.436196" 
            test="not(
                    not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.SMSFAR.ContextId])
                    and count($IEE.Context) &gt; 0
                  )"/>
<!--
            IF ([SMSFAR165] = "R") AND (COUNT(SCHEDULE = "IEE") = 0)
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR165] = SMSFAR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->

<assert  id="VR.ATO.SMSFAR.436197" diagnostics="DVR.ATO.SMSFAR.436197" test="not(
                        rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code
                              [@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.[1])='R')]
                        and count($IEE.Context) = 0
                      )"></assert>
<!--
            IF (SMSFAR:RP:pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND 
               (COUNT(SCHEDULE = "IEE") > 0) AND 
               (ANY OCCURRENCE OF ([IEE116] = "R") AND 
               ([IEE82] <> SMSFAR:RP:pyin.xx.xx:Report.TargetFinancial.Year))
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE82]  = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.SMSFAR.436252" diagnostics="DVR.ATO.SMSFAR.436252" test="not(
                        count(pyin.02.00:Report.TargetFinancial.Year
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and count($IEE.Context) &gt; 0
                        and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code
                          [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.[1])='R')]) &gt; 0
                        and $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] 
                          != pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
<!--
            IF ([SMSFAR85] + [SMSFAR86]) > 100000 AND (COUNT(SCHEDULE = "LS") = 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR85] = SMSFAR:RP.Closing.Y0Plus:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
            [SMSFAR86] = SMSFAR:RPI.Closing.Y0Plus:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
    <assert id="VR.ATO.SMSFAR.436127" diagnostics="DVR.ATO.SMSFAR.436127" 
            test="not(
                        count($LOS.Context) = 0 
                        and
                        round(xs:decimal(100 * sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Y0Plus.Closing.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        | rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef = $RPI.Y0Plus.Closing.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &gt; 
                        100000 * 100
                      )"/>
        <!--
            IF (COUNT(SCHEDULE = "LS") = 1) AND [LS50] <> [SMSFAR85]  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS50] = LS:RP.ALL:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
            [SMSFAR85] = SMSFAR:RP.Closing.Y0Plus:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436129" diagnostics="DVR.ATO.SMSFAR.436129" 
                test="not(
                        count($LOS.Context) = 1
                        and
                        round(xs:decimal(100 * sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
                          [@contextRef=$RP.Y0Plus.Closing.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(xs:decimal(100 * sum($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
                          [@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>
        <!--
            IF (COUNT(SCHEDULE = "LS") = 1) AND [LS52] <> [SMSFAR86]  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS52] = LS:RP.ALL:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
            [SMSFAR86] = SMSFAR:RPI.Closing.Y0Plus:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount        
        -->
        <assert id="VR.ATO.SMSFAR.436132" diagnostics="DVR.ATO.SMSFAR.436132" 
                test="not(
                        count($LOS.Context) = 1
                        and
                        round(xs:decimal(100 * sum(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
                          [@contextRef=$RPI.Y0Plus.Closing.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(xs:decimal(100 * sum($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
                          [@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>
        <!--
            IF [SMSFAR163] = SET("R","V") AND (COUNT(SCHEDULE = "FTER") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR163] = SMSFAR:RP:Elections.FamilyTrustElectionRevocation.Code
        -->
        <assert id="VR.ATO.SMSFAR.436194" diagnostics="DVR.ATO.SMSFAR.436194"
                test="not(
                        rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(R|V)$')]
                        and
                        count($FTER.Context) = 0                        
                      )"/>
        <!-- 
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([SMSFAR33] <> [CGTS131])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [SMSFAR33] = SMSFAR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436574" diagnostics="DVR.ATO.SMSFAR.436574" 
                test="not(
                        count($CGT.Context) = 1
                        and
                        round(xs:decimal(100 * sum(bafpr1.02.00:Income.CapitalGainsNet.Amount
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(xs:decimal(100 * sum($CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount
                          [@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>
        <!--
            IF COUNT(SCHEDULE = ""CGTS"") = 1 AND ([CGTS124] + [CGTS125]) <> [SMSFAR86]
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS124] = CGTS:RP.Collectables.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [SMSFAR86] = SMSFAR:RP.Y0Plus.Closing(Instant):rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436620" diagnostics="DVR.ATO.SMSFAR.436620" 
                test="not(
                        (count($CGT.Context) = 1)
                        and
                        round(xs:decimal(100 * sum($CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGT.Collectables.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                    |$CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                        !=
                        round(xs:decimal(100 * sum(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Y0Plus.Closing.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                    )"/>
        <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "A - Small business active asset reduction")
            AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS127] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS127] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
        -->
        <assert id="VR.ATO.GEN.438022" diagnostics="DVR.ATO.GEN.438022" 
                test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(A \- Small business active asset reduction)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"/>
<!-- 
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "B - Small business retirement exemption") 
                AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS128] = NULL
             RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS128] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
        -->
        <assert id="VR.ATO.GEN.438023" diagnostics="DVR.ATO.GEN.438023" 
                test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(B \- Small business retirement exemption)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"/>
<!-- 
        
        IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "C - Small business roll-over") 
            AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS129] = NULL
            RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS129] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

<assert  id="VR.ATO.GEN.438024" diagnostics="DVR.ATO.GEN.438024" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(C \- Small business roll-over)$')])
                            and
                            (count($CGT.Context) = 1)
                            and                
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
<!-- 
        
        IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "D - Small business 15 year exemption") AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS138] = NULL
         RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS138] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
        -->

<assert  id="VR.ATO.GEN.438025" diagnostics="DVR.ATO.GEN.438025" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(D \- Small business 15 year exemption)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "E - Foreign resident CGT exemption") AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS140] = NULL
             RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS140] = CGTS:RP:rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount
         -->

  <assert  id="VR.ATO.GEN.438026" diagnostics="DVR.ATO.GEN.438026" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(E \- Foreign resident CGT exemption)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )"></assert>


  <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "F - Scrip for scrip roll-over") 
            AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS45] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS45] = CGTS:RP:rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount

        -->

<assert  id="VR.ATO.GEN.438027" diagnostics="DVR.ATO.GEN.438027.SMSFAR" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(F \- Scrip for scrip roll-over)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )"></assert>

</rule>
</pattern>