﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [CTR219] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF

            IF COUNT(((pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                (pyde.xx.xx:AddressDetails.Currency.Code = "C") AND 
                (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)) IN TUPLE(addressdetails2.xx.xx:AddressDetails)) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <assert  id="VR.ATO.GEN.428023" diagnostics="DVR.ATO.GEN.428023" test="
                        not
                        (
                            count(
                                  address2.02.02:AddressDetails[pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]   
                                     and upper-case(pyde.02.00:AddressDetails.Currency.Code) = 'C'
                                     and upper-case(pyde.02.01:AddressDetails.Usage.Code) = 'POS'  
                                  ]
                                  ) != 1
                        )"></assert>


        <!--    
          IF [CTR360] <> NULL AND [CTR360] <> (([CTR203] + [CTR204]) - ([CTR317] + [CTR326] + [CTR205]))
             RETURN VALIDATION MESSAGE
          ENDIF

          [CTR203] = CTR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
          [CTR204] = CTR:RP:rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount
          [CTR205] = CTR:RP:rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount
          [CTR317] = CTR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
          [CTR326] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
          [CTR360] = CTR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount
        -->        
        <assert  id="VR.ATO.CTR.430068" diagnostics="DVR.ATO.CTR.430068"
                test="not( 
                           ($CTR360)
                           and (
                             round(100 * xs:decimal(sum($CTR360)))
                             !=
                             round(100 * xs:decimal(sum($CTR203|$CTR204)))
                             - 
                             round(100 * xs:decimal(sum(($CTR317|$CTR326|$CTR205))))
                           ))"/>
        <!--    
            IF([CTR151]<> NULL) AND 
            ([CTR151] > ([CTR72] + [CTR73] + [CTR74] + [CTR75] + [CTR76] + [CTR77] + [CTR78] + [CTR79] + 
            [CTR80] + [CTR81] + [CTR82] + [CTR83] + [CTR84] + [CTR85] + [CTR86] + [CTR87] + [CTR88] + [CTR254]))
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR151] = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [CTR72] = CTR:RP:bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
            [CTR73] = CTR:RP:bafpr2.02.00:Expense.Operating.CostOfSales.Amount
            [CTR74] = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount
            [CTR75] = CTR:RP:emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
            [CTR76] = CTR:RP:bafpr2.02.00:Expense.Operating.BadDebts.Amount
            [CTR77] = CTR:RP.JAUS:bafpr2.02.00:Expense.Operating.Lease.Amount
            [CTR78] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.Lease.Amount
            [CTR79] = CTR:RP:bafpr2.02.00:Expense.Operating.Rent.Amount
            [CTR80] = CTR:RP.JAUS:bafpr2.02.02:Expense.Operating.Interest.Amount
            [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.02:Expense.Operating.Interest.Amount
            [CTR82] = CTR:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [CTR83] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [CTR84] = CTR:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [CTR85] = CTR:RP:bafpr2.02.00:Expense.Operating.MotorVehicle.Amount
            [CTR86] = CTR:RP:bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount
            [CTR87] = CTR:RP:bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount
            [CTR88] = CTR:RP:bafpr1.02.00:Expense.Other.Amount
            [CTR254] = CTR:RP.TOFA:bafpr1.02.16:Expense.Total.Amount 
        -->

        <assert id="VR.ATO.CTR.428057" diagnostics="DVR.ATO.CTR.428057" 
                test="not(
                        ($CTR151)
                        and
                        (
                            round(xs:decimal(sum($CTR151) * 100))  &gt;
                            round(xs:decimal(sum($CTR72 | $CTR73 |$CTR74 | $CTR75 |$CTR76 | $CTR77 |$CTR78 | $CTR79 |
                            $CTR80 | $CTR81 |$CTR82 | $CTR83 |$CTR84 | $CTR85 |$CTR86 | $CTR87 |$CTR88 | $CTR254) * 100))
                        ))"/>
        <!--
            IF COUNT ([CTR330]) > 18 
              RETURN VALIDATION MESSAGE
            ENDIF

            [CTR330] = CTR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->

        <assert  id="VR.ATO.CTR.430030" diagnostics="DVR.ATO.CTR.430030" test="not(
                        count($CTR330) &gt; 18
                     )"></assert>
        <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator = TRUE) AND
               (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) = 0)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.438019" diagnostics="DVR.ATO.GEN.438019" test="not(
                        rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and
                        count(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                     )"></assert>
        <!--
            IF (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) > 0) AND
               (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator <> TRUE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.438021" diagnostics="DVR.ATO.GEN.438021" test="not(
                        count(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                     )"></assert>
        <!--
            IF ((([CTR120] <= 0)  AND ([CTR320] > 0)) OR (([CTR120] > 0) AND ([CTR52] <> SET("139","163")) 
            AND ([CTR49] <> SET("62230","63100","87900","95599","95510","95591","99010","99020","99030","99040","99050","99060","99070")) 
            AND ([CTR247] = NULL) AND ([CTR320] < (([CTR120] * 0.30) – 1))))
             RETURN VALIDATION MESSAGE
            ENDIF

            [CTR49] = CTR:RP:pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR52] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
            [CTR247] = CTR:RP:bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount
            [CTR320] = CTR:RP:rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount
        -->

        <assert id="VR.ATO.CTR.428137" diagnostics="DVR.ATO.CTR.428137" 
                test="not(
                            (
                                round(100 * xs:decimal(sum($CTR120))) &lt;= 0
                                and
                                round(100 * xs:decimal(sum($CTR320))) &gt; 0
                            )
                            or
                            (
                                round(100 * xs:decimal(sum($CTR120))) &gt; 0
                                and not(pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(.,'^(139|163)$')])
                                and not(pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(.,'^(62230|63100|87900|95599|95510|95591|99010|99020|99030|99040|99050|99060|99070)$')])
                                and count($CTR247)= 0
                                and
                                (
                                    round(100 * xs:decimal(sum($CTR320)))
                                    &lt;
                                    round(100 * xs:decimal(sum($CTR120) * 0.30 - 1))
                                )
                            )	
                     )"/>
        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator <> TRUE 
            AND 
                (
                    pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                    OR pyin.xx.xx:Report.AmendmentType.Code <> NULLORBLANK 
                    OR pyin.xx.xx:Report.AmendmentReason.Text <> NULLORBLANK
                )
                    RETURN VALIDATION MESSAGE
            ENDIF        
        -->

        <assert  id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029.CTR" test="not(
                        not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                        and
                        (
                          pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                          or pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                          or pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                        )
                      )"></assert>
        <!--
            IF (RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator = FALSE)
            AND ((RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> NULL)
            OR (RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL)
            OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator <> NULL)
            OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator <> NULL)
            OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator <> NULL)
            OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator <> NULL)
            OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator <> NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.438011" diagnostics="DVR.ATO.GEN.438011" test="not(
                    bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                    and
                    (
                    bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))"></assert>
        <!--
            IF [CTR302] <> NULL AND [CTR302] <> ([CTR328] + [CTR353] - [CTR300])
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR300] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount
            [CTR302] = CTR:RP.Y0Plus1:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
            [CTR328] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
            [CTR353] = CTR:RP.YPrevious:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        -->

        <assert id="VR.ATO.CTR.430027" diagnostics="DVR.ATO.CTR.430027" 
                test="not($CTR302 
                          and(
                                round(100 * xs:decimal(sum($CTR302)))
                                != 
                                round(100 * xs:decimal(sum($CTR328|$CTR353))) - round(100 * xs:decimal(sum($CTR300)))
                             )
                      )"/>
        <!--
            IF [CTR120] <= 0 AND (([CTR342]+[CTR357]) > ABSVALUE([CTR120]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
            [CTR342] = CTR:RP.YMiddle:rvctc3.02.00:Tax.Losses.Total.Amount
            [CTR357] = CTR:RP.YEarliestFromCurrent:rvctc3.02.00:Tax.Losses.Total.Amount
        -->

        <assert id="VR.ATO.CTR.430045" diagnostics="DVR.ATO.CTR.430045"
                test="not(
                        sum($CTR120) &lt; 0 
                            and
                        round(100 * xs:decimal(sum($CTR342 | $CTR357))) &gt; round( 100 * (abs(xs:decimal(sum($CTR120)))))
                )"/>
        <!-- 
            IF [CTR51] = "Resident" AND [CTR345] <> NULL AND [CTR139] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR51] = CTR:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
            [CTR139] = CTR:RP:bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount
            [CTR345] = CTR:RP:rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount
        -->

        <assert  id="VR.ATO.CTR.430051" diagnostics="DVR.ATO.CTR.430051" test="not(
                        normalize-space($CTR51) = 'Resident'
                        and
                        $CTR345
                        and
                        not($CTR139)
                    )"></assert>
        <!-- 
            IF [CTR120] > 0 AND ([CTR342] <>NULL OR [CTR357] <>NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
            [CTR342] = CTR:RP.YMiddle:rvctc3.02.00:Tax.Losses.Total.Amount
            [CTR357] = CTR:RP.YEarliestFromCurrent:rvctc3.02.00:Tax.Losses.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.430058" diagnostics="DVR.ATO.CTR.430058" test="not(
                        sum($CTR120) &gt; 0 
                        and
                        ($CTR342 or $CTR357)
                    )"></assert>
        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator = TRUE 
            AND (pyin.xx.xx:Report.AmendmentSequence.Number = NULL 
            OR pyin.xx.xx:Report.AmendmentType.Code = NULLORBLANK 
            OR pyin.xx.xx:Report.AmendmentReason.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028.CTR" test="not(
                        pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and(
                        not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')])
                        or not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                        or not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                    ))"></assert>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS "" - "")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000423" diagnostics="DVR.ATO.GEN.000423" test="not( 
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(.,'^(.*)\s-\s(.*)$')]
                          )                 
                      "></assert>
        <!--
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000414" diagnostics="DVR.ATO.GEN.000414" test="string-length(normalize-space(.)) = 0 or not(contains(upper-case(.), 'P/L'))"></assert>
        <!--
            IF [CTR202] >= [CTR325] AND [CTR203] <> 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR202] = CTR:RP.Y0-1:gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount
            [CTR203] = CTR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428345" diagnostics="DVR.ATO.CTR.428345" test="not(
                            sum(gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt;=
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                            != 0
                        )"></assert>
        <!-- 
            IF [CTR325] = 0 AND [CTR203] <> 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR203] = CTR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428343" diagnostics="DVR.ATO.CTR.428343" test="not(
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                            = 0
                            and
                            sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        )"></assert>
        <!-- 
            IF [CTR325] = 0 AND ([CTR326] <> ([CTR316] - [CTR324]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR316] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
            [CTR326] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->

        <assert id="VR.ATO.CTR.428342" diagnostics="DVR.ATO.CTR.428342" 
                test="not(
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            (   
                                round(100 * xs:decimal(sum(rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                !=
                                (
                                    round(100 * xs:decimal(sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                    -
                                    round(100 * xs:decimal(sum(rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                )
                            )
                      )"/>
        <!-- 
            IF [CTR316] >= [CTR324] AND ([CTR325] <> 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR316] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->

        <assert id="VR.ATO.CTR.428341" diagnostics="DVR.ATO.CTR.428341" 
                test="not(
                            round(100 * xs:decimal(sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt;= round(100 * xs:decimal(sum(rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            and round(100 * xs:decimal(sum(rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            != 0
                        )"/>
        <!-- 
            IF [CTR324] = 0 AND ([CTR325] <> 0 OR [CTR203] <> 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR203] = CTR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428339" diagnostics="DVR.ATO.CTR.428339" test="not(
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            (
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                            or
                            sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                            )
                        )"></assert>
        <!--
            IF ([CTR316] < [CTR324]) AND ([CTR325] <> ([CTR324] - [CTR316]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR316] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->

        <assert id="VR.ATO.CTR.428340" diagnostics="DVR.ATO.CTR.428340" 
                test="not(
                            (
                                round(100 * xs:decimal(sum($CTR316)))
                                &lt;
                                round(100 * xs:decimal(sum($CTR324)))
                            )
                            and
                            (
                                round(100 * xs:decimal(sum($CTR325)))
                                !=
                                (
                                    round(100 * xs:decimal(sum($CTR324)))
                                    -
                                    round(100 * xs:decimal(sum($CTR316)))
                                )
                            )
                        )"/>
        <!--
            IF ([CTR323] >= [CTR322]) AND ([CTR324] <> 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
            [CTR323] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount
            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
        -->

        <assert id="VR.ATO.CTR.428338" diagnostics="DVR.ATO.CTR.428338" 
                test="not(
                            (
                                round(100 * xs:decimal(sum($CTR323)))
                                &gt;=
                                round(100 * xs:decimal(sum($CTR322)))
                            )
                            and
                            sum($CTR324) != 0
                        )"/>
        <!-- 
            IF [CTR322] = 0 AND [CTR325] <> 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428401" diagnostics="DVR.ATO.CTR.428401" test="not(
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                        )"></assert>
        <!--
            IF ([CTR316] < [CTR324]) AND ([CTR326] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR316] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
            [CTR326] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->

        <assert id="VR.ATO.CTR.428428" diagnostics="DVR.ATO.CTR.428428" 
                test="not(
                            (
                                round(100 * xs:decimal(sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                &lt;
                                round(100 * xs:decimal(sum(rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            )
                            and
                            (
                                sum(rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )
                      )"/>
        <!--
            IF [CTR322] = 0 AND [CTR324] <> 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428336" diagnostics="DVR.ATO.CTR.428336" test="not(
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            sum(rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                        )"></assert>
        <!--
            IF ([CTR327] < [CTR199]) AND ([CTR322] <> [CTR199] - [CTR327])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR199] = CTR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
            [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
            [CTR327] = CTR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        -->

        <assert id="VR.ATO.CTR.428358" diagnostics="DVR.ATO.CTR.428358" 
                test="not(
                        round(100 * xs:decimal(sum($CTR327))) &lt; round(100 * xs:decimal(sum($CTR199)))
                        and
                        round(100 * xs:decimal(sum($CTR322)))
                        !=
                        (round(100 * xs:decimal(sum($CTR199))) - round(100 * xs:decimal(sum($CTR327))))
                    )"/>
        <!--
            IF [CTR199] <> ([CTR320] + [CTR321] + [CTR309])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR199] = CTR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
            [CTR309] = CTR:RP:rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
            [CTR320] = CTR:RP:rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount
            [CTR321] = CTR:RP:rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount            
        -->

        <assert id="VR.ATO.CTR.428357" diagnostics="DVR.ATO.CTR.428357" 
                test="not(
                        round(100 * xs:decimal(sum($CTR199)))
                        !=
                        round(100 * xs:decimal(sum($CTR320|$CTR321|$CTR309)))
                        )"/>
        <!--
            IF [CTR154] > 0 AND [CTR318] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR154] = CTR:RP:bafpr3.02.14:Income.InternationalDealings.Net.Amount
            [CTR318] = CTR:RP:rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428351" diagnostics="DVR.ATO.CTR.428351" test="not(
                        sum($CTR154) &gt; 0                 
                        and
                        not($CTR318)
                        )"></assert>
        <!--
            IF [CTR318] < [CTR154]
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR154] = CTR:RP:bafpr3.02.14:Income.InternationalDealings.Net.Amount
            [CTR318] = CTR:RP:rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount
        -->
        <assert id="VR.ATO.CTR.428350" diagnostics="DVR.ATO.CTR.428350" 
                test="not(
                        round(100 * xs:decimal(sum($CTR318)))
                         &lt;
                        round(100 * xs:decimal(sum($CTR154)))
                        )"/>
        <!--
            IF (([CTR117] > 0) OR ([CTR118] > 0)) AND ([CTR120] < 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR117] = CTR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [CTR118] = CTR:RP:rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount
            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
        -->

        <assert  id="VR.ATO.CTR.428136" diagnostics="DVR.ATO.CTR.428136" test="not(
                                (
                                    sum($CTR117) &gt; 0
                                    or 
                                    sum($CTR118) &gt; 0
                                )
                                and  
                                sum($CTR120) &lt; 0
                            )"></assert>
        <!--
            IF [CTR309]<> ([CTR308] * 0.315)+/-1
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR309] = CTR:RP:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
            [CTR308] = CTR:RP:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount
        -->
        <assert id="VR.ATO.CTR.428326" diagnostics="DVR.ATO.CTR.428326" 
                test="not(
                        round(100 * xs:decimal(sum($CTR309))) &gt; (round(100 * xs:decimal(sum($CTR308)) * 0.315)) + (100 * 1)
                        or
                        round(100 * xs:decimal(sum($CTR309))) &lt; (round(100 * xs:decimal(sum($CTR308))) * 0.315) - (100 * 1)
                       )"/>
        <!--
            IF ([CTR252] > 0 OR [CTR254] > 0 OR [CTR255] > 0 OR [CTR256] > 0) AND [CTR310] = NULL AND [CTR311] = NULL AND [CTR260] = NULL AND [CTR290] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR252] = CTR:RP.TOFA:bafpr1.02.04:Income.Total.Amount
            [CTR254] = CTR:RP.TOFA:bafpr1.02.16:Expense.Total.Amount
            [CTR255] = CTR:RP.TOFA:bafpr1.02.04:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:bafpr1.02.04:Expense.DeductibleOther.Amount
            [CTR260] = CTR:RP.TOFA:bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount
            [CTR290] = CTR:RP.TOFA:bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount
            [CTR310] = CTR:RP.TOFA:bafpr1.02.04:Income.GainsTotal.Amount
            [CTR311] = CTR:RP.TOFA:bafpr1.02.04:Expense.LossesTotal.Amount        
        -->
        <assert id="VR.ATO.CTR.428330" diagnostics="DVR.ATO.CTR.428330"
                test="not(
                            (
                                sum($CTR252) &gt; 0 or sum($CTR254) &gt; 0 or sum($CTR255) &gt; 0 or sum($CTR256) &gt; 0
                            ) 
                            and not($CTR310) 
                            and not($CTR311) 
                            and not($CTR260) 
                            and not($CTR290)
                        )"/>
        <!--
            IF ([CTR208] > 0) AND ([CTR58] = NULL)
                RETURN VALIDATION ERROR
            ENDIF
            
            [CTR208] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
            IN TUPLE(ctr.0005.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [CTR58] = CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428104" diagnostics="DVR.ATO.CTR.428104" subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" test="not(
                        ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and upper-case(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DNOABN']
                        &gt; 0  
                        and 
                        count(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0   
                     )"></assert>
        <!--
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") AND (pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428205" diagnostics="DVR.ATO.GEN.428205" test="not(count( address2.02.02:AddressDetails
                          [upper-case(pyde.02.01:AddressDetails.Usage.Code)='POS' 
                          and upper-case(pyde.02.00:AddressDetails.Currency.Code)='C']) != 1)"></assert>
        <!--
            IF COUNT (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C") > 3
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428217" diagnostics="DVR.ATO.GEN.428217" test="not(count(//pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and upper-case(.)='C' and not(@i:nil='true' or @i:nil='1')] )  &gt; 3)"></assert>
        <!--
            IF COUNT (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P") > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428218" diagnostics="DVR.ATO.GEN.428218" test="not(count(//pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and upper-case(.)='P' and not(@i:nil='true' or @i:nil='1')] )  &gt; 1)"></assert>
        <!--
            IF COUNT (pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"") > 1
                RETURN VALIDATION MESSAGE
            END IF
        -->

        <assert  id="VR.ATO.GEN.428224" diagnostics="DVR.ATO.GEN.428224" test="not(count(prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 1)"></assert>
        <!--
            IF ([CTR14] <> NULLORBLANK) AND ([CTR12] = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR14] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier
            [CTR12] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P"))
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
        -->

        <assert  id="VR.ATO.CTR.428018" diagnostics="DVR.ATO.CTR.428018" test="
                        not
                        (
                            count(pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                            and
                            count(
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                            and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                            and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'P']
                            ) = 0
                        )"></assert>
        <!--
            IF [CTR12] <> NULLORBLANK AND [CTR13] = NULLORBLANK AND [CTR14] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR12] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
                      WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P"))
                      IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            [CTR13] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier
            [CTR14] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier
        -->

        <assert  id="VR.ATO.CTR.428019" diagnostics="DVR.ATO.CTR.428019" test="
                        not
                        (
                            (
                                orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                                and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'P']
                            )
                            and
                            (
                                count(pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                                and
                                count(pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                            )
                        )"></assert>
        <!--
            IF ([CTR13] <> NULLORBLANK) AND ([CTR12] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR13] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier
            [CTR12] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P"))
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails
        -->

        <assert  id="VR.ATO.CTR.428020" diagnostics="DVR.ATO.CTR.428020" test="
                        not
                        (
                            count(pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                            and
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and string-length(normalize-space(.)) != 0
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'P'])
                            = 0
                        )"></assert>
        <!--
            IF (CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount = NULLORBLANK)
            AND (CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code = "088")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428031" diagnostics="DVR.ATO.CTR.428031" test="not(
                            pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            = '088'
                            and
                            count(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )"></assert>
        <!--
            IF ([CTR58] > 0) AND ([CTR208] > (([CTR58] * 0.50) +1))
                RETURN VALIDATION MESSAGE
            ENDIF
           
            [CTR58] = CTR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR208] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
            IN TUPLE(ctr.0005.lodge.req.xx.xx:ITPAYGWithholdingDetails)
        -->
        <assert id="VR.ATO.CTR.428041" diagnostics="DVR.ATO.CTR.428041" 
                test="not(
                    sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and 
                    (
                        round(100 * xs:decimal(sum(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']))) 
                        &gt; 
                        (round(100 * xs:decimal(sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) * 0.5)  +  (100 * 1)
                    )
                )"/>
        <!--
            IF ([CTR58] > 0) AND ([CTR208] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR58] = CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR208] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
            IN TUPLE(ctr.0005.lodge.req.xx.xx:ITPAYGWithholdingDetails)    
        -->

        <assert  id="VR.ATO.CTR.428042" diagnostics="DVR.ATO.CTR.428042" subject="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount" test="not(
                    sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and not(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']))"></assert>
        <!--
            IF ([CTR211] = NULL) AND (([CTR60] > 0) OR ([CTR61] > 0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR211] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
            [CTR60] = CTR:RP:bafpr1.xx.xx:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount
            IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
        -->

        <assert  id="VR.ATO.CTR.428043" diagnostics="DVR.ATO.CTR.428043" test="
                        not
                        (
                            not($CTR211)
                            and
                            (
                                sum($CTR60)
                                &gt; 0
                                or
                                sum($CTR61)
                                &gt; 0
                            )
                        )"></assert>
        <!--
            IF [CTR317] <> ([CTR206] + [CTR207] + [CTR208] + [CTR209] + [CTR299] + [CTR211])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR206] = CTR:RP:bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount
            [CTR207] = CTR:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                        WHERE (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW")
                        IN TUPLE(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails)
            [CTR208] = CTR:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                        WHERE (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
                        IN TUPLE(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails)
            [CTR209] = CTR:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount
            [CTR211] = CTR:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
            [CTR299] = CTR:RP:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount
            [CTR317] = CTR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428347" diagnostics="DVR.ATO.CTR.428347" 
                test="not(
                        round(100 * xs:decimal(sum($CTR317)))
                        != 
                        round(100 * xs:decimal(sum(
                             $CTR206
                             |ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[upper-case(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code) = 'DFRW']/
                                 rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                             |ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[upper-case(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code) = 'DNOABN']/
                                 rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                             |$CTR209
                             |$CTR299
                             |$CTR211
                           )))
                     )"/>
        <!--
            IF (([CTR207] > 0 ) AND ([CTR60] = NULL) AND ([CTR61] = NULL)) AND 
            ([CTR207] > (([CTR57] * 0.50) + 1))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR207] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW")
            IN TUPLE(ctr.0005.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [CTR60] = CTR:RP:bafpr1.xx.xx:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount
            IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR57] = CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
        -->
        <assert id="VR.ATO.CTR.428045" diagnostics="DVR.ATO.CTR.428045"
                test="not(
                            sum(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DFRW'])
                            &gt; 0                            
                            and
                            (	
                                not(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                and
                                not(ctr.0005.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                            and
                            round(100 * xs:decimal(sum(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DFRW'])))
                            &gt;
                            (round(100 * xs:decimal(sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) * 0.50) + (100 * 1)
                        )"/>
        <!--    
            IF
                (   (  [CTR59]  <>  NULLORBLANK   OR [CTR123]  <>  NULLORBLANK   OR [CTR124]  <>  NULLORBLANK   OR [CTR125]  <>  NULLORBLANK   )    AND [CTR73]   =   NULLORBLANK )
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [CTR59]  = CTR:$RP.ContextId:bafpr2.xx.xx:Income.SaleOfGoodsAndServices.Other.Amount
            [CTR123]  = CTR:$RPI.Opening.ContextId:bafpo7.xx.xx:Assets.Inventories.Total.Amount
            [CTR124]  = CTR:$RP.ContextId:bafpr2.xx.xx:Expense.Purchases.AndOtherCosts.Amount
            [CTR73]  = CTR:$RP.ContextId:bafpr2.xx.xx:Expense.Operating.CostOfSales.Amount
        -->

        <assert  id="VR.ATO.CTR.428058" diagnostics="DVR.ATO.CTR.428058" test="not(
                            (	
                             count(bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                             or
                             count(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Opening.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                             or
                             count(bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                             or
                             count(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )	
                            and count(bafpr2.02.00:Expense.Operating.CostOfSales.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                   "></assert>
        <!--
            IF (
                (([CTR99] > 0) AND ([CTR84] = NULL)) OR 
                (([CTR84] > 0) AND ([CTR99] = NULL))
               ) 
               AND 
               ([CTR168] = NULL) AND ([CTR169] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR84] = CTR:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [CTR99] = CTR:RP:bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount
            [CTR168] = CTR:RP.LowCost:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
            [CTR169] = CTR:RP.GeneralPool:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        -->

        <assert  id="VR.ATO.CTR.428061" diagnostics="DVR.ATO.CTR.428061" test="not(
                         (       
                          ( (sum($CTR99) &gt; 0) and (not($CTR84)) ) or
                          ( (sum($CTR84) &gt; 0) and (not($CTR99)) )
                         )
                         and 
                         (
                         not($CTR168) and not($CTR169)
                         
                         )
                         )
                     "></assert>
        <!--
            IF [CTR49] <> SET("63100","62400") AND ([CTR179] <> NULL OR [CTR180] <> NULL OR [CTR181] <> NULL OR [CTR182] <> NULL OR [CTR183] <> NULL)
               RETURN VALIDATION MESSAGE
            END IF

            [CTR49] = CTR:RP:pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR179] = CTR:RP.CMPLY:bafpr3.02.02:Income.Insurance.Taxable.Amount
            [CTR180] = CTR:RP.CMPLY:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [CTR181] = CTR:RP.ORD:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [CTR182] = CTR:RP:bafpr3.02.02:Income.Insurance.Taxable.Amount
            [CTR183] = CTR:RP:bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount
        -->

        <assert  id="VR.ATO.CTR.428086" diagnostics="DVR.ATO.CTR.428086" test="not(count(pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(.,'^(63100|62400)$')]) = 0
                          and(
                                count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ORD.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                           ))"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428091
            
            IF [CTR49] = ""63100"" AND ([CTR179] = NULL OR [CTR180] = NULL OR [CTR181] = NULL OR [CTR182] = NULL OR [CTR183] = NULL)
            RETURN VALIDATION MESSAGE
            END IF
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR179] = CTR:RP:bafpr3.xx.xx:Income.Insurance.Taxable.Amount
            [CTR180] = CTR:RP.CMPLY:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CTR181] = CTR:RP.ORD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            
            [CTR182] = CTR:RP.CMPLY:bafpr3.xx.xx:Income.Insurance.Taxable.Amount
            [CTR183] = CTR:RP:bafpr3.xx.xx:Income.Insurance.FeesAndCharges.Amount
       -->

        <assert  id="VR.ATO.CTR.428091" diagnostics="DVR.ATO.CTR.428091" test="not(count(pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(.,'^(63100)$')]) &gt; 0
                          and(count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ORD.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0))"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428110
        
            IF ([CTR194] = TRUE) AND 
            ([CTR193] <> TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR193] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator
            [CTR194] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        -->

        <assert  id="VR.ATO.CTR.428110" diagnostics="DVR.ATO.CTR.428110" test="not(
                          rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                          and
                          rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]  
                          )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428111
       
            IF ([CTR193] = FALSE) AND ([CTR194] <> FALSE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR193] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator
            [CTR194] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator

        -->

        <assert  id="VR.ATO.CTR.428111" diagnostics="DVR.ATO.CTR.428111" test="not(
                                rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]  
                                and 
                                not(rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')])
                              )"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428115
            
            IF [CTR195] = FALSE AND ([CTR156] > 0) OR ([CTR157] > 0) OR ([CTR158] > 0) OR ([CTR159] > 0) 
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR195] = CTR:RP:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [CTR156] = CTR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        -->

        <assert  id="VR.ATO.CTR.428115" diagnostics="DVR.ATO.CTR.428115" test="not(
                               rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(.,'^(false|0)$')]
                               and
                               (
                                 sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                 or
                                 sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                 or
                                 sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                 or
                                 sum(rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                               )
                            )"></assert>
        <!--
            IF (RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE((TUPLE ELEMENT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
                AND (TUPLE ELEMENT pyde.xx.xx:AddressDetails.Currency.Code = "C"))) = 
                (RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE((TUPLE ELEMENT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                (TUPLE ELEMENT pyde.xx.xx:AddressDetails.Currency.Code = "P")))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428025" diagnostics="DVR.ATO.GEN.428025.CTR" 
                test="not(
                        address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text[upper-case(../pyde.02.00:AddressDetails.Currency.Code)='C' and upper-case(../pyde.02.01:AddressDetails.Usage.Code)='POS']
                        =
                        address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text[upper-case(../pyde.02.00:AddressDetails.Currency.Code)='P' and upper-case(../pyde.02.01:AddressDetails.Usage.Code)='POS'])"/>
        <!--
            Rule ID: VR.ATO.GEN.428046
        
            IF ([CTR207] > 0 ) AND 
            ([CTR57] = NULL) AND 
            ([CTR60] = NULL) AND 
            ([CTR61] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR207] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") IN TUPLE(ctr.0005.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [CTR57] = CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR60] = CTR:RP:bafpr1.xx.xx:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
        -->

        <assert  id="VR.ATO.CTR.428046" diagnostics="DVR.ATO.CTR.428046" test="not(
                               ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DFRW'] &gt; 0  
                               and
                               count(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                             
                               and
                               count(ctr.0005.lodge.req.02.00:TrustDistributionIncome/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                               and
                               count(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )"></assert>
        <!--
            IF (([CTR121] <> NULL) AND ([CTR244] = NULLORBLANK)) OR 
            (([CTR244] <> NULLORBLANK) AND ([CTR121] = NULL))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR121] = CTR:RP.Closing(Instant):bafot.02.12:Miscellaneous.CurrencyTranslation.Rate
            [CTR244] = CTR:RP:bafot.02.14:Miscellaneous.FunctionalCurrency.Code            
        -->

        <assert  id="VR.ATO.CTR.428149" diagnostics="DVR.ATO.CTR.428149" test="
                        not
                        (
                            (
                                count($CTR121)
                                &gt; 0                            
                                and
                                count(bafot.02.14:Miscellaneous.FunctionalCurrency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                            )
                            or
                            (
                                count(bafot.02.14:Miscellaneous.FunctionalCurrency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
                                and
                                count($CTR121)
                                = 0       
                            )
                        )"></assert>
        <!--
            IF ([CTR126] <> NULLORBLANK) AND ([CTR125] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR126] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.ValuationMethod.Code
            [CTR125] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428150" diagnostics="DVR.ATO.CTR.428150" test="not(
                            count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and count(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428151
        
            IF ([CTR126] = NULLORBLANK) AND ([CTR125] >0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR126] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.ValuationMethod.Code
            [CTR125] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428151" diagnostics="DVR.ATO.CTR.428151" test="not(
                          count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                          and 
                          sum(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          )
                        "></assert>
        <!--
            Rule ID: VR.ATO.CTR.428152
            
            IF ([CTR129] < [CTR128])
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR129] = CTR:RPI:bafpo1.xx.xx:Assets.CurrentTotal.Amount
            [CTR128] = CTR:RPI:bafpo1.xx.xx:Assets.TradeandReceivablesOther.Amount
        -->
        <assert id="VR.ATO.CTR.428152" diagnostics="DVR.ATO.CTR.428152" 
                test="not(
                        round(100 * xs:decimal(sum($CTR129)))
                        &lt; 
                        round(100 * xs:decimal(sum($CTR128)))
                        )"/>
        <!--
            Rule ID: VR.ATO.CTR.428153
        
            IF  ([CTR130]<[CTR129])
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR130] = CTR:RPI.Closing:bafpo1.xx.xx:Assets.Total.Amount
            [CTR129] = CTR:RPI.Closing:bafpo1.xx.xx:Assets.CurrentTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428153" diagnostics="DVR.ATO.CTR.428153" 
                test="not(
                            round(100 * xs:decimal(sum($CTR130)))
                            &lt; 
                            round(100 * xs:decimal(sum($CTR129)))
                       )"/>
        <!--
            Rule ID: VR.ATO.CTR.428164
        
            IF (CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount > 0) AND (CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code <> "027")
                RETURN VALIDATION MESSAGE
            ENDIF
                      
        -->

        <assert  id="VR.ATO.CTR.428164" diagnostics="DVR.ATO.CTR.428164" test="not(
                          sum($CTR145) &gt; 0
                          and
                          not($CTR52[matches(.,'^(027)$')])
                          )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428165

            IF ([CTR146] = NULLORBLANK) AND ([CTR145] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR146] = CTR:RP:bafpo1.xx.xx:Assets.LoansAndReceivablesAction.Code
            [CTR145] = CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount
        -->

        <assert  id="VR.ATO.CTR.428165" diagnostics="DVR.ATO.CTR.428165" test="not(
                          not($CTR146[string-length(normalize-space(.)) != 0])  
                          and 
                          $CTR145
                      )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428167
            
            IF ( [CTR151] > 0 AND [CTR152] = NULLORBLANK )
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR151]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [CTR152]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
        -->

        <assert  id="VR.ATO.CTR.428167" diagnostics="DVR.ATO.CTR.428167" test="not(
                            sum($CTR151) &gt; 0
                            and
                            not($CTR152[string-length(normalize-space(.)) != 0])
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428173
            
            IF ([CTR247] <> NULL) AND (([CTR248] = NULL) OR ([CTR249] = NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR247] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount
            [CTR248] = CTR:RP:bafpr1.xx.xx:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
            [CTR249] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCreditedNet.Amount
        -->

        <assert  id="VR.ATO.CTR.428173" diagnostics="DVR.ATO.CTR.428173" test="not(
                            count(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and 
                            (
                             count(bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
                             or
                             count(bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                          )"></assert>

        <!--            
            IF (([CTR249] <> NULL) OR ([CTR247] <> NULL) OR ([CTR248] <> NULL)) AND 
            ([CTR247] >= [CTR248]) AND ([CTR249] <> ([CTR247] - [CTR248]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR247] = CTR:RP:bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount
            [CTR248] = CTR:RP:bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
            [CTR249] = CTR:RP:bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount
        -->
        <assert id="VR.ATO.CTR.428174" diagnostics="DVR.ATO.CTR.428174" 
                test="not(
                            (
                                count(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                                or
                                count(bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                                or
                                count(bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                             )
                             and
                            (
                                round(100 * xs:decimal(sum(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                &gt;= 
                                round(100 * xs:decimal(sum(bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            )
                            and
                            (
                                round(100 * xs:decimal(sum(bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                != 
                                (round(100 * xs:decimal(sum(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                - round(100 * xs:decimal(sum(bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                            )
                          )"/>
        <!--
            Rule ID: VR.ATO.CTR.428175
            
            IF (([CTR247] <> NULL) OR ([CTR248] <> NULL) OR ([CTR249] <> NULL)) AND ([CTR247] < [CTR248]) AND ([CTR249] <> 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR247] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount
            [CTR248] = CTR:RP:bafpr1.xx.xx:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
            [CTR249] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCreditedNet.Amount
        -->
        <assert id="VR.ATO.CTR.428175" diagnostics="DVR.ATO.CTR.428175" 
                test="not(
                            (
                                count(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or 
                                count(bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or
                                count(bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                            )
                            and 
                            ( 
                                round(100 * xs:decimal(sum(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                &lt; 
                                round(100 * xs:decimal(sum(bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            )
                            and 
                            sum(bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                        )"/>
        <!--
            Rule ID: VR.ATO.CTR.428186
        
            IF (([CTR53] = SET(""1"",""2"")) AND ([CTR205] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
            [CTR205] = CTR:RP:rvctc1.xx.xx:IncomeTax.LiabilityInstalmentsTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428186" diagnostics="DVR.ATO.CTR.428186" test="not(count(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(1|2)$')]) &gt; 0
                          and count(rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428216
            
            IF COUNT(((pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND
               (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C") AND
               (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK))
               IN TUPLE xbrli\orgname2.xx.xx:OrganisationNameDetails) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428216" diagnostics="DVR.ATO.CTR.428216" test="
                        not
                        (
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                             and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C'])
                            != 1
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428220

            IF (INT <> NULL)  AND [CTR216] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR216] = CTR:INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03")
            IN TUPLE(pyde.xx.xx:ElectronicContactTelephone)
            
            NOTE 1. This rule has been intentionally implemented in 2 contexts because it needs to be evaluated
            from both the root xbrl context and ElectronicContactTelephone tuple context. 
            If there is no INT:ElectronicContactTelephone tuple, the error message *must* still be returned
            and that's why we've implemented it in the xbrl context.
            
            The rule is also implemented in the tuple context so we can report the correct tuple
            index when multiple ElectronicContactTelephone exist. (Refer to defect 1539).
            
            NOTE 2. The reason for this line:  
            "count(phone1.02.00:ElectronicContactTelephone/*[@contextRef = $INT.ContextId]) = 0"
            is to prevent this rule from firing if an INT:ElectronicContactTelephone tuple exists. If it does, the other VR.ATO.CTR.428220 rule
            will be run and the tuple index will be reported in the location path.
        -->

        <assert  id="VR.ATO.CTR.428220" diagnostics="DVR.ATO.CTR.428220" test="
                        not
                        (
                            count($INT.ContextId) &gt; 0
                            and
                            count(phone1.02.00:ElectronicContactTelephone/*[@contextRef = $INT.ContextId]) = 0
                            and
                            count(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                             and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'])
                            = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428221

            IF COUNT(((pyde.xx.xx:AddressDetails.Usage.Code = "BUS") AND
                   pyde.xx.xx:AddressDetails.Currency.Code = "C") AND
                   (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK))
                   IN TUPLE(address2.xx.xx:AddressDetails)) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428221" diagnostics="DVR.ATO.CTR.428221" test="
                        not
                        (
                            count(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and ../pyde.02.01:AddressDetails.Usage.Code = 'BUS'
                             and ../pyde.02.00:AddressDetails.Currency.Code = 'C'])
                            != 1
                        )"></assert>
        <!--
            IF (CONTEXT(INT) <> NULL) AND [CTR214] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR214] = CTR:INT:pyde.02.00:PersonUnstructuredName.FullName.Text 
                WHERE (pyde.02.05:PersonUnstructuredName.Usage.Code = "Contact") 
                IN TUPLE(prsnunstrcnm1.02.01:PersonUnstructuredName)
        -->

        <assert  id="VR.ATO.CTR.428225" diagnostics="DVR.ATO.CTR.428225" test="prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') 
                                and string-length(normalize-space(.)) != 0 
                                and ../pyde.02.05:PersonUnstructuredName.Usage.Code = 'Contact']
                          or not($INT.ContextId)"></assert>
        <!--
            IF [CTR219] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR219] = CTR:RP:pyde.02.00:PersonNameDetails.FamilyName.Text 
                WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" 
                AND pyde.02.05:PersonNameDetails.Usage.Code = "DeclarationSignatory") 
                IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails)
        -->

        <assert  id="VR.ATO.CTR.428226" diagnostics="DVR.ATO.CTR.428226" test="
                        not
                        (
                            count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL'
                             and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory'])
                            = 0
                        )"></assert>
        <!--
            IF(INT <> NULLORBLANK) AND ([CTR215] = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR215] = CTR:INT:pyde.02.00:ElectronicContact.Telephone.Area.Code 
                WHERE (pyde.02.00:ElectronicContact.Telephone.Usage.Code = "03") 
                IN TUPLE(phone1.02.00:ElectronicContactTelephone)
        -->

        <assert  id="VR.ATO.CTR.428235" diagnostics="DVR.ATO.CTR.428235" test="
                        not
                        (
                            count($INT.ContextId) &gt; 0
                            and
                            count(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Area.Code
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'])
                            = 0
                        )"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428268
            
            IF (COUNT(pyde:OrganisationNameDetails.OrganisationalNameType.Code = "MN") > 4) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428268" diagnostics="DVR.ATO.CTR.428268" test="not(count(//pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and upper-case(.)='MN' and not(@i:nil='true' or @i:nil='1')] )  &gt; 4)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428290
            
            IF (IN TUPLE(ctr.lodge.req.xx.xx:UltimateHoldingCompany) 
                OR IN TUPLE(ctr.lodge.req.xx.xx:ImmediateHoldingCompany)) 
                AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> ""C"")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428290" diagnostics="DVR.ATO.CTR.428290" test="not(count(ctr.0005.lodge.req.02.00:ImmediateHoldingCompany/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.Currency.Code[upper-case(.)!='C']) &gt; 0
                          or count(ctr.0005.lodge.req.02.00:UltimateHoldingCompany/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.Currency.Code[upper-case(.)!='C']) &gt; 0)"></assert>
        <!--
            IF [CTR309] > 0 AND( [CTR308] = 0 OR [CTR308] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR309] = CTR:RP:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
            [CTR308] = CTR:RP:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount
        -->

        <assert  id="VR.ATO.CTR.428327" diagnostics="DVR.ATO.CTR.428327" test="not(
                            sum($CTR309) &gt; 0
                            and
                            (
                            sum($CTR308)=0
                            or
                            not($CTR308)
                            )
                        )"></assert>
        <!--
            IF COUNT (TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.432040" diagnostics="DVR.ATO.GEN.432040" test="not(count(fininstacc1.02.00:FinancialInstitutionAccount) &gt; 1)"></assert>
        <!-- 
            IF (RP:rvctc1.xx.xx:IncomeTax.PayableOrRefundableTotal.Amount < 0) AND
            COUNT TUPLE (fininstacc1.xx.xx:FinancialInstitutionAccount) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.432268" diagnostics="DVR.ATO.GEN.432268.CTR" test="not(
                        sum($CTR360) &lt; 0
                        and
                        count(fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]) != 1
                    )"></assert>
        <!--
            IF([CTR253] = TRUE) AND 
            (([CTR252] = NULL) OR ([CTR252] = 0)) AND 
            (([CTR254] = NULL) OR ([CTR254] = 0)) AND 
            (([CTR255] = NULL) OR ([CTR255] = 0)) AND 
            (([CTR256] = NULL) OR ([CTR256] = 0)) AND
            
            (([CTR310] = NULL) OR ([CTR310] = 0)) AND
            (([CTR311] = NULL) OR ([CTR311] = 0)) AND
            
            (([CTR260] = NULL) OR ([CTR260] = 0)) AND 
            (([CTR290] = NULL) OR ([CTR290] = 0))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR253] = CTR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR254] = CTR:RP.TOFA:Expense.Total.Amount
            [CTR255] = CTR:RP.TOFA:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:Expense.DeductibleOther.Amount
            [CTR310] = CTR:RP.TOFA:Income.GainsTotal.Amount
            [CTR311] = CTR:RP.TOFA:Expense.LossesTotal.Amount
            [CTR260] = CTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [CTR290] = CTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount            
        -->

        <assert  id="VR.ATO.CTR.428055" diagnostics="DVR.ATO.CTR.428055" test="not(
                        $CTR253[matches(.,'^(true|1)$')]
                        and
                        (
                            not($CTR252)
                            or
                            sum($CTR252) = 0
                        )	
                        and
                        (	
                            not($CTR254)
                            or
                            sum($CTR254) = 0
                        )	
                        and
                        (	
                            not($CTR255)
                            or
                            sum($CTR255) = 0
                        )	
                        and
                        (	
                            not($CTR256)
                            or
                            sum($CTR256) = 0
                        )
                        and
                        (	
                            not($CTR310)
                            or
                            sum($CTR310) = 0
                        )	
                        and
                        (	
                            not($CTR311)
                            or
                            sum($CTR311) = 0
                        )	                        
                        and
                        (	
                            not($CTR260)
                            or
                            sum($CTR260) = 0
                        )	
                        and
                        (
                            not($CTR290)
                            or
                            sum($CTR290) = 0
                        )	
                      )"></assert>
        <!--
            IF ([CTR253] <> TRUE) AND 
            (([CTR252] > 0) OR ([CTR254] > 0) OR 
            ([CTR255] > 0) OR ([CTR256] > 0) OR 
            ([CTR310] > 0) OR ([CTR311] > 0) OR 
            (([CTR260] <> 0) AND ([CTR260] <> NULL)) OR 
            ([CTR290] > 0))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR253] = CTR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR254] = CTR:RP.TOFA:Expense.Total.Amount
            [CTR255] = CTR:RP.TOFA:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:Expense.DeductibleOther.Amount
            [CTR310] = CTR:RP.TOFA:Income.GainsTotal.Amount
            [CTR311] = CTR:RP.TOFA:Expense.LossesTotal.Amount
            [CTR260] = CTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [CTR290] = CTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
        -->

        <assert  id="VR.ATO.CTR.428056" diagnostics="DVR.ATO.CTR.428056" test="not(
                        not($CTR253[matches(.,'^(true|1)$')])
                        and
                        (
                          sum($CTR252) &gt; 0
                          or	
                          sum($CTR254) &gt; 0
                          or
                          sum($CTR255) &gt; 0
                          or
                          sum($CTR256) &gt; 0
                          or
                          sum($CTR310) &gt; 0
                          or
                          sum($CTR311) &gt; 0
                          or
                          (
                            sum($CTR260) != 0
                          )
                          or
                          sum($CTR290) &gt; 0
                        )
                      )"></assert>
        <!--    
             IF [CTR323] < [CTR322] AND ([CTR324] <> ([CTR322] - [CTR323]))
             RETURN VALIDATION MESSAGE
             ENDIF

             [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
             [CTR323] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount
             [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
         -->
        <assert id="VR.ATO.CTR.428337" diagnostics="DVR.ATO.CTR.428337" 
                test="not(          
                        round(xs:decimal(sum($CTR323)) * 100) &lt; round(xs:decimal(sum($CTR322)) * 100) 
                        and 
                        round(xs:decimal(sum($CTR324)) * 100) != (round(xs:decimal(sum(($CTR322))) * 100) - round(xs:decimal(sum($CTR323) * 100)))
                      )"/>
        <!--
             IF ([CTR327] >= [CTR199]) AND ([CTR322] <> 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR199] = CTR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
            [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
            [CTR327] = CTR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount

        -->

        <assert  id="VR.ATO.CTR.428335" diagnostics="DVR.ATO.CTR.428335" test="not(          
                           (
                            sum($CTR327) 
                            &gt;= 
                            sum($CTR199)
                            )
                            and
                            (
                            sum($CTR322) != 0
                            )
                    )"></assert>
        <!--
        IF [CTR322] = 0 AND [CTR203] <> 0
        RETURN VALIDATION MESSAGE
        ENDIF

        [CTR203] = CTR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
        [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
        
        -->

        <assert  id="VR.ATO.CTR.428402" diagnostics="DVR.ATO.CTR.428402" test="not(
                        sum($CTR322) = 0
                        and
                        sum($CTR203)!=0
                      )"></assert>
        <!--
            IF [CTR210] > [CTR316]
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR210] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
            [CTR316] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
         -->
        <assert id="VR.ATO.CTR.428356" diagnostics="DVR.ATO.CTR.428356" 
                test="not(   
                        round(100 * xs:decimal(sum($CTR210)))
                        &gt;  
                        round(100 * xs:decimal(sum($CTR316)))
                    )"/>
        <!--

            IF ([CTR202] < [CTR325]) AND ([CTR203] <> ([CTR325] - [CTR202]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR202] = CTR:RP.Y0-1:gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount
            [CTR203] = CTR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428344" diagnostics="DVR.ATO.CTR.428344" 
                test="not(
                            round(100 * xs:decimal(sum($CTR202))) &lt; round(100 * xs:decimal(sum($CTR325)))
                            and( 
                             round(100 * xs:decimal(sum($CTR203)))
                             !=
                             round(100 * xs:decimal(sum($CTR325))) - round(100 * xs:decimal(sum($CTR202)))
                            )
                    )"/>
        <!--
            Rule ID: VR.ATO.GEN.428204
            
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") > 2)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428204" diagnostics="DVR.ATO.GEN.428204" test="not(count( address2.02.02:AddressDetails[upper-case(pyde.02.01:AddressDetails.Usage.Code)='POS']) &gt; 2)"></assert>
        <!--
            WHERE IN TUPLE (xbrli\personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "Contact"
               RETURN VALIDATION MESSAGE
            ENDIF
  
         -->

        <assert  id="VR.ATO.GEN.432391" diagnostics="DVR.ATO.GEN.432391" test="not(
                        prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') and
                        @contextRef = $INT.ContextId and 
                        upper-case(.) != 'CONTACT']
                        )"></assert>
        <!--      
            IF ([CTR55] <> NULL) AND (([CTR55] < "1995") OR ([CTR55] > [CTR2]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR2] = CTR:RP:pyin.02.00:Report.TargetFinancial.Year
            [CTR55] = CTR:RP:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year       
        -->

        <assert  id="VR.ATO.CTR.430013" diagnostics="DVR.ATO.CTR.430013" test="not(
                            $CTR55 and ((number($CTR55) &lt; 1995) or (number($CTR55) &gt; number($CTR2)))
                        )"></assert>
        <!-- 
            IF [CTR300] <> NULL AND [CTR300] > ([CTR328] + [CTR353])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR300] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount
            [CTR328] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
            [CTR353] = CTR:RP.YPrevious:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        -->

        <assert id="VR.ATO.CTR.430025" diagnostics="DVR.ATO.CTR.430025" 
                test="not(
                            $CTR300
                            and 
                            round(100 * xs:decimal(sum($CTR300)))
                            &gt; 
                            round(100 * xs:decimal(sum($CTR328|$CTR353)))
                        )"/>
        <!--
                IF ([CTR177] = TRUE) 
                    AND (
                         (      [CTR346] = NULL)
                            OR ([CTR347] = NULL) 
                            OR ([CTR348] = NULL) 
                            OR ([CTR349] = NULL)
                         )
              RETURN VALIDATION MESSAGE
            ENDIF              
            
            
            [CTR177] = RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator 
            [CTR346] = RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
            [CTR347] = RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount
            [CTR348] = RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
            [CTR349] = RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
        -->

        <assert  id="VR.ATO.GEN.438010" diagnostics="DVR.ATO.GEN.438010" test="not(
                            ($CTR177[matches(.,'^(true|1)$')]) 
                            and 
                            (
                                (not($CTR346))
                             or (not($CTR347))  
                             or (not($CTR348))
                             or (not($CTR349))
                            )
                         )"></assert>
        <!--
        IF [CTR330] <> NULL AND [CTR330] = ANY OTHER OCCURRENCE OF [CTR330]
        RETURN VALIDATION MESSAGE
        ENDIF
        [CTR330] = CTR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
    -->
        <assert id="VR.ATO.CTR.430029" diagnostics="DVR.ATO.CTR.430029"
                test="not(
                $CTR330
                and 
                rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
                    [text() = preceding-sibling::rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code/text()])"/>

        <!--
        IF [CTR354] <> NULL AND [CTR354] > [CTR95]
        RETURN VALIDATION MESSAGE
        ENDIF

        [CTR95] = CTR:RP:bafpr1.02.02:Income.AssessableOther.Amount
        [CTR354] = CTR:RP:bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount
    -->
        <assert  id="VR.ATO.CTR.430043" diagnostics="DVR.ATO.CTR.430043" test="not(
                        $CTR354 and
                        round(100 * xs:decimal(sum($CTR354))) &gt;
                        round(100 * xs:decimal(sum($CTR95)))
                     )"></assert>
        <!--
            IF ([CTR345] <> NULL) 
             AND (
                    (
                        [CTR345] > 
                        ((
                            (([CTR342] - [CTR355]) * COMPANY TAX RATE) +1
                        ) + 
                    
                        (
                            (([CTR356] + [CTR357] - [CTR358]) * COMPANY TAX RATE) +1
                        ))
                    )
                    OR ([CTR51] = "Resident" AND ([CTR345] > [CTR139])) 
                    OR ([CTR345] > ([CTR359] + [CTR344]))
                    OR ([CTR345] > (QUANTITATIVE CAP * COMPANY TAX RATE))
                )
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR51] = CTR:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
            [CTR139] = CTR:RP:bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount
            [CTR342] = CTR:RP.YMiddle:rvctc3.02.00:Tax.Losses.Total.Amount
            [CTR344] = CTR:RP.MiddleYear:rvctc1.02.00:IncomeTax.Liability.Amount
            [CTR345] = CTR:RP:rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount
            [CTR355] = CTR:RP.MiddleYear:bafpr1.02.13:Income.ExemptNet.Amount
            [CTR356] = CTR:RP.YEarliestFromMiddle:rvctc3.02.00:Tax.Losses.Total.Amount
            [CTR357] = CTR:RP.YEarliestFromCurrent:rvctc3.02.00:Tax.Losses.Total.Amount
            [CTR358] = CTR:RP.EarliestYear:bafpr1.02.13:Income.ExemptNet.Amount
            [CTR359] = CTR:RP.EarliestYear:rvctc1.02.00:IncomeTax.Liability.Amount
        -->
        <assert id="VR.ATO.CTR.430044" diagnostics="DVR.ATO.CTR.430044" 
                test="not( $CTR345
                           and (
                                   round(100 * xs:decimal(sum($CTR345))) &gt; 
                                   round( 
                                       100 * (
                                                  (
                                                     ( xs:decimal(sum(($CTR342))) - xs:decimal(sum($CTR355))
                                                      )* 0.30 + 1
                                                  )
                                                  +
                                                  (
                                                     ( xs:decimal(sum(($CTR356))) +  xs:decimal(sum(($CTR357))) - xs:decimal(sum($CTR358))
                                                     )* 0.30 + 1
                                                  )
                                               )
                                          )
                                       
                                or   
                                (
                                   lower-case(normalize-space($CTR51)) = 'resident' 
                                   and
                                   (  
                                       round(100 * xs:decimal(sum($CTR345))) &gt; 
                                       round(100 * xs:decimal(sum($CTR139)))
                                   )
                              )
                            or
                             (
                                 round(100 * xs:decimal(sum($CTR345))) &gt; 
                                 round(100 * (xs:decimal(sum(($CTR359))) + xs:decimal(sum($CTR344)))
                                       )
                             )
                          or
                             (      round(100 * xs:decimal(sum($CTR345))) 
                                   &gt; (100 * 1000000 * 0.30)
                             )   
                     )
                 )"/>


      
      <!--
      
      IF [CTR345] > 0 
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR345] = CTR:RP:rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount

      -->
      
      <assert id="VR.ATO.CTR.430070" diagnostics="DVR.ATO.CTR.430070" 
               test="not(
                        sum($CTR345) &gt; 0
                        )" />
 


    </rule>

    <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410205" diagnostics="DVR.ATO.GEN.410205" test="not(
                            matches(.,'^(AS ABOVE )(.*)$','i') or
                            matches(.,'^(.*)( AS ABOVE )(.*)$','i') or
                            matches(.,'^(.*)( AS ABOVE)$','i') or
                            matches(.,'^(AS ABOVE)$','i')
                        )"></assert>
        <!-- 
            IF (pyde.02.00:AddressDetails.Line1.Text <> NULLORBLANK) 
            AND (pyde.02.00:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000405" diagnostics="DVR.ATO.GEN.000405" test="not(
                            contains(upper-case(.), 'UNKNOWN')
                        )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.03:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
        
             IF ([CTR52] = SET(""054"",""174"")) AND (([CTR51] <> NULLORBLANK) OR ([CTR54] <> NULLORBLANK) OR ([CTR49] <> ""62400""))
                 RETURN VALIDATION MESSAGE
              ENDIF

              [CTR49] = CTR:RP:pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code
              [CTR51] = CTR:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
              [CTR52] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
              [CTR54] = CTR:RP:pyde.02.11:OrganisationDetails.ActivityEvent.Code

        -->

        <assert  id="VR.ATO.CTR.428026" diagnostics="DVR.ATO.CTR.428026" test="
                        not
                        (
                            self::node()[@contextRef = $RP.ContextId and (. = '054' or . = '174')] 
                            and
                            (	
                                ../pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                ../pyde.02.11:OrganisationDetails.ActivityEvent.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                ../pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and (. != '62400')]
                            )	
                        )"></assert>
        <!--
            IF ([CTR52] <> SET("054","174")) AND ([CTR51] = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR51] = CTR:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
            [CTR52] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
        -->

        <assert  id="VR.ATO.CTR.428030" diagnostics="DVR.ATO.CTR.428030" test="not(
                            self::node()[@contextRef = $RP.ContextId and not(matches(.,'^(054|174)$'))] 
                            and
                            (	
                                count(../pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                            )	
                        )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule Id: VR.ATO.CTR.428064
            
            IF ([CTR91] > 0) AND ([CTR89] <> TRUE)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR91] = CTR:RP:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CTR89] = CTR:RP:rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
        -->

        <assert  id="VR.ATO.CTR.428064" diagnostics="DVR.ATO.CTR.428064" test="not(number(self::node()[@contextRef = $RP.ContextId]) &gt; 0
                          and count(../rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]) = 0)"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428105

            IF ([CTR204] <> NULL) AND ([CTR204] > [CTR199])
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR204] = CTR:RP:rvctc4.xx.xx:InternationalDealings.AAMInterestSection102.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428105" diagnostics="DVR.ATO.CTR.428105" test="not
                          (
                            self::node()[@contextRef = $RP.ContextId]  
                            and 
                            round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) 
                            &gt; 
                            round(100 * xs:decimal(sum(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">


        <let name="And1" value="1 and (
                    round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) &gt; (100 * 49999)
                    and
                    round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) &lt; (100 * 150000)
                  )" />
        <!--
      
            IF ([CTR49] = "62230") AND 
            (([CTR120] > 49999) AND ([CTR120] < 150000)) AND 
            ([CTR199] <>(([CTR120] - 49999) * 0.45) +/- 1) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR49] = CTR:RP:pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
            [CTR199] = CTR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
         
        -->
        <let name="And2" value="1 and
                  (
                  round(100 * xs:decimal(sum(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                  &gt;
                  ((round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) - (100 * 49999)) * 0.45) + (100 * 1)
                   )" />
        <let name="Or1" value="1 and  (
                  round(100 * xs:decimal(sum(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                  &lt;
                  ((round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) - (100 * 49999)) * 0.45) - (100 * 1)
                   )   " />

        <!--
            Rule ID: VR.ATO.CTR.428044
            
            IF  ([CTR120] <> 
                ( ([CTR57]+[CTR58]+[CTR59]+[CTR60]+[CTR61]+[CTR63]+
                    [CTR64]+[CTR65]+[CTR66]+
                    [CTR67]+[CTR68]+[CTR70]+[CTR252]+[CTR71])
                    -
                    ([CTR72]+[CTR73]+[CTR74]+[CTR75]+[CTR76]+[CTR77]+
                    [CTR78]+[CTR79]+[CTR80]+[CTR81]+[CTR82]+[CTR83]+
                    [CTR84]+[CTR85]+[CTR86]+[CTR87]+[CTR254]+[CTR88])  
                + 
                    ([CTR91]+[CTR92]+[CTR93]+[CTR94]+[CTR255]+[CTR95]+
                    [CTR96]+[CTR97])
                - 
                    ([CTR98]+[CTR99]+[CTR100]+[CTR101]+ 
                    [CTR102]+[CTR103]+[CTR104]+[CTR111]+[CTR112]+[CTR113]+     
                    [CTR114]+[CTR115]+[CTR256]+[CTR116]+[CTR117]+   
                    [CTR118]) 
                ))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            

            [CTR57] = CTR:RP:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR58] = CTR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR59] = CTR:RP:bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount
            [CTR60] = CTR:RP:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.02.02:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0005.lodge.req.02.00:TrustDistributionIncome)
            [CTR63] = CTR:RP:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
            [CTR64] = CTR:RP:bafpr2.02.02:Income.Interest.Gross.Amount
            [CTR65] = CTR:RP:bafpr1.02.02:Income.RentLeasingHiringGross.Amount
            [CTR66] = CTR:RP:bafpr1.02.05:Income.DividendsTotal.Amount
            [CTR67] = CTR:RP:lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount
            [CTR68] = CTR:RP:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [CTR70] = CTR:RP:bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount
            [CTR71] = CTR:RP:bafpr1.02.02:Income.OtherGross.Amount
            [CTR72] = CTR:RP:bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
            [CTR73] = CTR:RP:bafpr2.02.00:Expense.Operating.CostOfSales.Amount
            [CTR74] = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount
            [CTR75] = CTR:RP:emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
            [CTR76] = CTR:RP:bafpr2.02.00:Expense.Operating.BadDebts.Amount
            [CTR77] = CTR:RP.JAUS:bafpr2.02.00:Expense.Operating.Lease.Amount
            [CTR78] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.Lease.Amount
            [CTR79] = CTR:RP:bafpr2.02.00:Expense.Operating.Rent.Amount
            [CTR80] = CTR:RP.JAUS:bafpr2.02.02:Expense.Operating.Interest.Amount
            [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.02:Expense.Operating.Interest.Amount
            [CTR82] = CTR:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [CTR83] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [CTR84] = CTR:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [CTR85] = CTR:RP:bafpr2.02.00:Expense.Operating.MotorVehicle.Amount
            [CTR86] = CTR:RP:bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount
            [CTR87] = CTR:RP:bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount
            [CTR88] = CTR:RP:bafpr1.02.00:Expense.Other.Amount
            [CTR91] = CTR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [CTR92] = CTR:RP:bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount
            [CTR93] = CTR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
            [CTR94] = CTR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [CTR95] = CTR:RP:bafpr1.02.02:Income.AssessableOther.Amount
            [CTR96] = CTR:RP:bafpr1.02.02:Expense.NonDeductible.Amount
            [CTR97] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR98] = CTR:RP:bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount
            [CTR99] = CTR:RP:bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount
            [CTR100] = CTR:RP:bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            [CTR101] = CTR:RP:bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount
            [CTR102] = CTR:RP:bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount
            [CTR103] = CTR:RP:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
            [CTR104] = CTR:RP:bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
            [CTR111] = CTR:RP.Y0:gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount
            [CTR112] = CTR:RP:bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount
            [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [CTR114] = CTR:RP:bafpr1.02.02:Income.Exempt.Amount
            [CTR115] = CTR:RP:bafpr1.02.02:Income.NotincludedInAssessableOther.Amount
            [CTR116] = CTR:RP:bafpr1.02.04:Expense.DeductibleOther.Amount
            [CTR117] = CTR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [CTR118] = CTR:RP:rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount
            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
            [CTR252] = CTR:RP.TOFA:bafpr1.02.04:Income.Total.Amount
            [CTR254] = CTR:RP.TOFA:bafpr1.02.16:Expense.Total.Amount
            [CTR255] = CTR:RP.TOFA:bafpr1.02.04:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:bafpr1.02.04:Expense.DeductibleOther.Amount
        -->
        <let name="VR_ATO_CTR_428044_POS_SET_A" value="xs:decimal(sum($CTR57  
                                            |$CTR58 
                                            |$CTR59
                                            |$CTR60
                                            |$CTR63
                                            |$CTR64
                                            |$CTR65
                                            |$CTR66
                                            |$CTR67
                                            |$CTR68
                                            |$CTR70
                                            |$CTR252
                                            |$CTR71
                                            |$CTR61))" />
        <let name="VR_ATO_CTR_428044_NEG_SET_A" value="xs:decimal(sum($CTR72 
                                            |$CTR73
                                            |$CTR74
                                            |$CTR75
                                            |$CTR76
                                            |$CTR77
                                            |$CTR78
                                            |$CTR79
                                            |$CTR80
                                            |$CTR81
                                            |$CTR82
                                            |$CTR83
                                            |$CTR84
                                            |$CTR85
                                            |$CTR86
                                            |$CTR87
                                            |$CTR254  
                                            |$CTR88 ))" />
        <let name="VR_ATO_CTR_428044_POS_SET_B" value=" xs:decimal(sum($CTR91
                                            |$CTR92
                                            |$CTR93
                                            |$CTR94
                                            |$CTR255
                                            |$CTR95
                                            |$CTR96
                                            |$CTR97))" />
        <let name="VR_ATO_CTR_428044_NEG_SET_B" value="xs:decimal(sum($CTR98
                                            |$CTR99
                                            |$CTR100
                                            |$CTR101
                                            |$CTR102
                                            |$CTR103
                                            |$CTR104
                                            |$CTR111
                                            |$CTR112
                                            |$CTR113
                                            |$CTR114
                                            |$CTR115
                                            |$CTR256
                                            |$CTR116
                                            |$CTR117
                                            |$CTR118))" />

        <assert id="VR.ATO.CTR.428044" diagnostics="DVR.ATO.CTR.428044" 
                test="not(
                        round(xs:decimal(100 * self::node()[@contextRef = $RP.ContextId]))
                        !=
                        round(100 * xs:decimal($VR_ATO_CTR_428044_POS_SET_A))
                        -
                        round(100 * xs:decimal($VR_ATO_CTR_428044_NEG_SET_A))
                        +
                        round(100 * xs:decimal($VR_ATO_CTR_428044_POS_SET_B))
                        -
                        round(100 * xs:decimal($VR_ATO_CTR_428044_NEG_SET_B))
                        )"/>



        <assert id="VR.ATO.CTR.428139" diagnostics="DVR.ATO.CTR.428139" 
                test="not(
                    ../pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '62230'
                  and
                  (
                    round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) &gt; (100 * 49999)
                    and
                    round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) &lt; (100 * 150000)
                  )
                  and
                  (
                      (
                      round(100 * xs:decimal(sum(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      &gt;
                      ((round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) - (100 * 49999)) * 0.45) + (100 * 1)
                       )
                       or
                      (
                      round(100 * xs:decimal(sum(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      &lt;
                      ((round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))) - (100 * 49999)) * 0.45) - (100 * 1)
                       )                   
                  ))"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428052
            Note: This rule is correct as reflected in CR 299 
        
            IF ([CTR69] <> NULL) AND (([CTR68] <= 0) OR ([CTR68] = NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR69] = CTR:RP:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator
            [CTR68] = CTR:RP:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->

        <assert  id="VR.ATO.CTR.428052" diagnostics="DVR.ATO.CTR.428052" test="not(
                                @contextRef = $RP.ContextId 
                                and
                                    (count(../gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                                or 
                                    sum(../gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt;= 0))"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428014
            
            IF ([CTR3] = 11110047)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR3] = CTR:INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier
        -->

        <assert  id="VR.ATO.CTR.428014" diagnostics="DVR.ATO.CTR.428014" test="
                        not
                        (
                            self::node()[@contextRef = $INT.ContextId and . = '11110047']
                        )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428188

            IF ([CTR120] > 0) AND ([CTR199] > (([CTR120]* 0.55) +1))
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->
        <assert id="VR.ATO.CTR.428188" diagnostics="DVR.ATO.CTR.428188" 
                test="not(
                            sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              and
                              (	
                                round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId ])))
                                &gt; 
                               (round(100 * xs:decimal(sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) * 0.55) + (100 * 1)
                              )	
                        )"/>
        <!--
            IF ([CTR49] = "62230") AND 
            ((([CTR120] > 0) AND ([CTR120] < 50000) OR 
            ([CTR120] > 149999)) AND 
            ([CTR199] <> (([CTR120] * 0.30) +/- 1) ) )
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR49] = CTR:RP:pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
            [CTR199] = CTR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
        -->

        <assert id="VR.ATO.CTR.428138" diagnostics="DVR.ATO.CTR.428138" 
                test="not(
                            ../pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(.,'^(62230)$')]                    
                         and
                         (	
                            (
                                sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                and
                                round(100 * xs:decimal(sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &lt; (100 * 50000)
                            )
                            or
                            (
                                round(100 * xs:decimal(sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; (100 * 149999)
                            )    
                        )
                         and
                        (
                            (
                                round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId])))
                                &gt;
                                (round(100 * xs:decimal(sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))  * 0.30) + (100 * 1)
                            ) 
                            or
                            (
                                round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId])))
                                &lt;
                                (round(100 * xs:decimal(sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))  * 0.30) - (100 * 1)
                            ) 
                        )
                    )"/>
        <!--
            Rule ID: VR.ATO.CTR.428140
            
            IF ([CTR199] < (([CTR120] * 0.15) - 1)) AND (CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code = "163")
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
        -->

        <assert id="VR.ATO.CTR.428140" diagnostics="DVR.ATO.CTR.428140" 
                test="not(
                        round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId])))
                        &lt;
                        ((round(100 * xs:decimal(sum(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.15)) - (100 * 1))	
                        and ../pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] = '163'
                    )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID:  VR.ATO.CTR.428122
            
            IF [CTR84] < ([CTR168] + [CTR169])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR84] = CTR:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [CTR168] = CTR:RP.LowCost:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
            [CTR169] = CTR:RP.GeneralPool:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount          
         -->

        <assert id="VR.ATO.CTR.428122" diagnostics="DVR.ATO.CTR.428122" 
                test="not(
                          round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId])))
                          &lt; 
                          round(100 * xs:decimal(sum($CTR168 | $CTR169)))
                )"/>
        <!--
           
            IF ([CTR84] > ([CTR97] + [CTR96])) AND ([CTR168] = NULL) AND ([CTR169] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR84] = CTR:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [CTR96] = CTR:RP:bafpr1.02.02:Expense.NonDeductible.Amount
            [CTR97] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR168] = CTR:RP.LowCost:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
            [CTR169] = CTR:RP.GeneralPool:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount            
            
        -->

        <assert id="VR.ATO.CTR.428062" diagnostics="DVR.ATO.CTR.428062" 
                test="not(
                              round(100 * xs:decimal(sum($CTR84)))
                              &gt;
                              round(100 * xs:decimal(sum($CTR97|$CTR96)))
                              and
                              count($CTR168) = 0
                              and 
                              count($CTR169) = 0
                    )"/>
        <!--
            
            IF ([CTR84] > 0) AND (([CTR96] = NULL) OR ([CTR96] = 0)) AND (([CTR97] = NULL) OR ([CTR97] = 0)) AND ([CTR168] = NULL) AND ([CTR169] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR84] = CTR:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [CTR96] = CTR:RP:bafpr1.02.02:Expense.NonDeductible.Amount
            [CTR97] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR168] = CTR:RP.LowCost:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
            [CTR169] = CTR:RP.GeneralPool:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount            
            
        -->

        <assert  id="VR.ATO.CTR.428063" diagnostics="DVR.ATO.CTR.428063" test="not(
                        sum(self::node()[@contextRef = $RP.ContextId ]) &gt; 0
                        and
                        (
                            count($CTR96) =0
                            or sum($CTR96)=0
                        )
                        and
                        (
                            count($CTR97) =0
                            or sum($CTR97)=0
                        )
                        and (count($CTR168) =0)
                        and (count($CTR169) =0)
                        )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428169
        
            IF [CTR201] > ([CTR154] + [CTR156] + [CTR157] + [CTR158] + [CTR159])
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR201] = CTR:RP:Income.InternationalDealings.TaxOffset.Amount
            [CTR154] = CTR:RP:Income.InternationalDealings.Net.Amount
            [CTR156] = CTR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        -->

        <assert id="VR.ATO.CTR.428169" diagnostics="DVR.ATO.CTR.428169" 
                test="not(
                                round(100 * xs:decimal(sum(self::node()[@contextRef = $RP.ContextId]))  )                  
                                &gt;
                                round(100 * xs:decimal(sum(../bafpr3.02.14:Income.InternationalDealings.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |../rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))                                
                       )"/>
        <!--
            Rule ID: VR.ATO.CTR.428170
        
            IF [CTR201] > 0 AND
            ([CTR154] = NULL) AND
            ([CTR156] = NULL) AND
            ([CTR157] = NULL) AND
            ([CTR158] = NULL) AND
            ([CTR159] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR201] = CTR:RP:Income.InternationalDealings.TaxOffset.Amount
            [CTR154] = CTR:RP:Income.InternationalDealings.Net.Amount
            [CTR156] = CTR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        -->

        <assert  id="VR.ATO.CTR.428170" diagnostics="DVR.ATO.CTR.428170" test="not(
                          sum(self::node()[@contextRef = $RP.ContextId]) &gt; 0
                          and count(../bafpr3.02.14:Income.InternationalDealings.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0  
                          )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[not(@i:nil='true' or @i:nil='1')]">



    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount[not(@i:nil='true' or @i:nil='1')  and string-length(normalize-space(.)) != 0]">

        <!--
            Rule ID: VR.ATO.CTR.428155
            
            IF
                ( [CTR131]  <>  NULLORBLANK   AND [CTR132]   <  [CTR131] )
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR131]  = CTR:$RPI.Closing.ContextId:bafpo1.xx.xx:Liabilities.NonCurrentTradeAndOtherPayables.Amount
            [CTR132]  = CTR:$RPI.Closing.ContextId:bafpo1.xx.xx:Liabilities.CurrentTotal.Amount

         -->

        <assert id="VR.ATO.CTR.428155" diagnostics="DVR.ATO.CTR.428155" 
                test="not(
                            @contextRef = $RPI.Closing.ContextId 
                            and
                            (
                                round(100 * xs:decimal(sum(../bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                &lt; 
                                round(100 * xs:decimal(sum(self::node()[@contextRef = $RPI.Closing.ContextId])))
                            )
                        )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428156
            
            IF ([CTR132] <> NULL) AND ([CTR133] < [CTR132])
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR132] = CTR:RPI:bafpo1.xx.xx:Liabilities.CurrentTotal.Amount
            [CTR133] = CTR:RPI:bafpo1.xx.xx:Liabilities.Total.Amount
        -->

        <assert id="VR.ATO.CTR.428156" diagnostics="DVR.ATO.CTR.428156" 
                test="not(
                           @contextRef = $RPI.Closing.ContextId
                           and
                            (
                                round(100 * xs:decimal(sum(../bafpo1.02.13:Liabilities.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                &lt; 
                                round(100 * xs:decimal(sum(self::node()[@contextRef = $RPI.Closing.ContextId])))
                            )
                        )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Assets.LoansAndReceivablesAction.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
            Rule ID: VR.ATO.CTR.428166
        
            IF ([CTR146] <> NULLORBLANK) AND ([CTR145] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR146] = CTR:RP:bafpo1.xx.xx:Assets.LoansAndReceivablesAction.Code
            [CTR145] = CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount
        -->

        <assert  id="VR.ATO.CTR.428166" diagnostics="DVR.ATO.CTR.428166" test="not(
                          @contextRef = $RP.ContextId 
                          and 
                          count(../bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalariesAction.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
            IF ([CTR152] <> NULLORBLANK) AND ([CTR151] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR152]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
            [CTR151]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428168" diagnostics="DVR.ATO.CTR.428168" test="not
                        (
                            @contextRef = $RP.ContextId 
                            and
                            count(../lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF ([CTR14] <> NULLORBLANK) AND ([CTR13] <> NULLBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR14] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier
            [CTR13] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier
        -->

        <assert  id="VR.ATO.CTR.428021" diagnostics="DVR.ATO.CTR.428021" test="not(
                        @contextRef = $RP.Y0-1.ContextId
                        and
                        count(../pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                          &gt; 0
                      )"></assert>
        <!--
          IF (pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier <> NULLORBLANK) AND (ACNALGORITHM(pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
          ENDIF
        
<assert id="VR.ATO.GEN.428021" diagnostics="DVR.ATO.GEN.428021"
                test="@contextRef != $RP.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or function:ValidateACN(.)"/>-->

        <assert  id="VR.ATO.GEN.428021" diagnostics="DVR.ATO.GEN.428021" test="not(
                        string-length(normalize-space(.)) != 0 
                        and 
                        @contextRef = $RP.Y0-1.ContextId 
                        and 
                        not(function:ValidateACN(.))
                      )"></assert>
    </rule>

    <rule context="bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428185
        
            IF ([CTR206] <> NULL) AND ([CTR206] < 0.50)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR206] = CTR:RP:bafpr2.xx.xx:Income.Interest.EarlyPaymentCredit.Amount
        -->

        <assert  id="VR.ATO.CTR.428185" diagnostics="DVR.ATO.CTR.428185" test="not(
                            @contextRef = $RP.ContextId  and round(100 * xs:decimal(sum(.))) &lt; (100 * 0.50)
                            
                        )"></assert>
    </rule>

    <rule context="xbrli:xbrl/ctr.0005.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428024 
        
            IF ([CTR47] <> NULLORBLANK) AND ([CTR46] = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [CTR47] = CTR:RP:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(ctr.0005.lodge.req.xx.xx::ImmediateHoldingCompany)
            [CTR46] = CTR:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
            ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
            IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)
            IN TUPLE(ctr.0005.lodge.req.xx.xx::ImmediateHoldingCompany)
        -->

        <assert  id="VR.ATO.CTR.428024" diagnostics="DVR.ATO.CTR.428024" test="
                  (
                    pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    and
                      (
                      orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                      pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN' 
                      and
                      orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                      pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C'
                      and
                      orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                      pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    )
                  )
                  or not
                  (
                    pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                  )"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428040
            
            IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) 
            and (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <!--<assert  id="VR.ATO.GEN.428040" diagnostics="DVR.ATO.GEN.428040" 
         test="not(
            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
            and
            function:ValidateABN(
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                ))"/>-->
    </rule>

    <rule context="xbrli:xbrl/ctr.0005.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.000413

            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) 
                AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  "" - "" )
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert id="VR.ATO.GEN.000413" diagnostics="DVR.ATO.GEN.000413" test="not(count(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]) &gt; 0
                          and count(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0 and matches(.,'^(.*)-(.*)$')]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428022
            
            IF (([CTR45] <> NULLORBLANK) OR ([CTR44] <> NULLORBLANK)) AND ([CTR43] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        
            [CTR45] = CTR:RP:pyde.xx.xx:Residency.TaxPurposesCountry.Code IN TUPLE(ctr.0005.lodge.req.xx.xx::UltimateHoldingCompany)
            [CTR44] = CTR:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(ctr.0005.lodge.req.xx.xx::UltimateHoldingCompany)
            [CTR43] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                        AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                        IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) IN TUPLE(ctr.0005.lodge.req.xx.xx:UltimateHoldingCompany)
        -->

        <assert  id="VR.ATO.CTR.428022" diagnostics="DVR.ATO.CTR.428022" test="not(
                            (count(pyde.02.08:Residency.TaxPurposesCountry.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                              or pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                              and count(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                              [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                              and string-length(normalize-space(.)) != 0
                              and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code='MN'
                              and ../pyde.02.00:OrganisationNameDetails.Currency.Code='C']) = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428023

            IF
              ( [CTR44]  <>  NULLORBLANK   AND [CTR45]  <>  NULLORBLANK )
              RETURN VALIDATION MESSAGE
            ENDIF

            [CTR44]  = CTR:$RP.ContextId:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
            (IN TUPLE (ctr.0005.lodge.req.02.00:UltimateHoldingCompany))
            [CTR45]  = CTR:$RP.ContextId:pyde.02.08:Residency.TaxPurposesCountry.Code
            (IN TUPLE (ctr.0005.lodge.req.02.00:UltimateHoldingCompany))
        -->

        <assert  id="VR.ATO.CTR.428023" diagnostics="DVR.ATO.CTR.428023" test="not(
                            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            and
                            pyde.02.08:Residency.TaxPurposesCountry.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428269
        
            WHERE TUPLE(ctr.0005.lodge.req.xx.xx:UltimateHoldingCompany) EXISTS
            IF SUBTUPLE (orgname2.xx.xx:OrganisationNameDetails = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428269" diagnostics="DVR.ATO.CTR.428269" test="not(
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])=0
                        )"></assert>
    </rule>

    <rule context=" address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.428206
            
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") AND (pyde.xx.xx:AddressDetails.Currency.Code = ""P"")) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428206" diagnostics="DVR.ATO.GEN.428206" test="not(count(pyde.02.01:AddressDetails.Usage.Code[upper-case(.)='POS']) &gt; 0
                          and count(pyde.02.00:AddressDetails.Currency.Code[upper-case(.)='P']) &gt; 0
                          and count(../address2.02.02:AddressDetails[upper-case(pyde.02.01:AddressDetails.Usage.Code)='POS' 
                          and upper-case(pyde.02.00:AddressDetails.Currency.Code)='P']) &gt; 1 )"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000012
        
            IF ( (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator) = FALSE )
            AND ( (pyde.xx.xx:AddressDetails.StateOrTerritory.Code) = NULLORBLANK )
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000012" diagnostics="DVR.ATO.GEN.000012" test="not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                          and count(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
        <!--
            RuleID: VR.ATO.GEN.428026
        
            IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS ""C/-"") AND (pyde.xx.xx:AddressDetails.Line 2.Text = NULLORBLANK))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428026" diagnostics="DVR.ATO.GEN.428026" test="not(count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and matches(upper-case(.),'^(.*)(C/-)(.*)$')]) &gt; 0
                          and count(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428030
        
            IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428030" diagnostics="DVR.ATO.GEN.428030" test="not(count(pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428033
            
            IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428033" diagnostics="DVR.ATO.GEN.428033" test="not(count(pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428037
            
            IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) 
                AND (pyde.xx.xx:Address Details.Line 1.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Line 2.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Line 3.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Line 4.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Locality Name.Text = NULLORBLANK) 
                AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Postcode.Text = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428037" diagnostics="DVR.ATO.GEN.428037" test="not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                         and count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
        <!--
          IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)
          AND (pyde.xx.xx:AddressDetails.Usage.Code <> SET("POS","BUS"))
             RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000467" diagnostics="DVR.ATO.GEN.000467" subject="pyde.02.01:AddressDetails.Usage.Code" test="not(
                count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0 and
                pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')and not(matches(upper-case(.),'^(POS|BUS)$'))]
                )"></assert>
        <!--
            IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)
            AND (pyde.xx.xx:AddressDetails.Currency.Code <> SET("C","P"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000468" diagnostics="DVR.ATO.GEN.000468" test="not(count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')and not(matches(upper-case(.),'^(C|P)$'))])"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428108
    
            IF pyde.xx.xx:AddressDetails.Country.Code <> NULL
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428108" diagnostics="DVR.ATO.CTR.428108" test="
                        not
                        (
                            count(pyde.02.08:AddressDetails.Country.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0    
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428193
            
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""BUS"") > 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428193" diagnostics="DVR.ATO.CTR.428193" test="not(
                     
                            pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')] ='BUS'
                            and count(../address2.02.02:AddressDetails/pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and .='BUS']) &gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428215
        
            IF (pyde.xx.xx:AddressDetails.CountryName.Text) <> NULL
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428215" diagnostics="DVR.ATO.CTR.428215" test="
                        not
                        (
                            count(pyde.02.08:AddressDetails.CountryName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0    
                        )"></assert>
    </rule>

    <rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428220

            IF (INT <> NULL)  AND [CTR216] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR216] = CTR:INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03")
            IN TUPLE(pyde.xx.xx:ElectronicContactTelephone)
            
            NOTE 1. This rule has been intentionally implemented in 2 contexts because it needs to be evaluated
            from both the root xbrl context and ElectronicContactTelephone tuple context. 
            If there is no INT:ElectronicContactTelephone tuple, the error message *must* still be returned
            and that's why we've implemented it in the xbrl context.
            
            The rule is also implemented in the tuple context so we can report the correct tuple
            index when multiple ElectronicContactTelephone exist. (Refer to defect 1539).
        -->

        <assert  id="VR.ATO.CTR.428220" diagnostics="DVR.ATO.CTR.428220" test="
                        not
                        (
                            count($INT.ContextId) &gt; 0
                            and
                            *[@contextRef = $INT.ContextId]
                            and
                            count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                             and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'])
                            = 0
                        )"></assert>
    </rule>

    <rule context="ctr.0005.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428048
            
            IF ([CTR62] = NULLORBLANK)  AND ([CTR61] > 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR62] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
       -->

        <assert  id="VR.ATO.CTR.428048" diagnostics="DVR.ATO.CTR.428048" test="
                        not
                        (
                            count(pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            = 0
                            and
                            sum(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428049
            
            IF ([CTR62] <> NULLORBLANK) AND (([CTR61] <= 0) or ([CTR61] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR62] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
        -->

        <assert  id="VR.ATO.CTR.428049" diagnostics="DVR.ATO.CTR.428049" test="
                        not
                        (
                            count(pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                            and
                            (
                                count(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
                                or
                                sum(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &lt;= 0
                            )
                        )"></assert>
    </rule>

    <rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
          IF (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("hyphenhyphen", """", "  "))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000416" diagnostics="DVR.ATO.GEN.000416" test="string-length(normalize-space(.)) = 0 or 
                        not(matches(.,'^(.*)(--|''''|  )(.*)$'))"></assert>
        <!--
          IF (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206" test="not(
                          matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or
                          matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or
                          matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or
                          matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')
                      )"></assert>
        <!--      
          IF (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
            (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039" test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z0-9](.*)$')"></assert>
        <!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND 
        (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038.CTR" test="not(
                         matches(.,'^(T/A )(.*)$','i') and matches(.,'^(.*)( Pship| P''ship| P/ship)$','i') 
                      )"></assert>
    </rule>

    <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428177
        
            IF ([CTR222] <> NULLORBLANK) AND ([CTR221] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR222] = CTR:RP:pyde.xx.xx:PersonNameDetails.OtherGivenName.Text 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
                IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
                
            [CTR221] = CTR:RP:pyde.xx.xx:PersonNameDetails.GivenName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""DeclarationSignatory"")) 
                IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
        -->

        <assert  id="VR.ATO.CTR.428177" diagnostics="DVR.ATO.CTR.428177" test="not(
                            count(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and .='LGL']) &gt; 0
                            and count(pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]) &gt; 0
                            and count(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and .='DeclarationSignatory']) &gt; 0
                            and count(pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]) = 0
                          )"></assert>
    </rule>

    <rule context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("-_-","""","  ") )
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000439" diagnostics="DVR.ATO.GEN.000439" test="not(matches(.,'^(.*)(--|(&amp;#x22)(&amp;#x22)|  )(.*)$'))"></assert>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND 
              (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000434" diagnostics="DVR.ATO.GEN.000434" test="not(matches(.,'^(.*) - (.*)$'))"></assert>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203" test="not(
                              matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                              matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                          )"></assert>
        <!--  
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204" test="not(
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                          )"></assert>
    </rule>

    <rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

        <!--
        - -IF ([CTR214] <> NULLORBLANK) AND ([CTR214] CONTAINS "" - "")
        - -RETURN VALIDATION MESSAGE
        - -ENDIF
        - -[CTR214] = CTR:INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
        - -WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""Contact"") 
        - -IN TUPLE(pyde.xx.xx:OrganisationDetails.OrganisationBranch.Code)
        
        NOTE: the above text from CTR360 v1.4 is incorrect, please use text below, Change request has been created. 
        This request has been registered as CR Id 217 the 360 will be updated in future version
        
        IF ([CTR214] <> NULLORBLANK) AND ([CTR214] CONTAINS "" - "")
        RETURN VALIDATION MESSAGE
        ENDIF
        [CTR214] = CTR:INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
        WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""Contact"") 
        IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName)
    -->

        <assert  id="VR.ATO.CTR.428054" diagnostics="DVR.ATO.CTR.428054" test="not(count(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') 
                          and @contextRef = $INT.ContextId and string-length(normalize-space(.)) != 0 and upper-case(.)='CONTACT']) &gt; 0
                          and count(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId 
                          and string-length(normalize-space(.)) != 0 and matches(.,'^(.*)-(.*)$')]) &gt; 0)"></assert>
        <!--
        
            WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) IN TUPLE(declaration2.xx.xx:Declaration)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "DeclarationSignatory"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279" test="not(
                        parent::declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')] and
                        pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') and            
                        upper-case(.) != 'DECLARATIONSIGNATORY']
                        )"></assert>
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.000427 -->

    <rule name="VR.ATO.GEN.410040" context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-","""","  ") )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000427" diagnostics="DVR.ATO.GEN.000427" test="not(matches(.,'^(.*)(--|(&amp;#x22)(&amp;#x22)|  )(.*)$'))"></assert>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201" test="not(
                            matches(.,'^(MR |MRS |MISS |MS )(.*)$','i')
                            or
                            matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i')
                            or
                            matches(.,'^(.*)( MR| MRS| MISS| MS)$','i')
                            or
                            matches(.,'^(MR|MRS|MISS|MS)$','i') 
                        )"></assert>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" test="not(
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"></assert>
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.000439  
<rule name="VR.ATO.GEN.000434" context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
        <extends rule="VR-ATO-GEN-000439" />
    </rule>
 xsd-datatype-VR.ATO.GEN.000451 -->

    <rule name="VR.ATO.GEN.000451" context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("-_-","""","  ") )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000451" diagnostics="DVR.ATO.GEN.000451" test="not(matches(.,'^(.*)(--|(&amp;#x22)(&amp;#x22)|  )(.*)$'))"></assert>
    </rule>

    <rule context="rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428038
        
            IF ([CTR56] <> NULLORBLANK) AND ([CTR56] <> "R")
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR56] = CTR:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
        -->

        <assert  id="VR.ATO.CTR.428038" diagnostics="DVR.ATO.CTR.428038" test="@contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or upper-case(.) = 'R'"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule VR.ATO.GEN.432267
        
            IF (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text) <> NULLORBLANK OR (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionName.Text <> NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.432267" diagnostics="DVR.ATO.GEN.432267" test="not(
                            pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]
                            or
                            pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]
                        )"></assert>
        <!--
            Rule: VR.ATO.GEN.432032
        
            WHERE IN TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)
            IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number = NULLORBLANK OR 
            pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number = NULLORBLANK OR 
            pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.432032" diagnostics="DVR.ATO.GEN.432032" test="not (
                            not(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]) 
                            or
                            not(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]) 
                            or
                            not(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId])
                        )"></assert>
    </rule>

    <rule context="pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
          IF ((pyde.02.00:ElectronicContact.Telephone.Usage.Code) <> NULLORBLANK) AND ((pyde.02.00:ElectronicContact.Telephone.Usage.Code) <> "03")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000051" diagnostics="DVR.ATO.GEN.000051" test="not(
                        string-length(normalize-space(.)) != 0 and . != '03'
                      )"></assert>
    </rule>

    <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
          IF (pyde.02.00:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000409" diagnostics="DVR.ATO.GEN.000409" test="string-length(normalize-space(.)) = 0 or
                        not(contains(upper-case(.), 'UNKNOWN'))"></assert>
        <!--
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))
               RETURN VALIDATION MESSAGE
            ENDIF

        -->

        <assert  id="VR.ATO.GEN.000410" diagnostics="DVR.ATO.GEN.000410" test="not(matches(.,'^(.*)[0-9](.*)$'))"></assert>
    </rule>

    <rule context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.410049
      
            IF (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or upper-case(.) = 'MN'"></assert>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
          IF (pyde.02.00:AddressDetails.Line2.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000407" diagnostics="DVR.ATO.GEN.000407" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or 
                  not(contains(upper-case(.), 'UNKNOWN'))"></assert>
    </rule>

    <rule context="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.410105
 
            IF (pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier <> NULLORBLANK) AND (ARBNALGORITHM (pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410105" diagnostics="DVR.ATO.GEN.410105" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or function:ValidateACN(.)"></assert>
    </rule>
</pattern>