<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data"
                xmlns:bafot.02.04="http://sbr.gov.au/icls/baf/bafot/bafot.02.04.data"
                xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"
                xmlns:bafpo1.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.04.data"
                xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data"
                xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data"
                xmlns:bafpr1.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:bafpr1.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data"
                xmlns:bafpr1.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data"
                xmlns:bafpr2.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data"
                xmlns:bafpr2.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.09.data"
                xmlns:bafpr2.02.10="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.10.data"
                xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data"
                xmlns:bafpr3.02.03="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.03.data"
                xmlns:bafpr3.02.08="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.08.data"
                xmlns:emsup.02.00="http://sbr.gov.au/icls/em/emsup/emsup.02.00.data"
                xmlns:emsup.02.01="http://sbr.gov.au/icls/em/emsup/emsup.02.01.data"
                xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data"
                xmlns:emsup.02.05="http://sbr.gov.au/icls/em/emsup/emsup.02.05.data"
                xmlns:gfagc.02.00="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data"
                xmlns:gfagc.02.01="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data"
                xmlns:gfagc.02.04="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data"
                xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data"
                xmlns:lrla.02.05="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data"
                xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data"
                xmlns:pyin.02.01="http://sbr.gov.au/icls/py/pyin/pyin.02.01.data"
                xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data"
                xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data"
                xmlns:pyin.02.08="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data"
                xmlns:rvctc1.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data"
                xmlns:rvctc1.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data"
                xmlns:rvctc1.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data"
                xmlns:rvctc1.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.04.data"
                xmlns:rvctc1.02.07="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.07.data"
                xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data"
                xmlns:rvctc2.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.02.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc2.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.03.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:rvctc3.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data"
                xmlns:rvctc4.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data"
                xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"
                xmlns:rvctc4.02.05="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.05.data"
                xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:email1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module"
                xmlns:fitr.0003.lodge.req.02.00="http://sbr.gov.au/rprt/ato/fitr/fitr.0003.lodge.request.02.00.report"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module"
                xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:fininstacc1.02.00="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module"
                xmlns:rvctc2.02.06="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.06.data"
                xmlns:rvctc3.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data"
                xmlns:rvctc1.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.11.data"
                xmlns:bafpr1.02.13="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data"
                xmlns:bafpo1.02.10="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.10.data"
                xmlns:bafpr1.02.15="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.15.data"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M84"/>
         <xsl:apply-templates select="/" mode="M85"/>
         <xsl:apply-templates select="/" mode="M91"/>
         <xsl:apply-templates select="/" mode="M92"/>
         <xsl:apply-templates select="/" mode="M93"/>
         <xsl:apply-templates select="/" mode="M94"/>
         <xsl:apply-templates select="/" mode="M95"/>
         <xsl:apply-templates select="/" mode="M96"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ContextVariablesXBRL Context ID Variables-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="INT.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/>
   <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]             ]"/>
   <xsl:variable name="RP.JFOREIGN.ContextId" select="$RP.JFOREIGN.Context/@id"/>
   <xsl:variable name="RP.JAUS.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]             ]"/>
   <xsl:variable name="RP.JAUS.ContextId" select="$RP.JAUS.Context/@id"/>
   <xsl:variable name="RP.CFCLC.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]             ]"/>
   <xsl:variable name="RP.CFCLC.ContextId" select="$RP.CFCLC.Context/@id"/>
   <xsl:variable name="RP.CFC404.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]             ]"/>
   <xsl:variable name="RP.CFC404.ContextId" select="$RP.CFC404.Context/@id"/>
   <xsl:variable name="RP.CFCUC.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]             ]"/>
   <xsl:variable name="RP.CFCUC.ContextId" select="$RP.CFCUC.Context/@id"/>
   <xsl:variable name="RP.TOFA.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]             ]"/>
   <xsl:variable name="RP.TOFA.ContextId" select="$RP.TOFA.Context/@id"/>
   <xsl:variable name="RPI.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]               and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RPI.Closing.ContextId" select="$RPI.Closing.Context/@id"/>
   <xsl:variable name="RP.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]               and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])            ]"/>
   <xsl:variable name="RP.Closing.ContextId" select="$RP.Closing.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M84"/>
   <xsl:template match="@*|node()" priority="-2" mode="M84">
      <xsl:apply-templates select="*" mode="M84"/>
   </xsl:template>

   <!--
                PATTERN ElementVariablesXBRL Element Variables-->
<xsl:variable name="FITR1"
                 select="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR10"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR11"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR12"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR13"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR14"
                 select="xbrli:xbrl/pyde.02.03:Party.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR15"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR16"
                 select="xbrli:xbrl/emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR17"
                 select="xbrli:xbrl/pyde.02.00:OrganisationControl.RegisteredMembers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR18"
                 select="xbrli:xbrl/pyde.02.00:OrganisationDetails.Establishment.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR19"
                 select="xbrli:xbrl/pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR20"
                 select="xbrli:xbrl/pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR21"
                 select="xbrli:xbrl/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR23"
                 select="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR24"
                 select="xbrli:xbrl/bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR25"
                 select="xbrli:xbrl/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR26"
                 select="xbrli:xbrl/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR27"
                 select="xbrli:xbrl/bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR28"
                 select="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR29"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR30"
                 select="xbrli:xbrl/bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR31"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR32"
                 select="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR33"
                 select="xbrli:xbrl/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR34"
                 select="xbrli:xbrl/bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR35"
                 select="xbrli:xbrl/bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR36"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR37"
                 select="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR38"
                 select="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR39"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR40"
                 select="xbrli:xbrl/bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR41"
                 select="xbrli:xbrl/emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR42"
                 select="xbrli:xbrl/emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR43"
                 select="xbrli:xbrl/emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR44"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR45"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR46"
                 select="xbrli:xbrl/emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR47"
                 select="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR48"
                 select="xbrli:xbrl/bafpr1.02.05:Income.Other.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR49"
                 select="xbrli:xbrl/bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR50"
                 select="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR52"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR53"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR54"
                 select="xbrli:xbrl/lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR55"
                 select="xbrli:xbrl/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR56"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR57"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR58"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR59"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Investment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR61"
                 select="xbrli:xbrl/bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR62"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR63"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR64"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR65"
                 select="xbrli:xbrl/bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR66"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR67"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR68"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR69"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR70"
                 select="xbrli:xbrl/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR71"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR72"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR73"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR74"
                 select="xbrli:xbrl/rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR75"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR76"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR77"
                 select="xbrli:xbrl/rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR78"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR79"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR80"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR83"
                 select="xbrli:xbrl/bafpo1.02.10:Equity.NetAssetsCalculated.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR84"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR85"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR86"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR87"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR88"
                 select="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.MarketValueTransfer.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR89"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Superannuation.MarketValueTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR90"
                 select="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR91"
                 select="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR92"
                 select="xbrli:xbrl/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR93"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR94"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR96"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR97"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR98"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR103"
                 select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR108"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR118"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR119"
                 select="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR131"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR132"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR133"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR134"
                 select="xbrli:xbrl/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR135"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR136"
                 select="xbrli:xbrl/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR137"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR141"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR143"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR153"
                 select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$INT.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR156"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR158"
                 select="xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR159"
                 select="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$INT.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR161"
                 select="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$RP.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR164"
                 select="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$INT.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR175"
                 select="xbrli:xbrl/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR181"
                 select="xbrli:xbrl/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR182"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR183"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR184"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR185"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR186"
                 select="xbrli:xbrl/bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR187"
                 select="xbrli:xbrl/bafpr1.02.09:Income.ForeignExchangeLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR188"
                 select="xbrli:xbrl/bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR189"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR190"
                 select="xbrli:xbrl/bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR199"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR200"
                 select="xbrli:xbrl/gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR201"
                 select="xbrli:xbrl/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR202"
                 select="xbrli:xbrl/bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR203"
                 select="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR204"
                 select="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="FITR205"
                 select="xbrli:xbrl/rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:template match="text()" priority="-1" mode="M85"/>
   <xsl:template match="@*|node()" priority="-2" mode="M85">
      <xsl:apply-templates select="*" mode="M85"/>
   </xsl:template>

   <!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1007"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             (                                 round(xs:decimal(100 * sum(rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                 !=                                      round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                     | rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                     -                                     round(xs:decimal(100 * sum(rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                     | rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                     | rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                              )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434271</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="commonSum434295"
                    select="sum(($FITR199|$FITR69)) - (sum($FITR201|$FITR185|$FITR74))"/>
      <xsl:variable name="commonSum434296"
                    select="sum(($FITR199|$FITR69)) - (sum($FITR201|$FITR185|$FITR74))"/>
      <xsl:variable name="part_a"
                    select="                     xs:decimal(sum(                         bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]                         |rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                          |rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                           |bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) )       "/>
      <xsl:variable name="part_b"
                    select="                     xs:decimal(sum(                           emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                          |emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                           |emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                    - xs:decimal(sum(                           emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                           |emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                           |emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) )                      "/>
      <xsl:variable name="part_c"
                    select="                     xs:decimal(sum(                         bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                           |bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                                "/>
      <xsl:variable name="part_d"
                    select="                     xs:decimal(sum(                         gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))      "/>
      <xsl:variable name="part_e"
                    select="                     xs:decimal(sum(                         bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]                         |lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.05:Expense.Investment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.09:Income.ForeignExchangeLosses.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         |rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                "/>
      <xsl:variable name="prev_year"
                    select="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1"/>
      <xsl:variable name="curr_year"
                    select="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
      <xsl:variable name="year_begin" select="xs:date(concat($prev_year, '-07-01'))"/>
      <xsl:variable name="year_end" select="xs:date(concat($curr_year, '-06-30'))"/>
      <xsl:variable name="status_date"
                    select="pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="curr_year_434024"
                    select="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
      <xsl:variable name="year_end_434024" select="concat($curr_year_434024, '-06-30')"/>
      <xsl:variable name="base_date_434024"
                    select="pyde.02.00:OrganisationDetails.Establishment.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')][1]"/>
      <xsl:variable name="_434243_FITR43"
                    select="xs:decimal(sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
      <xsl:variable name="_434243_FITR181"
                    select="xs:decimal(sum(rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
      <xsl:variable name="_434244_FITR43"
                    select="xs:decimal(sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
      <xsl:variable name="_434244_FITR181"
                    select="xs:decimal(sum(rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum($FITR75) &lt; 0                         and                         count(fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]) != 1                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432268</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                         and(                             not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')])                             or not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])                             or not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])                             ))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.010028</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.07:Report.Amendment.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])                         and(                             pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]                             or pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                             or pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                             ))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.010029</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.07:Report.Amendment.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                        pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(1|2|3|4|5|6|7|8|9)$'))]                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.010030</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.08:Report.AmendmentSequence.Number</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and function:ValidateABN(.)]                     or count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000477</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0                             and                             sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434224</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 0                          and (                             sum(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                             or                             count(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                               )                          and (                             sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                             or                             count(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                               )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434073</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/                       pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 1)"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434235</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                 bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 and                 round(xs:decimal(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] * 100))                 !=                 round(xs:decimal(($part_a + $part_b + $part_c - $part_d - $part_e) * 100))                )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434072</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.02:Income.Taxable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                            ( round(xs:decimal(sum(($FITR184)) * 100)) &gt;=  round(xs:decimal(sum($FITR183) * 100) ) )                            and                             ( round(xs:decimal(sum(($FITR185)) * 100)) != round(xs:decimal(sum(($FITR184)) * 100)) - round(xs:decimal(sum($FITR183) * 100)  ))                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434269</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         and                         (                         round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                         &lt;                         (round(xs:decimal(100 * sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.15)) - (100 * 1)                         )                                           )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434074</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.TaxableGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         and                         sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         and                         sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434075</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.TaxableGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                     and count(fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]) &gt; 0                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434102</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]                     and count(fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]) = 0                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434280</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          sum(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                     and                     rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434103</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1']                and(                     sum(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] )=0                     and sum(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] )=0                     and sum(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])=0                   ))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430170</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1'])                         and                         (                             sum(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] ) &gt; 0                             or                              sum(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] )  &gt; 0                             or                              sum(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] ) != 0                         )                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430168</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not((bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='T']                         or bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='T'])                         and not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1']))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434141</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(count(fitr.0003.lodge.req.02.00:Transferee/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier) &gt; 99)"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434168</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId ])&lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434229</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/                 pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef = $RP.ContextId ])= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434231</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Usage.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not                 (                     count(email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[@contextRef = $RP.ContextId ])&gt; 1                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434232</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.ContextId ])&lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434233</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef = $INT.ContextId ])&lt;= 1"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434236</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                       and (not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                       or sum(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434055</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Income.Other.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          $FITR70                           and                           round(xs:decimal(100 * sum($FITR70))) &lt; (100 * 0.5)                          )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434079</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator                                 [(upper-case(.)='TRUE' or .='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                               and                               rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator                                 [(upper-case(.)='FALSE' or .='0') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434249</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             (                                   sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0                                or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                                or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0                              )                          and rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[(upper-case(.)='FALSE' or .='0') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434119</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="$INT.ContextId                       or                       pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432417</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator                                 [(upper-case(.)='TRUE' or .='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                               and not(rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434123</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator                                 [(upper-case(.)='FALSE' or .='0') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                               and rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434124</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             pyin.02.00:Report.TargetFinancial.Year                                 [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and . != 2014]                           )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438033</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Report.TargetFinancial.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0                         and                         (                             round(xs:decimal(sum(                                 bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             ) * 0.48) * 100 )                             &lt;                             round(xs:decimal(sum(                                 rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             ) - 1) * 100)                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430098</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.03:IncomeTax.FrankingCredits.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     sum(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0                     and not(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                  )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430100</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.03:IncomeTax.FrankingCredits.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             round(xs:decimal(100 * sum(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                             &gt;                             (                               round(xs:decimal(100 * sum(emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] | emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434053</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]                         and                          (                          sum(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                           or                           count(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         )                  )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434054</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                     and                     rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='FALSE' or .='0')]                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434035</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:CapitalGainsTax.Event.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          round(xs:decimal(100 * sum( gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                          &gt;                          (                          round(xs:decimal(100 * sum(                             bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                                   |bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]                            |rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            |bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             |emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             |emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             |emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             )))                         -  round(xs:decimal(100 * sum(                               emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                   |emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                  |emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                 )))                         + round(xs:decimal(100 * sum(                               bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                   |bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                  |bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                  |bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                 )))                         )                                           )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434278</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                   count(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                            and                           round(xs:decimal(100 * sum(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                           =                           (                            round(xs:decimal(100 * sum(                            bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                                       bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                             rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                            -                                                        round(xs:decimal(100 * sum(                            emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                            +                            round(xs:decimal(100 * sum(                            bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                            bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                     )                          and round(xs:decimal(100 * sum(                             bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|                              bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                              lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.05:Expense.Investment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.09:Income.ForeignExchangeLosses.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                             rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; 0                  )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434279</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         (sum(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         or                         count(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)                         and                         count(bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434068</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Expense.DeductibleOther.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and                         count(bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 0                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434069</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Expense.DeductibleOther.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]                     and                     count(pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434026</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code                         [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')                         and upper-case(../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'CONTACT'                         and upper-case(../pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'                         and upper-case(.)='LGL']) &gt; 1                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434234</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.PersonNameType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     count(bafpr1.02.04:Income.Gross.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                     and                     round(xs:decimal(100 * sum((bafpr1.02.04:Income.Gross.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])))) &lt; round(xs:decimal(100 * sum(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])))                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434041</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Income.Gross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     sum(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                     and                     count(bafpr1.02.04:Income.Gross.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434042</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Income.Gross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     sum(bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                     and                     not(rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434043</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                     and                     not(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                  )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434082</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and                         not(bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434282</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.05:Income.Other.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not((                             emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='FALSE' or .='0')]                             or                             pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '138'                         )                         and (                             sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                             and                             round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                             &lt;                              (round(xs:decimal(100 * sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.45))                        ))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434071</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.02:Income.Taxable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          (string($year_begin) castable as xs:date)                      and (string($status_date) castable as xs:date)                     and (string($year_end) castable as xs:date)                     and(                                 function:IsDate1GreaterThanDate2($year_begin, xs:date($status_date))                             or                                 function:IsDate1GreaterThanDate2(xs:date($status_date),$year_end)                         )                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434145</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     sum(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                     and                     (                         not(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                         and                         not(bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                         and                         not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                     )                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434081</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.02:Income.PartnershipDistributionGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]                     and                     pyde.02.00:OrganisationControl.RegisteredMembers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                                            )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434297</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationControl.RegisteredMembers.Count</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         (string($base_date_434024) castable as xs:date)                      and (string($year_end_434024) castable as xs:date)                     and                      function:IsDate1GreaterThanDate2($base_date_434024, $year_end_434024)                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434024</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationDetails.Establishment.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(count(fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]) &gt; 1)"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434226</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/fitr.0003.lodge.req.02.00:Trustee</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]                           and  bafpo1.02.10:Equity.NetAssetsCalculated.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434098</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpo1.02.10:Equity.NetAssetsCalculated.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not                     (                        count(fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0                         and (../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN'])]) = 0                        and                        pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and matches(.,'^(009|010|022|053|085|118|168|198)$')]                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434016</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         $INT.ContextId                         and                          not(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]                             /pyde.02.00:ElectronicContact.Telephone.Minimal.Number                              [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')                                 and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1') and . = '03']])                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434148</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Usage.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]                         and $_434243_FITR43 &gt; 0                         and (round(xs:decimal($_434243_FITR181 * 100)) &gt; round(xs:decimal((($_434243_FITR43 * 0.315)+1) * 100)) or round(xs:decimal($_434243_FITR181 * 100)) &lt; round(xs:decimal((($_434243_FITR43 * 0.315)-1) * 100)))                                                  and (round(xs:decimal($_434243_FITR181 * 100))  &gt; round(xs:decimal((($_434243_FITR43 * 0.015)+1) * 100)) or round(xs:decimal($_434243_FITR181 * 100))  &lt; round(xs:decimal((($_434243_FITR43 * 0.015)-1) * 100) ) )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434250</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='FALSE' or .='0')]                         and                          (                            round(xs:decimal(100 * $_434244_FITR181)) &gt; round(xs:decimal(100 * ($_434244_FITR43 * 0.015) + 1))                            or                            round(xs:decimal(100 * $_434244_FITR181)) &lt; round(xs:decimal(100 * ($_434244_FITR43 * 0.015) - 1))                         )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434251</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not                     (                                           round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                         !=                         (                             round(xs:decimal(100 * sum(bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                         )                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434262</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                         !=                (round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] | rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))))            )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434261</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.TaxableGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                        round(xs:decimal(sum($FITR184) * 100)) !=                             round(xs:decimal(sum($FITR73|$FITR131|$FITR133|$FITR205) * 100))                          )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434263</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                   (                                     round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                     &gt;=                      round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                   )                   and                  (sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])!=0)                )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434265</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                  sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0                  and                  sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])!=0              )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434266</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.Payable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                  round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                                 &lt;                   round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                 and                                                 round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                                 !=                                 (                  round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                                 -                                 round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                 )              )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434264</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                  round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                                 &lt;                   round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                 and                  round(xs:decimal(100 * sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                                 !=                                 (                  round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) -                                 round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                 )              )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434267</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.Payable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(          round(100 * xs:decimal(sum(rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                         !=          (                         round(100 * xs:decimal(sum(bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]          |rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]          |rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]          |rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]          |rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                         ))       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434270</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             (                             round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )                             &gt;=                                                 round(xs:decimal(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                             )                             and                             sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             !=                             0         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434268</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.Payable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             ($FITR203[matches(.,'^(true|1)$')] ) and (count($FITR204) = 0)                )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438019</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             (count($FITR204) &gt; 0)  and (not( $FITR203[matches(.,'^(true|1)$')]) )              )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438021</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                 sum(bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and                         sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438034</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                 $FITR204 and                  rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[                 text() = preceding-sibling::rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code/text()]                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434286</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           count($FITR204) &gt; 17            )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434287</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           ( round(xs:decimal(sum(($FITR184) ) * 100)) &lt; round(xs:decimal(sum($FITR183) * 100) ) )                           and                            ( sum($FITR185) &gt; 0 )            )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434292</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]"
                 priority="1006"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                   pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(./text()) != 'LGL']                         or                         pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(./text()) != 'C']                         or                         pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and upper-case(./text()) != 'CONTACT']                            )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432435</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.PersonNameType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(matches(.,'^[a-zA-Z](.*)$'))]                   )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.436001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count(./pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.436004</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]"
                 priority="1005"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and .='POS']                        and                        pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and .='C']"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432434</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test=" not( pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='POS']                       and   pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='C']                       and  pyde.02.00:AddressDetails.OverseasAddress.Indicator[(upper-case(.)='TRUE' or .='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.436251</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1)"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434167</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     not(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId                      and (../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) ='MN']) ])                     or sum(rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Amount[                                             not(@i:nil='true' or @i:nil='1')                                              and @contextRef = $RP.ContextId])=0                     or not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[                                 not(@i:nil='true' or @i:nil='1')                                  and @contextRef = $RP.ContextId                                  and string-length(.)!=0])                     or not(rvctc2.02.00:IncomeTax.Superannuation.MarketValueTransfer.Amount[                                 not(@i:nil='true' or @i:nil='1')                                  and @contextRef = $RP.ContextId]))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434101</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]"
                 priority="1003"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')] = 'DeclarationSignatory'"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.436279</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.05:PersonUnstructuredName.Usage.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]"
                 priority="1002"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="number(.) &gt;=1 and number(.) &lt;=999"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430206</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not                     (                        pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                        and                        not                        (                         orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0                          and (../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN'])]                        )                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.434015</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not                     (                        count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.FITR.434227</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M91">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN']                    and pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C']"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438006</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M91"/>
   <xsl:template match="@*|node()" priority="-2" mode="M91">
      <xsl:apply-templates select="*" mode="M91"/>
   </xsl:template>

   <!--
                PATTERN AddressAddress Common Validations-->


	<!--
            RULE -->
<xsl:template match="address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]"
                 priority="1007"
                 mode="M92">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                         and pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)[0-9](.*)$')]                           )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000410</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                  not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (upper-case(.) = 'TRUE' or . = '1')] and                  not(pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                  "/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410191</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and contains(upper-case(.), 'C/-')]                         and                         not(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                     "/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410002</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')                           and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410148</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))='AU']                          and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410211</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                and pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))!='AU']                         and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410212</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')                                and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410167</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430245</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1006"
                 mode="M92">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000405</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(contains(upper-case(.), 'AS ABOVE'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                           matches(.,'^(.*)( C/O | C/ | Care Of | CO )(.*)$','i') or                           matches(.,'^(.*)( C/O| C/| Care Of| CO)$','i') or                           matches(.,'^(C/O|C/|Care Of|CO)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000406</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1005"
                 mode="M92">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000407</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M92">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(.)) = 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410008</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1003"
                 mode="M92">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(.)) = 0"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410013</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1002"
                 mode="M92">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000409</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000411</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M92">
      <xsl:variable name="ucName" select="upper-case(.)"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                                     $ucName = 'ACT' or                      $ucName = 'NSW' or                      $ucName = 'NT' or                      $ucName = 'QLD' or                      $ucName = 'SA' or                      $ucName = 'VIC' or                      $ucName = 'WA' or                      $ucName = 'TAS' or                     $ucName = 'AAT'"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.300003</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.08:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M92">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                    string-length(normalize-space(.)) != 0                                    )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410213</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M92"/>
   <xsl:template match="@*|node()" priority="-2" mode="M92">
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

   <!--
                PATTERN OrganisationOrganisation Common Validations-->


	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M93">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or                           matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or                           matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or                           matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.428042</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000416</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.03:Party.Type.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000413</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)P/L(.*)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000414</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         matches(.,'^(T/A )(.*)$','i') and matches(.,'^(.*)( Pship| P''ship| P/ship)$','i')                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410038</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M93">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410147</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410215</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test=" (                     pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                      and  matches(.,'^(.*)[a-zA-Z0-9](.*)$')]               )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410039</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='false' or @i:nil='0') and string-length(normalize-space(.)) != 0                          and not(matches(.,'(C|P)','i'))]                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430850</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.Currency.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and matches(.,'^(.*)( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i')]                   )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000417</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410140</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.Currency.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M93"/>
   <xsl:template match="@*|node()" priority="-2" mode="M93">
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>

   <!--
                PATTERN PersonPerson Common Validations-->


	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text [not(@i:nil='true' or @i:nil='1')]"
                 priority="1006"
                 mode="M94">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                   matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                   matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                   matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000448</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                   matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000449</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                   matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                   matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                   matches(.,'^(MR|MRS|MISS|MS)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000450</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410131</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000446</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)(--|('')('')|[ ]{2})(.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000451</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1005"
                 mode="M94">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                   matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                   matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                   matches(.,'^(MR|MRS|MISS|MS)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000426</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410040</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                   matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000424</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                   matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                   matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                   matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                   matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000422</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000423</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)(--|('')('')|[ ]{2})(.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000427</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text [not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M94">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                   matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                   matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                   matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000436</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                   matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000437</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                 not(                   matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                   matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                   matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                   matches(.,'^(MR|MRS|MISS|MS)$','i'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000438</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410063</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000434</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(matches(.,'^(.*)(--|('')('')|[ ]{2})(.*)$'))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000439</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1003"
                 mode="M94">
      <xsl:variable name="ucName" select="upper-case(.)"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                     $ucName = 'ESQ' or                     $ucName = 'II' or                      $ucName = 'III' or                      $ucName = 'IV' or                      $ucName = 'JNR' or                      $ucName = 'JP' or                      $ucName = 'MHA' or                      $ucName = 'MHR' or                      $ucName = 'MLA' or                      $ucName = 'MLC' or                      $ucName = 'MP' or                     $ucName = 'QC' or                     $ucName = 'SNR'"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000458</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1002"
                 mode="M94">
      <xsl:variable name="ucvalue" select="upper-case(.)"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(.)) = 0 or                   $ucvalue = '2LT' or                   $ucvalue = 'AB' or                   $ucvalue = 'ABBOT' or                   $ucvalue = 'AC' or                   $ucvalue = 'ACM' or                   $ucvalue = 'ADM' or                   $ucvalue = 'AIR CDRE' or                   $ucvalue = 'ALDERMAN' or                   $ucvalue = 'AM' or                   $ucvalue = 'ARCHBISHOP' or                   $ucvalue = 'ARCHDEACON' or                   $ucvalue = 'ASSOC PROF' or                   $ucvalue = 'AVM' or                   $ucvalue = 'BARON' or                   $ucvalue = 'BARONESS' or                    $ucvalue = 'BISHOP' or                   $ucvalue = 'BR' or                   $ucvalue = 'BRIG' or                   $ucvalue = 'CANON' or                   $ucvalue = 'CAPT' or                   $ucvalue = 'CARDINAL' or                   $ucvalue = 'CDRE' or                   $ucvalue = 'CDT' or                   $ucvalue = 'CHAP' or                   $ucvalue = 'CMDR' or                   $ucvalue = 'CMM' or                   $ucvalue = 'COL' or                   $ucvalue = 'CONST' or                   $ucvalue = 'COUNT' or                   $ucvalue = 'COUNTESS' or                   $ucvalue = 'CPL' or                   $ucvalue = 'CPO' or                   $ucvalue = 'DAME' or                   $ucvalue = 'DEACON' or                   $ucvalue = 'DEACONESS' or                   $ucvalue = 'DEPUTY SUPT' or                   $ucvalue = 'DR' or                    $ucvalue = 'DEAN' or                   $ucvalue = 'DUCHESS' or                   $ucvalue = 'DUKE' or                   $ucvalue = 'EARL' or                   $ucvalue = 'EF' or                   $ucvalue = 'FLGOFF' or                   $ucvalue = 'FLT LT' or                   $ucvalue = 'FR' or                   $ucvalue = 'FSGT' or                   $ucvalue = 'GEN' or                   $ucvalue = 'GNR' or                   $ucvalue = 'GP CAPT' or                   $ucvalue = 'HON' or                   $ucvalue = 'HON JUDGE' or                   $ucvalue = 'HON JUST' or                   $ucvalue = 'HRH' or                   $ucvalue = 'INSP' or                   $ucvalue = 'JUDGE' or                   $ucvalue = 'JUST' or                   $ucvalue = 'LAC' or                   $ucvalue = 'LACW' or                   $ucvalue = 'LADY' or                   $ucvalue = 'LBDR' or                   $ucvalue = 'LCPL' or                   $ucvalue = 'LORD' or                   $ucvalue = 'LS' or                   $ucvalue = 'LT' or                   $ucvalue = 'LT CMDR' or                   $ucvalue = 'LT COL' or                   $ucvalue = 'LT GEN' or                   $ucvalue = 'MADAM' or                   $ucvalue = 'MAJ' or                   $ucvalue = 'MAJ GEN' or                   $ucvalue = 'MASTER' or                   $ucvalue = 'MATRON' or                   $ucvalue = 'MAYOR' or                   $ucvalue = 'MAYORESS' or                   $ucvalue = 'MIDN' or                   $ucvalue = 'MISS' or                   $ucvalue = 'MON' or                   $ucvalue = 'MOST REV' or                   $ucvalue = 'MR' or                   $ucvalue = 'MRS' or                   $ucvalue = 'MS' or                   $ucvalue = 'PASTOR' or                   $ucvalue = 'PATRIARCH' or                   $ucvalue = 'PLT OFF' or                   $ucvalue = 'PO' or                   $ucvalue = 'PRIOR' or                   $ucvalue = 'PROF' or                   $ucvalue = 'PTE' or                   $ucvalue = 'RABBI' or                   $ucvalue = 'RADM' or                   $ucvalue = 'RECTOR' or                   $ucvalue = 'REV' or                   $ucvalue = 'RF' or                   $ucvalue = 'RT HON' or                   $ucvalue = 'RT REV' or                   $ucvalue = 'RT REV BISHOP' or                   $ucvalue = 'RT REV MON' or                   $ucvalue = 'SBLT' or                   $ucvalue = 'SEN' or                   $ucvalue = 'SGT' or                   $ucvalue = 'SIR' or                   $ucvalue = 'SMN' or                   $ucvalue = 'SNR CONST' or                   $ucvalue = 'SQN LDR' or                   $ucvalue = 'SR' or                   $ucvalue = 'SSGT' or                   $ucvalue = 'SUPR' or                   $ucvalue = 'SWAMI' or                   $ucvalue = 'TF' or                   $ucvalue = 'VADM' or                   $ucvalue = 'VERY REV' or                   $ucvalue = 'VICAR' or                   $ucvalue = 'VISCOUNT' or                   $ucvalue = 'WG CDR' or                   $ucvalue = 'WO' or                   $ucvalue = 'WO1' or                   $ucvalue = 'WO2'"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000459</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M94">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410183</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.Currency.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410216</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.PersonNameType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410217</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                           not(pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410218</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M94">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          not(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')                  and string-length(normalize-space(.)) != 0])                          or                           not(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')                             and string-length(normalize-space(.)) != 0])                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.000243</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.05:PersonUnstructuredName.Usage.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')                            and (string-length(normalize-space(.)) != 0) and matches(.,'^(.*)\s-\s(.*)$')]                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.408010</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M94"/>
   <xsl:template match="@*|node()" priority="-2" mode="M94">
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

   <!--
                PATTERN DeclarationDeclaration Common Validations-->


	<!--
            RULE -->
<xsl:template match="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1002"
                 mode="M95">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(normalize-space(.)) &lt; 200"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430252</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                     matches(.,'^(.*)(,|\*)(.*)$')                                                   )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438035</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil = 'true' or @i:nil='1')]"
                 priority="1001"
                 mode="M95">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not                 (                 pyin.02.03:Declaration.StatementType.Code[not(@i:nil ='true' or @i:nil ='1') and not(matches(.,'^TrueAndCorrect$'))]or                 pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')] or                 (count(pyin.02.00:Declaration.SignatoryIdentifier.Text[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 0) or                 not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])                 )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430250</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="             not(pyin.02.00:Declaration.Signature.Date)             or not(function:IsDate1GreaterThanDate2(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')], fn:current-dateTime()))             "/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430255</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M95">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test=" not(                         ((count($INT.Context) &lt; 1) and                             count(declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1                          )or                           (                           (count($INT.Context) &gt; 0) and                            count(declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1                          )                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430249</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M95"/>
   <xsl:template match="@*|node()" priority="-2" mode="M95">
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>

   <!--
                PATTERN FinancialInstitutionFinancialInstitutionAccount Common Validations-->


	<!--
            RULE -->
<xsl:template match="fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M96">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]                     or pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432267</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     not(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ])                      or not(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ])                      or not(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ])                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432032</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number                         [                             not((@i:nil='true' or @i:nil='1')                               and (string-length(normalize-space(.)) = 0))                              and not(matches(.,'^(01200[1-9]|0120[1-9][0-9]|012[1-9][0-9]{2}|01[3-9][0-9]{3}|0[2-9][0-9]{4}|[1-9][0-9]{5})$'))                         ])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432035</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number                             [                                 not(@i:nil='true' or @i:nil='1')                                   and (                                         matches(.,'^(.*)( |'')(.*)$')                                     )                             ]                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432036</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                      pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text                         [not(@i:nil='true' or @i:nil='1')                            and matches(.,'^(.*)(_|!|@|\$|%|\]|\[|\?|=|:|;|&#34;|,)(.*)$')                          ])"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432037</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M96">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                     count(fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]) &gt; 1                   )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.432040</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
               </Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M96"/>
   <xsl:template match="@*|node()" priority="-2" mode="M96">
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>
</xsl:stylesheet>
